2014-02-16  Sebastian Wüst  <sebi@timewaster.de>

	various optimizations, move extension to 'Export' submenu

2014-02-16  JazzyNico  <nicoduf@yahoo.fr>

	Fix console messages (see Bug #879058 - Spray Single Path Mode includes original object).

2014-02-15  apenner  <penner@vaxxine.com>

	Extensions. Scaling of stroke and some sizes into document units, Part 5 (Bug 1240455)

2014-02-16  ~suv  <suv-sf@users.sourceforge.net>

	Symbols: turn off viewBox-related debug messages (from r13002)

2014-02-14  apenner  <penner@vaxxine.com>

	Extensions. Scaling of command-line bbox into document units, Part 4 (Bug 1240455)

2014-02-13  apenner  <penner@vaxxine.com>

	extensions. ink2canvas.py. pass reference to self (Bug 1258473)

2014-02-12  ~suv  <suv-sf@users.sourceforge.net>

	Image import dialog: add dpi option (from file or default), use compacter layout (help as tooltips)

2014-02-12  tavmjong-free  <tavmjong@free.fr>

	Set bitmap upscaling preference in Cairo based PS and PDF output.

2014-02-11  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1248542 (fix for filters.svg) by v1nce.

2014-02-11  tavmjong-free  <tavmjong@free.fr>

	Set 'preserveAspectRatio' to 'none' for PDF image input. Fixes #878984.

2014-02-11  Kris  <Kris.De.Gussem@hotmail.com>

	fix compiler warnings (bug #1278049 )

2014-02-11  Kris  <Kris.De.Gussem@hotmail.com>

	suppress compiler warnings

2014-02-11  tavmjong-free  <tavmjong@free.fr>

	Set 'preserveAspectRatio' to 'none' when importing an image.

2014-02-11  tavmjong-free  <tavmjong@free.fr>

	Fix parsing of preserveAspectRatio broken in r13016.

2014-02-10  apenner  <penner@vaxxine.com>

	Extensions->Render submenu. Scaling into document units for grid.cpp (Bug 1240455)

2014-02-10  JazzyNico  <nicoduf@yahoo.fr>

	Fixing format-security errors in text debug code.

2014-02-09  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	viewbox: simple code clean-up

2014-02-09  apenner  <penner@vaxxine.com>

	Extensions->Render submenu. Scaling of group transform into document units, Part 3 (Bug 1240455)

2014-02-09  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build on Mavericks  (clang, libc++)

2014-02-09  mathog  <mathog@caltech.edu>

	memleak fix

2014-02-08  apenner  <penner@vaxxine.com>

	more robust versions of triangle.py and wireframe_sphere.py, see rev 13007

2014-02-08  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #879058 (Spray Single Path Mode includes original object).

2014-02-08  apenner  <penner@vaxxine.com>

	reverting triangle.py and wireframe_sphere.py from rev 13007

2014-02-08  mathog  <mathog@caltech.edu>

	DrawingContext: change variable names ct to dc (bug #1272073)

2014-02-08  mathog  <mathog@caltech.edu>

	EMF/WMF support: Various changes (see bug #1263242 c35 for details)
	
	EMF support: 
	- linear gradients: improve numeric stability on round-trip editing
	- linear gradients: fix scaling issue
	
	libTERE/text_reassemble update:
	- improve handling of whitespace created with large x kerns
	- fix handling of absolute RTL-positioning of LTR text in EMF files
	
	WMF support:
	- fix support for 'textout' records and Placeable headers
	- add support for CREATEPATTERNBRUSH
	- fix offset on load if opened via GUI (bug #1250250)

2014-02-07  apenner  <penner@vaxxine.com>

	Extensions->Render submenu. Scaling of input parameters into document units, Part 2 (Bug 1240455)

2014-02-07  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1275443 (Including picture results in crash).

2014-02-07  tavmjong-free  <tavmjong@free.fr>

	Slightly improved fix to previous check-in.

2014-02-07  tavmjong-free  <tavmjong@free.fr>

	Prevent attempt to initialize/compare std::string  with/to null pointer. 

2014-02-06  tavmjong-free  <tavmjong@free.fr>

	Markers are never shown directly, even if outside of <defs> section.

2014-02-06  tavmjong-free  <tavmjong@free.fr>

	Added new base class to handle viewBox and preserveAspectRatio.
	Updated sp-root, sp-symbol, sp-image, sp-pattern, marker to use new class.
	Fixed some viewport issues when % used.

2014-02-05  apenner  <penner@vaxxine.com>

	Extensions->Render submenu. Scaling of input parameters into document units, Part 1 (Bug 1240455)

2014-02-05  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2014-02-05  Yuri Chornoivan  <yurchor@gmail.com>

	Ukrainian translation update

2014-02-05  Yuri Chornoivan  <yurchor@gmail.com>

	typos in symbols

2014-02-05  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1250685 (Unnecessary gender-specific terms in code).

2014-02-04  JazzyNico  <nicoduf@yahoo.fr>

	Workaround for Bug #1273510 (crash in in cc_generic_knot_handler() after tool-switch).

2014-02-04  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1275146 (numerous messages of type unknown type: rdf:RDF).

2014-02-02  Sebastian Wüst  <sebi@timewaster.de>

	added parameter to switch off auto alignment for engraving machines

2014-02-01  apenner  <penner@vaxxine.com>

	remove vertical offset when stretching a horizontal line (Bug 1275077)

2014-02-01  tavmjong-free  <tavmjong@free.fr>

	Fix some formatting problems and add formatting info at end of file.

2014-01-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Do not throw TypeNotRegistered exceptions for now, since they interfere
	with debugging via 'catch throw'.

2014-01-31  apenner  <penner@vaxxine.com>

	simplify equations in get_scale_transform_for_variable_stroke() for the case of 'scaled stroke'/'optimized transforms'

2014-01-31  Martin Owens  <doctormo@gmail.com>

	Fix spacing/remove tabs and eliminate extra conditional.

2014-01-30  tavmjong-free  <tavmjong@free.fr>

	Restore default configure.ac, modified version committed by accident.

2014-01-30  tavmjong-free  <tavmjong@free.fr>

	Don't reverse object order when creating a marker.

2014-01-30  tavmjong-free  <tavmjong@free.fr>

	Correct positioning of custom markers. Fixes #230491.

2014-01-30  tavmjong-free  <tavmjong@free.fr>

	Prevent crash if a symbols file does not have a title.

2014-01-29  Martin Owens  <doctormo@gmail.com>

	Revert sp-image until the refactoring takes.

2014-01-29  ctenar  <ctenar@fujitsu.k.utb.cz>

	* [INTL:sk] Slovak translation update

2014-01-27  Martin Owens  <doctormo@gmail.com>

	Protect pdf and png exports from failure and output reasonalbe warnings.

2014-01-27  Martin Owens  <doctormo@gmail.com>

	Protect export options from blank filenames, png, pdf, emf and wmf. This should fix Bug #941103

2014-01-26  apenner  <penner@vaxxine.com>

	sbasis-to-bezier : add support for case where Bezier control arm length is zero (Bug 1272119)

2014-01-26  Martin Owens  <doctormo@gmail.com>

	Check file existance and clean up memory issues thanks to KK and Johan

2014-01-24  Martin Owens  <doctormo@gmail.com>

	A partial refactor of sp-image.cpp, expect more.

2014-01-24  Martin Owens  <doctormo@gmail.com>

	Move absolute path generator to URI and use std::strings

2014-01-23  Sebastian Wüst  <sebi@timewaster.de>

	fixed user description of VS command

2014-01-23  ~suv  <suv-sf@users.sourceforge.net>

	Fix GTK3 build failure (follow-up to r12971)

2014-01-22  Martin Owens  <doctormo@gmail.com>

	Make sure we're not interfering with right or middle click with undo prevention bug #168695

2014-01-22  Martin Owens  <doctormo@gmail.com>

	Don't throw away an existing full path.

2014-01-22  Martin Owens  <doctormo@gmail.com>

	Improve warnings for missing files. Don't just assert bolocks to the user.

2014-01-22  Martin Owens  <doctormo@gmail.com>

	Move sub-document reference creation code from uri-reference to document.cpp as createChildDoc(path)

2014-01-22  Martin Owens  <doctormo@gmail.com>

	Protect against infinate looping of new included hrefs

2014-01-21  Martin Owens  <doctormo@gmail.com>

	Improve use tag logic by recording the loaded documents in a list.

2014-01-22  mathog  <mathog@caltech.edu>

	EMF export: fix handling of transformed rectangular gradients (bug #1263242)

2014-01-21  Martin Owens  <doctormo@gmail.com>

	Move dragging undo block from tools-base to canvas. Regarding bug #168695

2014-01-20  Matthew Petroff  <matthew@mpetroff.net>

	Revert last commit (breaks changing document units).

2014-01-20  Matthew Petroff  <matthew@mpetroff.net>

	Fix imprecise viewBox dimensions on page size change (bug #1235279).

2014-01-20  apenner  <penner@vaxxine.com>

	1. make scaling of stroke of horizontal line the same as nearly horizontal line. 2. remove vertical offset when using Transform dialog to attempt to vertically scale horizontal line.

2014-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck stuff

2014-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2014-01-20  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1270287 (The toolbox buttons toggle between being pressed and released).

2014-01-19  Martin Owens  <doctormo@gmail.com>

	Revert changes from r12959 and r12955, impliment new stratedgy to fix bug #168695

2014-01-19  Martin Owens  <doctormo@gmail.com>

	Allow undo methods to survive a non-sensitive call.

2014-01-19  JazzyNico  <nicoduf@yahoo.fr>

	i18n. No need to translate strings with one single space.

2014-01-19  JazzyNico  <nicoduf@yahoo.fr>

	LPE strings consistency fix.

2014-01-19  apenner  <penner@vaxxine.com>

	fix scaling crash caused by negative stroke (Bug 1270464)

2014-01-19  Martin Owens  <doctormo@gmail.com>

	Try another fix for the undo when dragging bug #168695

2014-01-17  Martin Owens  <doctormo@gmail.com>

	Fix missing embeded image condition, kindly caught by suv in bug #1270334

2014-01-18  mathog  <mathog@caltech.edu>

	libUEMF update; EMF linear gradient bug fixes (bug #1263242)

2014-01-17  kris-degussem

	i18n. Fix for Bug #1269943 (Context for message Offset:).

2014-01-17  apenner  <penner@vaxxine.com>

	avoid singularity when scaling horizontal or vertical line. (Bug 1262146)

2014-01-17  JazzyNico  <nicoduf@yahoo.fr>

	Better fix for GTK3 build error in symbols.cpp.

2014-01-17  JazzyNico  <nicoduf@yahoo.fr>

	GTK3 build error in symbols.cpp.

2014-01-17  suv-lp

	Simplified patch for symbols i18n and typo in .bzrignore.

2014-01-17  suv-lp

	Fix symbols Makefile.am for out-of-src tree build (thanks ~suv).

2014-01-17  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Symbols are now translatable (see Bug #1261198); POT file and French translation updated.

2014-01-16  Martin Owens  <doctormo@gmail.com>

	More cleaning of the image tag handler and seperate filename from load.

2014-01-16  Kris  <Kris.De.Gussem@hotmail.com>

	prevent compiler warnings

2014-01-16  Kris  <Kris.De.Gussem@hotmail.com>

	fix null pointer dereference

2014-01-16  Martin Owens  <doctormo@gmail.com>

	Clean up sp-image's read_image, remove duplicate code

2014-01-16  JazzyNico  <nicoduf@yahoo.fr>

	Fixing edit-clear icon in the star tool (partial fix for Bug #1269698).

2014-01-16  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	2geom: remove accidentally forgotten debug message

2014-01-16  Martin Owens  <doctormo@gmail.com>

	Add the ability to load external documents in xlink:hrefs such as the use element. See bug #1269880

2014-01-16  ~suv  <suv-sf@users.sourceforge.net>

	bzrignore: update ignore list to include new i18n file (follow-up to r12937)

2014-01-15  JazzyNico  <nicoduf@yahoo.fr>

	i18n. New from Template entries now translatable (see Bug #383844). POT file and French translation updated.

2014-01-15  apenner  <penner@vaxxine.com>

	for rubberband outline, add shading instead of XOR (Bug 1266308)

2014-01-15  tavmjong-free  <tavmjong@free.fr>

	Revert r12544. Fixes bug 1256449 (Clipping missing on Cairo-based exports). Note: 523285 is not a bug.

2014-01-15  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1236282 (add full keyboard navigation support for new templates dialog).

2014-01-15  Alex Valavanis  <valavanisalex@gmail.com>

	drop useless checks for hard Cairo version dependency

2014-01-15  JazzyNico  <nicoduf@yahoo.fr>

	Additional fix for Bug #1268778 (Move cursor disappears after clicking on Select Tool (F1) twice).

2014-01-14  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1268778 (Move cursor disappears after clicking on Select Tool (F1) twice).

2014-01-14  Alex Valavanis  <valavanisalex@gmail.com>

	multi-path-manipulator: strip dead code

2014-01-14  Alex Valavanis  <valavanisalex@gmail.com>

	fix warnings on compilers that provide unordered_set

2014-01-14  bryce  <bryce@canonical.com>

	Fix bzr revision number in version string (LP #1071923)
	
	Patch from David Evans.

2014-01-14  Alex Valavanis  <valavanisalex@gmail.com>

	autogen.sh: Improve portability

2014-01-14  Martin Owens  <doctormo@gmail.com>

	Merge in patch from mathog in Bug #1241797

2014-01-14  Martin Owens  <doctormo@gmail.com>

	Merge in patch from bug #1267842 to fix Inkex module open order.

2014-01-14  Martin Owens  <doctormo@gmail.com>

	Fix bug #1239779 by removing caching for symbols.

2014-01-13  tavmjong-free  <tavmjong@free.fr>

	Add GUI for feComponentTransfer filter primitive.

2014-01-13  tavmjong-free  <tavmjong@free.fr>

	Prevent segfault if 'tableValues' is empty.

2014-01-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	update 2geom's copy to r2142

2014-01-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	LPE: rename function getHelperPaths --> getCanvasIndicators (the function is not yet called by anyone, but the naming was confusing)

2014-01-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	lpe knot: code cleanup. mostly adding parens to if-statement predicates that relied on operator precedence

2014-01-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build with boehm-gc 7.4.0+ (patch by Vladimir Smirnov, slightly modified by me)

2014-01-12  Kris  <Kris.De.Gussem@hotmail.com>

	pass class variables by reference for performance

2014-01-11  Kris  <Kris.De.Gussem@hotmail.com>

	pass class variables by reference for performance

2014-01-11  Kris  <Kris.De.Gussem@hotmail.com>

	gtkmmification (seems there is more margin in desktop-widget.cpp)

2014-01-11  Kris  <Kris.De.Gussem@hotmail.com>

	suppress compiler warnings

2014-01-10  bryce  <bryce@canonical.com>

	btool:  Fix hitting cmdline limit on XP/Mingw/Msys (Fixes #1251405)
	
	Current releases of trunk fail to build on Windows XP because command
	line length limits are hit.  This patch sends only the unique parameters
	from the "libs" field during the link stage to the command.  This saves
	enough characters so that btool will complete the build.
	
	It is not a long term solution, but will allow development to continue
	on Windows for a while longer, until the underlying problems can be
	addressed.
	
	Patch authored by David Mathog (mathog)
	
	Signed-off-by: Bryce Harrington <bryce@bryceharrington.org>

2014-01-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add another break. It is not strictly necessary here, but who knows what code is added below in the future.

2014-01-10  Martin Owens  <doctormo@gmail.com>

	Stop button_release events causing an enter_notify with a simple break. Fixes bug #1255791

2014-01-09  Martin Owens  <doctormo@gmail.com>

	Give the selection id a default just in case every selected item has no id. Fixes crash in bug #1257417

2014-01-09  Martin Owens  <doctormo@gmail.com>

	Change Sans to sans-serif on suv's advice in bug #1230241

2014-01-09  Martin Owens  <doctormo@gmail.com>

	Make Sans the default if pango can't get the family name from the font description. Helps fix bug #1230241

2014-01-09  Kris  <Kris.De.Gussem@hotmail.com>

	new Dutch translation of pixel art tutorial

2014-01-09  Kris  <Kris.De.Gussem@hotmail.com>

	tracing pixel art tutorial update

2014-01-09  Martin Owens  <doctormo@gmail.com>

	For bug #1267552 Allow pseudo class matches to continue matching the rest of a css statement instead of being sufficiant.

2014-01-09  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1266113 (xcf export only allows 90 dpi).

2014-01-09  Kris  <Kris.De.Gussem@hotmail.com>

	null check: fix regression Bug #1258815 (crash after using Edit nodes icon twice (rev >= 12730))

2014-01-09  Kris  <Kris.De.Gussem@hotmail.com>

	add null check: should fix bug #1163241 (inkscape crashed with SIGSEGV in Inkscape::Preferences::_getNode())

2014-01-09  Kris  <Kris.De.Gussem@hotmail.com>

	suppress compiler warnings

2014-01-08  Martin Owens  <doctormo@gmail.com>

	Rebuild symbols collection if opening or closing documents.

2014-01-08  Martin Owens  <doctormo@gmail.com>

	Add id switch to unsymbol to stop clones from being deleted.

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	comment-out unused code

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warnings

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warning, update comments

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	small code clarification, doesn't change anything, but makes intent more clear

2014-01-08  Martin Owens  <doctormo@gmail.com>

	Change my mind on the solution to the bug, protect all selection additions.

2014-01-08  tavmjong-free  <tavmjong@free.fr>

	Prevent infinite loop with bad input.

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	warning cleanup

2014-01-08  Martin Owens  <doctormo@gmail.com>

	Make damn sure the item hasn't been deleted before adding it.

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix "set but ununused" warning

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	glyph drawing: improve code

2014-01-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bug (and add parens so we don't rely on operator precedence)

2014-01-08  Martin Owens  <doctormo@gmail.com>

	Language pseudo class should be case-insenstivie

2014-01-07  Kris  <Kris.De.Gussem@hotmail.com>

	pot-file update

2014-01-06  Kris  <Kris.De.Gussem@hotmail.com>

	c-string buffer > Glib::ustring usage

2014-01-06  Jabiertxof  <info@marker.es>

	Fix transforming shapes with path effect applied (bug #1247324)

2014-01-06  bryce  <bryce@canonical.com>

	Only display snapping tooltip if source / target are defined (LP #1255764)

2014-01-05  Kris  <Kris.De.Gussem@hotmail.com>

	Uniform colons usage in UI in front of edit boxes

2014-01-04  apenner  <penner@vaxxine.com>

	modify get_scale_transform_for_variable_stroke() to be consistent with get_scale_transform_for_uniform_stroke() (Bug 1262146)

2014-01-04  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1057494 (Remove Manual Kerns hides the selected text).

2014-01-04  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1265556 (plain svg export is broken for filter).

2014-01-04  JazzyNico  <nicoduf@yahoo.fr>

	Fixing errors and warnings in the debug code.

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	gimpspinscale (upstream gtk3-port#28c62): Convert to GtkStyleContext

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	gimpspinscale (upstream #6940c): Add get/set_label

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	gimpspinscale (upstream #fb623): Reorder functions

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	gimpspinscale (upstream #ce8ae): Fix text rendering on dark bg

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	gimpspinscale (upstream #85a09): Fix drag issue

2014-01-03  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using GTK_IS_HBOX: Deprecated in Gtk+ 3

2014-01-02  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix pointer initialization ( "0" --> "NULL")

2014-01-02  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	try to improve some error-prone piece of code (icon name related)

2014-01-02  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix Windows build (constness)

2014-01-02  Alex Valavanis  <valavanisalex@gmail.com>

	Fix Gtk+ 3.10 warnings: GtkStockItem is deprecated

2014-01-02  Kris  <Kris.De.Gussem@hotmail.com>

	memory leak fix (doc_title) + code readability

2014-01-02  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #950781 (There is no disk in drive error when opening Inkscape in Windows 7) by Max Gaukler.

2013-12-31  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2013-12-31  apenner  <penner@vaxxine.com>

	prevent singularity when scaling horizontal or vertical line

2013-12-30  apenner  <penner@vaxxine.com>

	modify transform behaviour for unscaled stroke width, Preserved Transforms (Bug 1262146)

2013-12-27  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1236282 (add full keyboard navigation support for new templates dialog).

2013-12-26  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1204732 (Inkscape crashed with SIGABRT in __gnu_cxx::__verbose_terminate_handler()).

2013-12-26  Sebastian Wüst  <sebi@timewaster.de>

	fixed bug serial missing

2013-12-26  Sebastian Wüst  <sebi@timewaster.de>

	fixed positioning bug

2013-12-26  Sebastian Wüst  <sebi@timewaster.de>

	added force and speed options and support for KNK Zing plotters

2013-12-24  Kris  <Kris.De.Gussem@hotmail.com>

	UI message fix

2013-12-24  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-12-21  UweSchoeler  <mail@uwe-schoeler.de>

	Update

2013-12-20  Kris  <Kris.De.Gussem@hotmail.com>

	add null check

2013-12-20  Kris  <Kris.De.Gussem@hotmail.com>

	Null check added. (should fix bug 1172484)

2013-12-17  apenner  <penner@vaxxine.com>

	modify transform behaviour for scaled stroke width, Preserved Transforms

2013-12-15  Kris  <Kris.De.Gussem@hotmail.com>

	Check order (fixing bug 1219264 ?)

2013-12-15  Sebastian Wüst  <sebi@timewaster.de>

	added show debug info option, small text changes

2013-12-12  tavmjong-free  <tavmjong@free.fr>

	Accept new CSS blend properties as valid.

2013-12-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1255367 (Alt D clears undo history even when nothing happens).

2013-12-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #498141 (Crash on opening Inkscape Preferences... dialog (color profiles)).

2013-12-12  JazzyNico  <nicoduf@yahoo.fr>

	Partial fix for Bug #1256347 (spiral and stars tools, the inputbox for turns and corners shows 3 after undo).

2013-12-10  tavmjong-free  <tavmjong@free.fr>

	New CSS blending modes (outside of filters).
	Define WITH_CSSBLEND to try out.
	Note: The modes are defined in CSS Compositing and Blending Level 1.
	To do: GUI. Isolate SVG drawing from Inkscape background (i.e. page border).

2013-12-10  tavmjong-free  <tavmjong@free.fr>

	Add JessyInk namespace.

2013-12-10  JazzyNico  <nicoduf@yahoo.fr>

	Shortcuts. Adding Ctrl+Alt+N for the New From Template dialog.

2013-12-09  Josh Andler  <scislac@gmail.com>

	Superficial text fix in gradient toolbar.

2013-12-07  apenner  <penner@vaxxine.com>

	patch by Adolf Mathias and ~suv for Bug 1136495

2013-12-06  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1257007 ([devlibs-gtk3] Crash when clicking on Export As...).

2013-12-05  Kris  <Kris.De.Gussem@hotmail.com>

	fix Segmentation fault while exporting to Plain SVG (Bug #1202753) (patch of Anshul Bhatnagar)

2013-12-05  Kris  <Kris.De.Gussem@hotmail.com>

	add null pointer check

2013-12-05  tavmjong-free  <tavmjong@free.fr>

	New CSS blending and compositing modes.
	Define WITH_CSSBLEND and/or WITH_CSSCOMPOSITE to try out.
	Note: these new modes are not yet defined to apply to SVG filters in the
	CSS Compositing and Blending Level 1 or in CSS Filters Level 1 specifications.
	They are expected to be included in Level 2.

2013-12-03  JazzyNico  <nicoduf@yahoo.fr>

	ImageMagick exception handling improvements (see Bug #1252719).

2013-12-03  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1094511 (GTK3: rulers render with solid black bg).

2013-12-03  tavmjong-free  <tavmjong@free.fr>

	Restore original file format with added metadata.

2013-11-30  ~suv  <suv-sf@users.sourceforge.net>

	Fix build with freetype >= 2.5.1

2013-11-24  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-11-24  Kris  <Kris.De.Gussem@hotmail.com>

	typo

2013-11-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	reorder header file includes. Because glibmm depends on a deprecated/threads.h of glib, it has to be included first.

2013-11-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	the C++11 fails without this small change in constness of a GSList iterator

2013-11-21  Kris  <Kris.De.Gussem@hotmail.com>

	UI messages

2013-11-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash bug 1253721, document code with explanation

2013-11-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix memleak

2013-11-19  tavmjong-free  <tavmjong@free.fr>

	BalloonSymbols.svg rewritten. Balloon symbols should render properly in all browsers.

2013-11-19  tavmjong-free  <tavmjong@free.fr>

	Increased pattern resolution to fix blocker bug #1251039.

2013-11-19  tavmjong-free  <tavmjong@free.fr>

	Add GUI for 'image-rendering'. Completes fix for blocker bug #1163449.
	Removed two unused preference options for bitmaps.

2013-11-18  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix initialization bug, that leads to non-continuous path

2013-11-18  Sebastian Wüst  <sebi@timewaster.de>

	removed access to private member, fixed dpi calculation

2013-11-18  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Fix for Bug #1252229 (As for the verb name XXX (No preferences), XXX are not localized.).

2013-11-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	adhere to Python "convention" of using double underscore to indicate class private members

2013-11-17  Sebastian Wüst  <sebi@timewaster.de>

	added missing documentation

2013-11-17  Sebastian Wüst  <sebi@timewaster.de>

	changed unit calculation to regard doc unit

2013-11-14  apenner  <penner@vaxxine.com>

	fix typo in rev 12797

2013-11-14  Sebastian Wüst  <sebi@timewaster.de>

	small optimizations

2013-11-14  Alex Valavanis  <valavanisalex@gmail.com>

	More scan-build null pointer checks

2013-11-14  Alex Valavanis  <valavanisalex@gmail.com>

	splivarot: Clean up assertions where possible

2013-11-13  Sebastian Wüst  <sebi@timewaster.de>

	renamed some methods + removed unnecessary text + and fixed start option

2013-11-13  Kris  <Kris.De.Gussem@hotmail.com>

	fix warning

2013-11-13  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-11-13  JazzyNico  <nicoduf@yahoo.fr>

	Add command line support for EMF and WMF export, by David Mathog.

2013-11-13  tavmjong-free  <tavmjong@free.fr>

	Partial fix for blocker bug 1163449: "Imported bitmap appear blurry when zoomed in"
	Fixed typo in style.cpp which prevent reading in "image-rendering" attribute.

2013-11-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	Windows: need extra define to tell the source code we are in C++11 mode

2013-11-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix C++11 build on Windows, now build finishes without errors with TDM-GCC 4.6.1

2013-11-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build, complementary to rev12804 (forgot to commit)

2013-11-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix C++11 compilation. There A LOT of const_casts in this file... :-(

2013-11-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	update 2geom : sbasis.h, improves iterators, helps compilation with C++11

2013-11-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	part of patch by David Evans to fix C++11 build

2013-11-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	part of patch by David Evans to fix C++11 build

2013-11-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix type. note that a real fix should get rid of all the macros like SVG_ZOOM_AND_PAN and replace it with enum...

2013-11-12  Sebastian Wüst  <sebi@timewaster.de>

	fixed transformation bug

2013-11-12  Alex Valavanis  <valavanisalex@gmail.com>

	splivarot: scan-build fixes and cleanup

2013-11-12  apenner  <penner@vaxxine.com>

	PathOutline. modify tolerance for detecting smooth joins. (Bug 1247441)

2013-11-12  tavmjong-free  <tavmjong@free.fr>

	Partial fix for blocker bug 1163449: "Imported bitmap appear blurry when zoomed in"
	Setting style to include "image-rendering:optimizeSpeed" will cause nearest
	neighbor filter to be used in downscaling.

2013-11-12  Markus Engel  <markus.engel@tum.de>

	Clean up some tool related things.

2013-11-12  Markus Engel  <markus.engel@tum.de>

	Fix bug in SPSwitch.

2013-11-12  Sebastian Wüst  <sebi@timewaster.de>

	removed recursion to avoid problems on big documents

2013-11-11  Markus Engel  <markus.engel@tum.de>

	Fix make check again, new translatable strings have been added in r12787.

2013-11-11  apenner  <penner@vaxxine.com>

	extensions. dxf output. do not output arc where start = end (Bug 1248104)

2013-11-11  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1249390 (filter with feImage with empty href crashes inkscape).

2013-11-10  Markus Engel  <markus.engel@tum.de>

	Fix make check.

2013-11-10  Sebastian Wüst  <sebi@timewaster.de>

	fixed dmpl init sequence

2013-11-10  Sebastian Wüst  <sebi@timewaster.de>

	fixed and optimized pyserial usage, added dmpl support, small stuff

2013-11-09  Markus Engel  <markus.engel@tum.de>

	Revert unintentional change.

2013-11-09  Markus Engel  <markus.engel@tum.de>

	Moved and renamed some tool-related files.

2013-11-09  Sebastian Wüst  <sebi@timewaster.de>

	added missing translation flags and a small text change

2013-11-09  Sebastian Wüst  <sebi@timewaster.de>

	fixed flow control problem in plotter extension

2013-11-07  Markus Engel  <markus.engel@tum.de>

	First step of moving tools into appropriate namespaces.

2013-11-07  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1247985 (Incorrect implementation of plural forms).

2013-11-06  JazzyNico  <nicoduf@yahoo.fr>

	Partial fix for Bug #1247985 (Incorrect implementation of plural forms).

2013-11-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove unused private members

2013-11-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix code (clang complains)

2013-11-04  ~suv  <suv-sf@users.sourceforge.net>

	Fix make install (autotools) (follow-up to r12733)

2013-11-04  ~suv  <suv-sf@users.sourceforge.net>

	Fix make check (follow-up to r12773)

2013-11-04  ~suv  <suv-sf@users.sourceforge.net>

	Fix translation (follow-up to r12774)

2013-11-03  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove antiquated Perl extensions and modules, which were mostly useless.

2013-11-03  Sebastian Wüst  <sebi@timewaster.de>

	hpgl export + import and serial plotter driver extension with tool offset correction for drag knife plotters

2013-11-03  Sebastian Wüst  <sebi@timewaster.de>

	added more todos

2013-11-03  Sebastian Wüst  <sebi@timewaster.de>

	added todo for recursion

2013-11-03  Sebastian Wüst  <sebi@timewaster.de>

	a 'bit' shorter lines

2013-11-03  Sebastian Wüst  <sebi@timewaster.de>

	better PEP 8 compatibility

2013-11-02  Sebastian Wüst  <sebi@timewaster.de>

	text changes

2013-10-28  Sebastian Wüst  <sebi@timewaster.de>

	be more specific for pyserial download

2013-10-28  Sebastian Wüst  <sebi@timewaster.de>

	mrege from trunk

2013-10-27  Sebastian Wüst  <sebi@timewaster.de>

	text change

2013-10-26  Sebastian Wüst  <sebi@timewaster.de>

	small changes (mainly text)

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	small optimizations

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	changed todo format

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	changed text

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	changed text

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	merge from trunk

2013-10-20  Sebastian Wüst  <sebi@timewaster.de>

	changed text

2013-10-19  Sebastian Wüst  <sebi@timewaster.de>

	changed text

2013-10-19  Sebastian Wüst  <sebi@timewaster.de>

	finished tool offset correction; optimized hpgl data; fixed texts, small bugs, parameters; added flow control parameter; and more

2013-10-18  Sebastian Wüst  <sebi@timewaster.de>

	fixed float to int conversion

2013-10-12  Sebastian Wüst  <sebi@timewaster.de>

	removed broken code

2013-10-12  Sebastian Wüst  <sebi@timewaster.de>

	finished new offset correction

2013-10-09  Sebastian Wüst  <sebi@timewaster.de>

	small stuff

2013-10-06  Sebastian Wüst  <sebi@timewaster.de>

	numerous optimizations, fixed bug tool offset correction calculates wrong points when length of line is smaller than tool offset

2013-10-03  Sebastian Wüst  <sebi@timewaster.de>

	parser can now work with multiple pens, better exception handling

2013-07-27  Sebastian Wüst  <sebi@timewaster.de>

	small changes + fixes

2013-07-27  Sebastian Wüst  <sebi@timewaster.de>

	small changes + fixes

2013-07-15  Sebastian Wüst  <sebi@timewaster.de>

	minor stuff

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	small bugfixes

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	made process_path more readable

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	changed variable names to reflect data

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	pass group transformations via recursion instead of manipulating variable

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	changed find border algorythm to work without number initialization

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	changed all quotes to single quotes except for translations

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	changed how encoder passes errors

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	load whole file instead of one line.

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	changed how decoder is called and errors are passed

2013-07-14  Sebastian Wüst  <sebi@timewaster.de>

	minor changes

2013-07-13  Sebastian Wüst  <sebi@timewaster.de>

	moved main hpgl processing to new classes, moved plotter control to a extension dialog

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	Minimise diff against libcroco-0.6.8 (pass 1)

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	Fix typo in libcroco/cr-rgb.c

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Merge upstream 0.6.8 changes

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Merge upstream 0.6.7 changes

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Merge upstream 0.6.6 changes

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Merge upstream 0.6.5 changes

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Merge upstream 0.6.4 changes

2013-11-03  Alex Valavanis  <valavanisalex@gmail.com>

	Merge upstream libcroco 0.6.3 changes

2013-11-03  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1243394 (XAML exporter doesn't remove unnecessary filters attributes)

2013-11-02  apenner  <penner@vaxxine.com>

	more conversions from radians to degrees for arcs (Bug 1239462)

2013-11-01  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	improve clang-format settings

2013-11-01  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	build.xml: make it easier to change compiler

2013-11-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix blurry pattern fills on text objects (blocker bug #1005892).

2013-11-01  Alex Valavanis  <valavanisalex@gmail.com>

	configure.ac: Correct help string for cdr support

2013-11-01  Alex Valavanis  <valavanisalex@gmail.com>

	libcroco: Backport size checking fix (commit 209e5,aa60a)

2013-10-31  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add clang-format file, not sure if all settings are set the way we want them to be

2013-10-31  apenner  <penner@vaxxine.com>

	conversions from radians to degrees for arcs (Bug 324117)

2013-10-31  Martin Owens  <doctormo@gmail.com>

	Remove warning on bbox and allow empty bound selection to clear existing selection.

2013-10-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Partially fix crashes when entering a group with deleted id

2013-10-31  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix memleak. Export dialog still has many of its pointer members leaking !!!

2013-10-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warnings

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	suppress uninitialized variables (x and y) warning, don't ask why... g++'s warningsystem gives false-positive for many permutations of the code in this function

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	saving units is not implemented yet, and noone should call the save method

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	units: fix stroke/gradient/whatever scaling when changing document unit in the document properties dialog

2013-10-29  Kris  <Kris.De.Gussem@hotmail.com>

	fix warning

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	btool: i know the whole multithread thing was a hack :-) so the fprinting should be done through fprint directly (seems to be more multithread resistant :), instead of through helper functions.

2013-10-29  Kris  <Kris.De.Gussem@hotmail.com>

	"fix" some "unused parameter" warnings

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix code: prevent cornercase from crashing

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	suppress warning

2013-10-29  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	supress some compiler warnings

2013-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash

2013-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	unit display: fix typo

2013-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash

2013-10-28  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1156394 (OCAL dialog: Close button in German localization contains label with underscore) by Tobbi-bugs.

2013-10-28  Kris  <Kris.De.Gussem@hotmail.com>

	"fix" some "unused parameter" warnings

2013-10-27  Kris  <Kris.De.Gussem@hotmail.com>

	"fix" some "unused parameter" warnings

2013-10-27  Kris  <Kris.De.Gussem@hotmail.com>

	"fix" some "unused parameter" warnings

2013-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warning and add comments about fixing code

2013-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warnings

2013-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add some nullptr checking, should fix crash (couldn't test)

2013-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash, partly fix vertical positioning issue. couldn't figure out how to make it work, the applied scale transform works weird somehow

2013-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	reduce the amount of cmdline output from btool, make it easier to see compile warnings

2013-10-27  Markus Engel  <markus.engel@tum.de>

	Fix gradient stop selection when switching to dropper tool.

2013-10-27  Markus Engel  <markus.engel@tum.de>

	Added some consts.

2013-10-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash

2013-10-26  Markus Engel  <markus.engel@tum.de>

	Fix memleak in reference counting introduced in r12532.

2013-10-25  mathog  <mathog@caltech.edu>

	Fix for Bug 1241783 (WMF image output size)

2013-10-25  mathog  <mathog@caltech.edu>

	WMF import: fix scaling of files without ViewPort record
	(see bug 1241783, comment 4-5)

2013-10-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	don't update doc unit stuff when initializing DocumentProperties dialog widgets

2013-10-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	extensions: fix calculation of window center

2013-10-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix unit handling of all python extensions. did not test with all extensions

2013-10-24  mathog  <mathog@caltech.edu>

	Fix for Bug 1242927 (minor EMF import issues)

2013-10-24  mathog  <mathog@caltech.edu>

	Fix for Bug 1243937 (EMF import, diagram obscured by full page rectangle)

2013-10-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	try to add some const-correctness

2013-10-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bad style

2013-10-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bug "some of the locale-based templates cause objects to be resized when default units are changed"   #1236257

2013-10-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash bug 1237676

2013-10-23  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1200399 (xcf export fails if file or layer names contain non-ASCII characters).

2013-10-22  Janis Eisaks  <jancs@dv.lv>

	Latvian translation update

2013-10-22  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-10-22  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1022543 (Ctrl+C increments the documents count).

2013-10-22  JazzyNico  <nicoduf@yahoo.fr>

	Fixing unit convertion in PNG import Imagemagick fallback (see Bug #165952).

2013-10-22  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1230292 (dbus service file not included in tarball when doing a make dist) by Ryan Lerch.

2013-10-22  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1126472 (JessyInk zipped pdf or png output should allow low resolution values).

2013-10-22  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove confusing bitfield declaration. bitfield not even needed here.

2013-10-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix ambiguity error with C++11  (gcc 4.6.2 Windows)

2013-10-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	C++11 flag needs to be gnu++0x, so the compiler does not go into strict ANSI mode

2013-10-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	update parts of 2geom

2013-10-21  Janis Eisaks  <jancs@dv.lv>

	Latvian translation update

2013-10-21  Markus Engel  <markus.engel@tum.de>

	Fix mesh gradient tool.

2013-10-21  Markus Engel  <markus.engel@tum.de>

	Fix bug introduced in r12686.

2013-10-19  Markus Engel  <markus.engel@tum.de>

	Fix build errors with clang 3.3 and c++11 enabled.

2013-10-17  Kris  <Kris.De.Gussem@hotmail.com>

	fix memory reallocation

2013-10-17  Kris  <Kris.De.Gussem@hotmail.com>

	fix wrong memory deallocation

2013-10-16  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: printf variable identifier

2013-10-16  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck initialisation

2013-10-16  apenner  <penner@vaxxine.com>

	couple of typos affecting Path->Linked Offset (Bug 1236830)

2013-10-16  Kris  <Kris.De.Gussem@hotmail.com>

	static code analysis: performance

2013-10-16  Alex Valavanis  <valavanisalex@gmail.com>

	Fix colour variable type with gtkmm 3

2013-10-15  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add (commented-out) flag for C++11 compilation. (note that on Windows we use gcc 4.6.1, which calls it C++0x)

2013-10-15  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1239452 (trunk: crash on ungroup...)

2013-10-15  Alex Valavanis  <valavanisalex@gmail.com>

	eek-preview: Hide unused variable in gtk3 build

2013-10-15  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated thread protection macros

2013-10-15  Alex Valavanis  <valavanisalex@gmail.com>

	color-profile: Use Gdk::RGBA for gtkmm 3.0 builds

2013-10-15  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Merging lp:~novalis/inkscape/cleanup branch

2013-10-08  David Turner  <novalis@novalis.org>

	Remove duplicate if statement

2013-10-14  tavmjong-free  <tavmjong@free.fr>

	Fix tangent calculation for counter-clockwise arcs.

2013-10-13  Markus Engel  <markus.engel@tum.de>

	Changes to object creation. Fixes some warning in new from template.

2013-10-13  Kris  <Kris.De.Gussem@hotmail.com>

	UI message generalisation

2013-10-13  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-10-13  Kris  <Kris.De.Gussem@hotmail.com>

	UI message generalisation

2013-10-13  buliabyak

	we don't have nondocked dialogs, so rewrite restoring dialogs on startup via DialogManager; do not grab focus when restoring

2013-10-13  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-10-13  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-10-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	Units: stop newing Unit objects. pass around pointers to "undeletable" Unit objects in the UnitTable. I think we should move to using indexed units, and pass around the index of the unit in the unittable, or smth like that... ?

2013-10-12  Markus Engel  <markus.engel@tum.de>

	Fix crash with experimental lpe tool.

2013-10-10  Markus Engel  <markus.engel@tum.de>

	Fix some more issues with ellipses.

2013-10-09  apenner  <penner@vaxxine.com>

	extensions. svgcalendar. patch by David Turner for Bug 1237167

2013-10-09  Markus Engel  <markus.engel@tum.de>

	Fix cycling through nodes with tab key.

2013-10-09  Markus Engel  <markus.engel@tum.de>

	Fix for invisible node tool cursor.

2013-10-09  JazzyNico  <nicoduf@yahoo.fr>

	Documentation/Translation. Fix for Bug #1236382 (Typos in comments and message, localization context needed) by Yuri Chornoivan.

2013-10-09  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fix for Bug #627943 (Unexpected RegistryTool message on Windows 7).

2013-10-09  JazzyNico  <nicoduf@yahoo.fr>

	Translations:
	Ukrainian translation udpate by Yuri Chornoivan.
	Latvian translation udpate by Yanis Eisaks.

2013-10-08  tavmjong-free  <tavmjong@free.fr>

	Seamlessly switch between SVG circle, ellipse, and path (arc) elements while using the Circle, Ellipse, and Arc tool.

2013-10-07  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-10-07  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: initialisation

2013-10-06  Kris  <Kris.De.Gussem@hotmail.com>

	initialisation

2013-10-06  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-10-06  Martin Owens  <doctormo@gmail.com>

	Add 3d Box displayName and description

2013-10-06  Martin Owens  <doctormo@gmail.com>

	Order of message setting for tools

2013-10-05  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Bumping a new release of libdepixelize

2013-10-05  Matthew Petroff  <matthew@mpetroff.net>

	Fix EMF/WMF import scale (Bug #1229120).

2013-10-05  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Rewrite the internals of the unit code for somewhat better performance

2013-10-04  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	C++

2013-10-04  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	C++

2013-10-04  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bug (added some comments to jabiertxof's patch)

2013-10-04  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix hiding overloaded virtual

2013-10-04  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	LPE: add some const correctness, remove unused function, and fix potential crash bug

2013-10-04  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Do not allow NULL _spcurve to be set in PathManipulator.
	Fixes crasher bug #488035.

2013-10-04  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove unnecessary warning

2013-10-03  buliabyak

	if this->pixbuf check must come earlier to prevent crash

2013-10-03  buliabyak

	FIXME comment

2013-10-03  buliabyak

	properly protect the undo stack from deleting templates and setting viewbox

2013-10-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix segment welding in the node tool hanging when a two-point segment
	and at least one additional point is selected. Fixes LP bug #710101.

2013-10-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix outfocus gradients. Fixes a regression from 0.48 in the SVG test suite
	(test case pserver-grad-13-b.svg).

2013-10-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Comprehensive fix for the issues with disappearing filtered objects.
	Fixes #304407 and possibly a few other bugs.
	Revert incorrect _item_bbox changes from r12528.

2013-10-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix possible bug in DrawingItem code

2013-10-01  Martin Owens  <doctormo@gmail.com>

	Revert render svg:patern segment for fill and stroke

2013-10-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Minor improvements to DrawingItem code and documentation

2013-10-01  Alex Valavanis  <valavanisalex@gmail.com>

	Fix mismatched tags

2013-10-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix computed shapes disappearing when grouping within filtered groups.
	Fixes blocker LP bug #850992.

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	more string leaks

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix previous commit

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	string leaks

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	memleaks!

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	memleaks

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	memleak

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	memleak!

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix another g_strdup memleak

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix obvious leak

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix memleak

2013-09-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix memleak  (duplicating string is not necessary, as ustring's constructor already does that)

2013-09-30  Martin Owens  <doctormo@gmail.com>

	Fix translations for tool messages

2013-09-30  Martin Owens  <doctormo@gmail.com>

	Reduce tools-switcher code, add description for node and select toos.

2013-09-30  Markus Engel  <markus.engel@tum.de>

	Further changes to SPEllipse.

2013-09-29  Martin Owens  <doctormo@gmail.com>

	Add logging documentation and ignore QtCreator files

2013-09-29  ~suv  <suv-sf@users.sourceforge.net>

	Tutorials. Add new tutorial to Makefile.am (follow-up to r12626)

2013-09-29  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Adding tutorial-tracing-pixelart

2013-09-28  buliabyak

	collectOrphans moved to the end of destructor to prevent leaking of uncollected stuff

2013-09-28  buliabyak

	fix leaking of transforms

2013-09-28  buliabyak

	clear paints on delete to release reffed paintservers, fixes leaking of gradients

2013-09-28  buliabyak

	memleak fix

2013-09-28  apenner  <penner@vaxxine.com>

	use geometric bbox to calculate filter effect region (Bug 1229971)

2013-09-28  buliabyak

	FontInstances were being leaked here by overreffing - every call to Face must unref when done

2013-09-28  buliabyak

	order correction: unreffing fonts in ents needs loadedPtr so that must go before loadedPrt is nulled; this didn't crash simply because we never freed FontFactory before; also some comments and remove redundant multiply in hash function

2013-09-28  buliabyak

	prevent redundant firing of InitTheFace (pFont never changes, but init is called all over the place); also some nulling and freeing to prevent leaks, and removing the redundant daddy unreffing that is done in ~FontInstance anyway

2013-09-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix two memleaks

2013-09-28  buliabyak

	effects don't need to merge into menus if we're running without gui; with this we can purge a redundant reading of menus skeleton, which leaked its xml tree

2013-09-28  Markus Engel  <markus.engel@tum.de>

	Fixed crash with calligraphic tool in subtract mode.

2013-09-28  buliabyak

	fix one code path where fullname wasn't freed

2013-09-28  Markus Engel  <markus.engel@tum.de>

	Fixed MeasureContext.

2013-09-28  buliabyak

	components of _image_name were g_strdup'ed so need to be g_free'd

2013-09-28  buliabyak

	dying document needs to delete its perspective

2013-09-28  buliabyak

	another place where getURI()->toString() values were leaking

2013-09-28  buliabyak

	return value of g_utf16_to_utf8 was leaking here

2013-09-28  buliabyak

	on hiding, texts must _clearFlow to release arena items, otherwise they leak

2013-09-28  buliabyak

	leak fixes: free marker value on delete; free the return value of uri's toString()

2013-09-28  buliabyak

	obvious memleak

2013-09-28  Martin Owens  <doctormo@gmail.com>

	Allow pixmaps to specify their width and height to control/knots. Allows non-square nodes.

2013-09-28  buliabyak

	bug fix: xml:space was not initialized, getting random values

2013-09-27  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: performance + variable type

2013-09-27  Markus Engel  <markus.engel@tum.de>

	Adjusted code style of SPEllipse.

2013-09-27  Markus Engel  <markus.engel@tum.de>

	Further refactored SPEllipse.

2013-09-27  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Use Cairo 1.10 blend operators to render feBlend

2013-09-27  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	The downscaling fix is already in Cairo trunk.
	Therefore, remove the image scaling hack from drawing-image.cpp.

2013-09-26  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: performance

2013-09-26  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-09-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	random code cleanup

2013-09-26  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1229605 (inkscape crashes when canceled import pdf).

2013-09-26  Markus Engel  <markus.engel@tum.de>

	More refactoring, creation of member methods, ...

2013-09-26  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12593).

2013-09-25  Markus Engel  <markus.engel@tum.de>

	Simplified some in-code circle creation.

2013-09-25  Markus Engel  <markus.engel@tum.de>

	Refactored SPSpiral.

2013-09-25  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12588).

2013-09-24  Markus Engel  <markus.engel@tum.de>

	Refactored SPUse.

2013-09-24  Markus Engel  <markus.engel@tum.de>

	Refactored SPGenericEllipse::set_shape

2013-09-19  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12544).

2013-09-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	C++ify calling a few SPLPEItem functions, much more work than expected... slowly slowly...

2013-09-25  apenner  <penner@vaxxine.com>

	patch by Tomasz Boczkowski for missing Windows icon (Bug 1228591)

2013-09-25  Ryan Lerch

	Fix make dist

2013-09-25  tavmjong-free  <tavmjong@free.fr>

	Proper fix for bug 1127103 (Filter changes color when object flipped.) 

2013-09-25  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Updating libdepixelize version

2013-09-24  bryce  <bryce@canonical.com>

	Fix my email address through codebase

2013-09-24  bryce  <bryce@canonical.com>

	bzrignore: Ignore some library makefiles

2013-09-24  Martin Owens  <doctormo@gmail.com>

	Make sure selection->setList checks for dupes by routing to selection->addList.

2013-09-24  Martin Owens  <doctormo@gmail.com>

	Replace xml node get_double with simple direct value.

2013-09-24  Martin Owens  <doctormo@gmail.com>

	change names for displayName and detailedDescription, improve char code and remove const.

2013-09-23  apenner  <penner@vaxxine.com>

	for bitmap import, use a default value of 90 dpi, if not otherwise specified. Bug 165952, comment 43.

2013-09-24  Markus Engel  <markus.engel@tum.de>

	Fixed FeComponentTransfer.

2013-09-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash on uninitialized unittracker for spinbuttons. fixes crash on changing major grid line number, possibly other random crashes

2013-09-23  Markus Engel  <markus.engel@tum.de>

	Added missing registration of FeDistantLight; made sure warnings on missing types are always issued.

2013-09-23  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Bumping new version of libdepixelize

2013-09-23  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Disable smooth output in Inkscape PixelArtDialog

2013-09-22  Matthew Petroff  <matthew@mpetroff.net>

	Fix percentage document size handling.

2013-09-22  Matthew Petroff  <matthew@mpetroff.net>

	Fixed bug in last commit.

2013-09-22  Matthew Petroff  <matthew@mpetroff.net>

	Fix adding viewBox to new documents.

2013-09-22  ~suv  <suv-sf@users.sourceforge.net>

	Fix CMake build (follow-up to r12567)

2013-09-22  Alex Valavanis  <valavanisalex@gmail.com>

	autogen.sh: Added note about forthcoming fix for intltool issue

2013-09-21  bryce  <bryce@canonical.com>

	README:  Simplify description and make more current
	
	The C to C++ conversion is old news.

2013-09-21  bryce  <bryce@canonical.com>

	units: Catch FileError if no units.xml is in /usr/local/...
	
	Reproducible by building and running inkscape in-tree, without
	installation.
	
	#10 0x0000000000aa6873 in Inkscape::Util::UnitTable::UnitTable
	(this=0x11f75e0) at util/units.cpp:195
	filename = 0x121e8f0 "/usr/local/share/inkscape/ui/units.xml"

2013-09-22  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Merge gsoc procedural templates work.

2013-09-21  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Small style fixes.

2013-09-21  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fix Empty Page xml namespace.

2013-09-21  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fix templates parameters names.

2013-09-20  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Change paths storage to std::string.

2013-09-20  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fix Empty Page procedural template.

2013-09-20  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Small style fixes.

2013-09-18  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Opening new documents behaviour fixed.

2013-09-18  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fix "default_*" template names treatment.

2013-09-15  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fix procedural templates "modified" status.

2013-09-15  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Fixed available undo after new template creation.

2013-09-15  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Added auto installing empty_page extension

2013-09-15  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Removed search templates case sensitivity

2013-09-10  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Procedural template example added.

2013-09-04  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Creating documents from procedural templates added.

2013-08-24  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Add listing procedural templates in NewFromTemplate dialog.

2013-09-21  Markus Engel  <markus.engel@tum.de>

	Fixed segfault on copying text.

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix preview page number for PDF Cairo import dialog

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Rm unused dom/svg2.h

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix tautological comparison for enum of unspecified type

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Drop unused static function declarations

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix make dist

2013-09-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix format security errors

2013-09-21  Markus Engel  <markus.engel@tum.de>

	Fixed CMake build.

2013-09-21  Markus Engel  <markus.engel@tum.de>

	Rectangles can be drawn inside other shapes again.

2013-09-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove file from exclude list, linker issue was solved by adding namespace

2013-09-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix Windows build

2013-09-21  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	partial 2geom update, fixes linker errors
	(duplicate code, should be fixed later)

2013-09-20  Matthew Petroff  <matthew@mpetroff.net>

	Use viewBox for new documents.

2013-09-20  Martin Owens  <doctormo@gmail.com>

	Fix the text filter issue and revert many changes.

2013-09-20  Matthew Petroff  <matthew@mpetroff.net>

	Fix build with dbus api enabled.

2013-09-20  Matthew Petroff  <matthew@mpetroff.net>

	Merge Google Summer of Code unit improvement.

2013-09-20  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-09-16  Matthew Petroff  <matthew@mpetroff.net>

	Fix bug in rectangle toolbar.

2013-09-16  Matthew Petroff  <matthew@mpetroff.net>

	Comment clean up.

2013-09-16  Matthew Petroff  <matthew@mpetroff.net>

	Fix 3d box document unit change undo bug.

2013-09-16  Matthew Petroff  <matthew@mpetroff.net>

	Add exponent to expression evaluator.

2013-09-16  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	C++ify expression evaluator.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	Enable unit evaluation in toolbars.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	Improved code readability.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	Fix document unit change for disconnected connectors.

2013-09-15  Matthew Petroff  <matthew@mpetroff.net>

	Fix document unit change for transformed flow text and transformed text on path.

2013-09-14  Matthew Petroff  <matthew@mpetroff.net>

	Fix bug with tool handles during document unit change.

2013-09-12  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-09-11  Matthew Petroff  <matthew@mpetroff.net>

	Finish fixing document unit change undo bug.

2013-09-11  Matthew Petroff  <matthew@mpetroff.net>

	Fix document unit change undo bug.

2013-09-11  Matthew Petroff  <matthew@mpetroff.net>

	(Mostly) fix document unit change for flowed text.

2013-09-10  Matthew Petroff  <matthew@mpetroff.net>

	Fix document unit change for 3d boxes and (mostly) for text on path.

2013-09-02  Matthew Petroff  <matthew@mpetroff.net>

	Fix bug that added transforms to new objects.

2013-09-01  Matthew Petroff  <matthew@mpetroff.net>

	Forgot to remove "share/ui/units.txt" from "share/ui/Makefile.am".

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Improve code readability.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Use Quantity comparisons in PageSizer.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Added Quantity comparison functions.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Use enum names instead of numbers.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Fix Windows build.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Remove no longer used file "share/ui/units.txt".

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Updated templates with viewBox.

2013-08-27  Matthew Petroff  <matthew@mpetroff.net>

	Added viewBox implement document unit support.

2013-08-25  Matthew Petroff  <matthew@mpetroff.net>

	Use real world units for page sizes.

2013-09-20  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Using inkscape compact settings to save the icons.svg file

2013-09-20  Markus Engel  <markus.engel@tum.de>

	Fix grids after C++ification. Patch from Markus Engel

2013-09-20  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	make check: Fix harder. Remove muldefs hack and modify quote-test.h
	so that the hack is not required any more.

2013-09-20  Martin Owens  <doctormo@gmail.com>

	Refactor status-bar text for multiple items, was very broken

2013-09-20  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix make check after merge of cppify branch

2013-09-20  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix assertion failure on Ctrl+C

2013-09-20  Campbell Barton  <ideasman42@gmail.com>

	updates for cmake

2013-09-19  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Show warning when input image of Trace Pixel Art dialog is too large.

2013-09-19  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Removing redundant "include config.h"

2013-09-19  Adrian Johnson

	Do not require a new layer for clipping paths in the Cairo renderer.
	Fixes LP #523285.

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix serious potential bug in SPImage::print

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove a warning when embedding an image with a mimetype which is not
	directly handled by Cairo

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix colors when tracing

2013-09-19  Martin Owens  <doctormo@gmail.com>

	Merge in doxygen updates from Vinipsmaker

2013-05-06  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Restoring two setting related to previous Doxygen configuration of LaTeX output
	
	The settings are:
	
	* EXTRA_PACKAGES: The change fix a bug
	* PDF_HYPERLINKS: The change improve the reading if you aren't using an
	electronic device

2013-04-27  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Updated Doxygen configuration file to match new versions
	
	All custom latex config entries were replaced by the defaults, because
	Inkscape's Doxyfile don't generate latex output.
	
	SHOW_DIRECTORIES (previously set to NO) and HTML_ALIGN_MEMBERS (previously set
	to YES) were removed, because these options don't exist in newer versions of
	Doxygen.
	
	Values that didn't exist before were set to the Doxygen's default, expect for
	PROJECT_BRIEF and PROJECT_LOGO, were appropriate values were used.
	
	The remaing values were kept.

2013-09-19  Martin Owens  <doctormo@gmail.com>

	Merge in Adonis Papaderos' fix for bug lp:898797

2012-08-06  Adonis Papaderos  <ado.papas@yahoo.gr>

	hack for 898797

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove outdated example file sp-skeleton.cpp

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix type mismatch for platforms where gsize is not unsigned long

2013-09-19  Martin Owens  <doctormo@gmail.com>

	Revert some agressive changes and allow a seperate filter bbox for FER, should be refactored at some point.

2013-09-19  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Fixing colors in libdepixelize integration output.

2013-09-19  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Updating libdepixelize integration to use new Inkscape::Pixbuf interface.
	Fixes build issue introduced in last commit.

2013-09-19  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Merging libdepixelize branch

2013-09-13  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Missing file from libdepixelize

2013-09-13  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Bumping new version of libdepixelize

2013-09-13  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Removing obvious comments from PixelArtDialog

2013-09-12  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Integrating with libdepixelize

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Merge C++ification of the SP tree by Markus Engel

2013-09-16  Markus Engel  <markus.engel@tum.de>

	Added gpl notice

2013-09-16  Markus Engel  <markus.engel@tum.de>

	Removed TypeInfo; adjusted Factory to meet code style conventions.

2013-09-15  Markus Engel  <markus.engel@tum.de>

	Added runtime check in SP_-cast macros.

2013-09-14  Markus Engel  <markus.engel@tum.de>

	Modified SP_IS_ macros.

2013-09-14  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12517).

2013-08-30  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12488).

2013-08-04  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12465).

2013-08-04  Markus Engel  <markus.engel@tum.de>

	Cleaned up once more.

2013-08-03  Markus Engel  <markus.engel@tum.de>

	Cleaned up.

2013-08-02  Markus Engel  <markus.engel@tum.de>

	reordered SPDesktop::set_event_context2; fixed last mismatched-tags

2013-08-01  Markus Engel  <markus.engel@tum.de>

	Fixed more mismatched-tags; replaced GObject-properties in SPGuide

2013-08-01  Markus Engel  <markus.engel@tum.de>

	Replacement of unnecessary variables.

2013-07-31  Markus Engel  <markus.engel@tum.de>

	Removed placement news / explicit destructor calls.

2013-07-31  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12441).

2013-07-31  Markus Engel  <markus.engel@tum.de>

	Cleaned up a bit; fixed struct vs. class forward declarations.

2013-07-31  Markus Engel  <markus.engel@tum.de>

	Fixed SPObject ctor and dtor; removed singleton.h; some smaller changes.

2013-07-30  Markus Engel  <markus.engel@tum.de>

	Further refactoring of EventContexts.

2013-07-25  Markus Engel  <markus.engel@tum.de>

	Merge from trunk (r12439).

2013-07-14  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12419).

2013-04-28  Markus Engel  <markus.engel@tum.de>

	Merged from trunk (r12305)

2013-04-28  Markus Engel  <markus.engel@tum.de>

	various changes

2013-04-21  Markus Engel  <markus.engel@tum.de>

	Removed some unused files; more refactoring in EventContext tree.

2013-04-21  Markus Engel  <markus.engel@tum.de>

	More cleaning.

2013-04-21  Markus Engel  <markus.engel@tum.de>

	Cleaned up a bit.

2013-04-21  Markus Engel  <markus.engel@tum.de>

	Some refactoring in RectContext and StarContext.

2013-04-20  Markus Engel  <markus.engel@tum.de>

	Moved factories to different files.

2013-04-20  Markus Engel  <markus.engel@tum.de>

	merged from trunk (r12287)

2013-04-20  Markus Engel  <markus.engel@tum.de>

	Merging of EventContext classes complete.

2013-04-20  Markus Engel  <markus.engel@tum.de>

	Further changes to EventContexts; they work without GObject

2013-04-13  Markus Engel  <markus.engel@tum.de>

	Replaced casting macros for EventContext tree; added contructors.

2013-04-13  Markus Engel  <markus.engel@tum.de>

	Made factory a template.

2013-04-13  Markus Engel  <markus.engel@tum.de>

	Added prefPaths to contexts; modified SPFactory

2013-04-10  Markus Engel  <markus.engel@tum.de>

	various little changes

2013-04-10  Markus Engel  <markus.engel@tum.de>

	Removed unused (ancient!) code.

2013-04-10  Markus Engel  <markus.engel@tum.de>

	Removed old SPObject factory.

2013-04-09  Markus Engel  <markus.engel@tum.de>

	Added constructors to EventContext tree / some missing virtual pads.

2013-04-09  Markus Engel  <markus.engel@tum.de>

	Started conversion of SPEventContext tree; added virtual pads to all classes.

2013-04-08  Markus Engel  <markus.engel@tum.de>

	Reactivated independent reference counting in the SPObject tree.

2013-04-08  Markus Engel  <markus.engel@tum.de>

	Added exception to SPFactory / basic handling to SPObject.

2013-04-07  Markus Engel  <markus.engel@tum.de>

	Merge Object and subclasses. Merging of SP- and C-classes complete.

2013-04-07  Markus Engel  <markus.engel@tum.de>

	Merged FilterPrimitive and subclasses.

2013-04-06  Markus Engel  <markus.engel@tum.de>

	Merged more classes.

2013-04-06  Markus Engel  <markus.engel@tum.de>

	Merged ObjectGroup and subclasses.

2013-04-06  Markus Engel  <markus.engel@tum.de>

	Merged PaintServer and subclasses; moved Gradient classes to own files.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Merged Item.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	merged from trunk (r12265)

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Merged FlowX classes.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Merged more classes.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Merged Group and subclasses.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Merged Shape and subclasses. Cleaned up a bit.

2013-04-05  Markus Engel  <markus.engel@tum.de>

	Combined some classes.

2013-04-04  Markus Engel  <markus.engel@tum.de>

	Merged SPSpiral and CSpiral.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Combined SPRect and CRect.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Cleaned up a bit. Uses some C++11 features.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Replaced some forgotten old casting macros.
	All object files are first compiled into a static library and then Inkscape and Inkview are linked against this library.
	Thus the linker omits some global function calls that are necessary for class registration.
	This intermediate step was removed so that both executables are directly linked against all object files.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Added virtual destructor to SPObject. Switched to new factory. Replaced some casts. Inkscape seems stable, car.svgz renders correctly to png.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Registered classes with new factory. Hkern, Vkern and FeFuncX have to be rewritten, as they aren't real classes.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Added new factory for SPObject tree objects.

2013-04-02  Markus Engel  <markus.engel@tum.de>

	Added constructors to SP classes.

2013-04-01  Markus Engel  <markus.engel@tum.de>

	Added experimental constructor to SPRect. Memory leaks because of non-virtual destructor.

2013-04-01  Markus Engel  <markus.engel@tum.de>

	Replaced calls to g_object_(un)ref with sp_object_(un)ref.

2013-04-01  Markus Engel  <markus.engel@tum.de>

	Replaced all casting macros with glib-independent ones.

2013-04-01  Markus Engel  <markus.engel@tum.de>

	Prepared exchange of casting macros.

2013-03-31  Markus Engel  <markus.engel@tum.de>

	Added TypeInfo class.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Turned all functions concerning SPSpiral into member functions.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Turned all functions concerning SPRect into member functions.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Removed unused function definitions

2013-03-30  Markus Engel  <markus.engel@tum.de>

	merged from trunk

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Renamed virtual function names.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	merged from trunk

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Removed function pointers from SPObject and subclasses.
	Added some missing virtual pads for classes that were hidden by preprocessor macros.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Replaced calls to "pattern_new".

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Replaced virtual function call to "build_renderer".

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Added "virtual pads" to
	- SPFilterPrimitive and all subclasses
	
	All subclasses of SPObject now have got virtual pads.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Added "virtual pads" for
	- ColorProfile
	- LivePathEffectObject
	- Persp3D

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Added "virtual pads" to
	- SPAnimation
	- SPIAnimation
	- SPAnimate
	
	fixed compiler error in SPFeFuncNode.

2013-03-30  Markus Engel  <markus.engel@tum.de>

	Added "virtual pads" to
	- SPFeFuncNode
	- SPFeDistantLight
	- SPFeMergeNode
	- SPFePointLight
	- SPFeSpotLight
	- SPFilter
	- SPFont
	- SPGuide
	
	Changes in SPItem and SPNamedView.

2013-03-14  Markus Engel  <markus.engel@tum.de>

	Various changes.

2012-10-07  Markus Engel  <markus.engel@tum.de>

	Added some virtual pad calls to SPObject.

2012-10-06  Markus Engel  <markus.engel@tum.de>

	Added virtual pad to SPFlowtext; removed old calls to virtual SPItem methods.

2012-09-29  Markus Engel  <markus.engel@tum.de>

	Removed old calls to set_shape and update_patheffect.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPMissingGlyph.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPDefs.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPDesc.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPMetadata.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPNamedView.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPMask.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPClipPath.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPObjectGroup.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Fixed some virtual function calls in SPItem and SPUse that led to crashes as they were not implemented in the base class.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to
	- SPPaintServer
	- SPPattern
	- SPGradient
	- SPStop
	- SPLinearGradient
	- SPMeshGradient
	- SPMeshPatch
	- SPMeshRow
	- SPRadialGradient
	
	As all subclasses of SPPaintServer now have "virtual pads" with correct inheritance, the virtual function call to "onCreatePattern" was converted to C++ style.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPScript.

2012-08-21  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPString.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPStyleElem.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPTitle.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	As all subclasses of SPItem now have "virtual pads" with correct inheritance, all virtual function calls in SPItem were converted to C++ style.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPUse.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPTRef.

2012-08-20  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPTextPath and SPTSpan.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPText.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPImage.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to
	- SPFlowregion
	- SPFlowregionExclude

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to
	- SPFlowdiv
	- SPFlowtspan
	- SPFlowpara
	- SPFlowline
	- SPFlowregionbreak

2012-08-19  Markus Engel  <markus.engel@tum.de>

	As all subclasses of SPLPEItem now have "virtual pads" with correct inheritance, the virtual function call to "onUpdatePatheffect" was converted to C++ style.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPSymbol.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPRoot.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPMarker.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPBox3D.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPAnchor.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPGroup and SPSwitch. There was some weird try by someone else.
	SPGroup should work as expected, SPSwitch may still be buggy.

2012-08-19  Markus Engel  <markus.engel@tum.de>

	As all subclasses of SPShape now have "virtual pads" with correct inheritance, the virtual function call to "onSetShape" was converted to C++ style.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPSpiral.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPRect.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPPolyLine.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPStar.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to Box3DSide.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPPolygon.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPPath.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPOffset.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPLine.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to
	- SPGenericEllipse
	- SPEllipse
	- SPCircle
	- SPArc

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPShape.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPLPEItem.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPItem.

2012-08-18  Markus Engel  <markus.engel@tum.de>

	Added "virtual pad" to SPObject.

2013-09-19  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Encapsulate the shared memory hack for Cairo and GdkPixbuf in a class
	called Inkscape::Pixbuf. Replace usage in the code as appropriate.

2013-09-18  Martin Owens  <doctormo@gmail.com>

	Merge in patch for Jabiertxo Arraiza Cenoz in bug lp:1127103

2013-09-18  Martin Owens  <doctormo@gmail.com>

	Merge in David Mathog (mathog) patch for bug #1224486

2013-09-18  Martin Owens  <doctormo@gmail.com>

	Remove setItemBounds and _item_bbox because aren't sensible, replace with bbox.

2013-09-18  Shlomi Fish  <shlomif@shlomifish.org>

	Fix cmake+ninja install (bug #1224543)

2013-09-17  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1217602 (Measure Path fails with XML too deep error) by dave m.

2013-09-17  Martin Owens  <doctormo@gmail.com>

	Remove compute drawbox and replace with area_elarge, make sure we use bbox

2013-09-15  apenner  <penner@vaxxine.com>

	Path->Inset trial 2. revert rev 12279. (fix Bug 1218333)

2013-09-15  Diederik van Lierop

	Scale rendering of pattern fill of text when chaning zoom level; partial fix for blocker bug #1005892; this reinstates a line that was commented out in rev. 12488

2013-09-15  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-09-15  Kris  <Kris.De.Gussem@hotmail.com>

	UI message uniformisation

2013-09-15  Kris  <Kris.De.Gussem@hotmail.com>

	UI message uniformisation

2013-09-14  Diederik van Lierop

	Fixes bug 953992 (Imported pattern fill disappers while transforming)

2013-09-14  apenner  <penner@vaxxine.com>

	Path->Inset. remove redundant node on inner join. (Bug 1218333)

2013-09-14  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix windows build

2013-09-14  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Do not recompress images when embedding and generating PDFs.
	Fixes blocker bug #871563.

2013-09-14  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix serious bug in recent GdkPixbuf / Cairo interop rework

2013-09-13  Martin Owens  <doctormo@gmail.com>

	Remove cc2.0 and 2.5 licenses

2013-09-13  Martin Owens  <doctormo@gmail.com>

	Fix the latest error with the adobe svg ns errors, boundry exceptions caused security failure.

2013-09-13  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Improve the functions which create GdkPixbuf from Cairo surface
	and vice versa. Simplifies some code.
	
	Also introduce proper refcounting into svg_preview_cache.cpp
	and fix its users.

2013-09-13  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Use g_match_info_free instead of g_match_info_unref
	for better Glib compatibility

2013-09-12  Martin Owens  <doctormo@gmail.com>

	Merge in fix for critical blocker #166371

2013-09-12  Martin Owens  <doctormo@gmail.com>

	Fix regex so it effects the buffer and ban PUBLIC entities too.

2013-09-12  Martin Owens  <doctormo@gmail.com>

	Improve code with Kosiński's regex replacement

2013-09-11  Martin Owens  <doctormo@gmail.com>

	Introduce a backup loading method that enables NOENT but hacks out system calls for adobe files

2013-09-12  Matthew Petroff  <matthew@mpetroff.net>

	Forgot check in last commit.

2013-09-12  Matthew Petroff  <matthew@mpetroff.net>

	Fix handling of SVG lengths with spaces between value and unit (hopefully without breaking things this time) [Bug #1208002].

2013-09-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix Windows build

2013-09-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	partially revert 12471, this fixes bug 1215575, but undoes the fix for the less important bug 1208002.
	(also improved unit conversion legibility)

2013-09-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	improve legibility

2013-09-08  Martin Owens  <doctormo@gmail.com>

	Add a check so objects removed from the document dont crash inkscape, happens on close bc event race condition or misorder of what to destroy

2013-09-07  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1219175 (Typing in Layers Dialog searches hidden/unhidden state instead of layer name).

2013-09-07  JazzyNico  <nicoduf@yahoo.fr>

	Translation. Latvian translation update by Jānis Eisaks.

2013-09-04  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1220758 (gears extention test broke make dist) by Ryan Lerch.

2013-09-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Allow EMF import from Wine apps on Linux

2013-09-02  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Unduplicate some code in the metafile printing extensions

2013-09-01  Matthew Petroff  <matthew@mpetroff.net>

	Fix grids with comma as decimal separator [Bug #1216306].

2013-09-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix compilation warnings in libuemf

2013-09-01  apenner  <penner@vaxxine.com>

	extensions. simplestyle.py. allow spaces at end of style attribute (Bug 1216859)

2013-09-01  Matthew Petroff  <matthew@mpetroff.net>

	Fix PNG export with non-px default unit [Bug #1215104].

2013-09-01  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Update the generate_POTFILES.sh script and POTFILES.in

2013-09-01  Campbell Barton  <ideasman42@gmail.com>

	update cmakefiles

2013-08-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix error in the Artistic Style options file

2013-08-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Add Artistic Style options file

2013-08-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Move libuemf to a separate directory.
	Rename libunicode-convert to symbol_convert and put it in libuemf.

2013-08-30  Martin Owens  <doctormo@gmail.com>

	Merge in pdf work by david bild, thanks David\!

2013-08-29  David R. Bild  <drbild@umich.edu>

	use multiple graphic/text layers for pdf+latex output

2013-08-26  David R. Bild  <drbild@umich.edu>

	Move omit text feature from cairo renderer to context

2013-08-29  Martin Owens  <doctormo@gmail.com>

	Merge emf/wmf work

2013-08-29  ~suv  <suv-sf@users.sourceforge.net>

	fix make check (POTFILES.in)

2013-08-29  ~suv  <suv-sf@users.sourceforge.net>

	adapt to changes in r12471 (unit refactoring)

2013-08-29  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12487)

2013-08-16  David Mathog

	Fix compiler warnings

2013-08-15  Kris  <Kris.De.Gussem@hotmail.com>

	patch of David Mathog in bugtread 988601 comment 186

2013-06-19  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12380)

2013-06-19  David Mathog

	changes_2013_05_22a.patch:
	
	1.  Resolves issue of bug #988601 message 170 (Support of 'Unset' styles in EMF export).
	
	2.  Implements CSS 3 (and CSS 2) text-decoration support. 
	Note that it does not yet provide any method of adding these features - at present it just shows whatever is in the SVG.   This new code is also used to display EMF/WMF strike-through and underline text decorations when these files are read in.  Those decorations may also be written out to EMF/WMF.  Other text decoration features, like overline, or dotted lines, are dropped.  For SVG text-decoration -line, -style, -color are all implemented.   CSS3 provides two ways to represent the same state,  this code uses the compound text-decoration method rather than the 3 fields method.  Also it leaves out keywords that are not needed and would break backwards compatibility.  For instance:
	
	text-decoration: underline solid
	
	is valid, but would break CSS2.  Solid is the default, so that sort of case is written as:
	
	text-decoration: underline
	
	If the state is CSS3 specific all of the needed fields are of course include, like
	
	text-decoration:  underline wavy red
	
	3.  It incorporates the fix for bug 1181326 (Text edit mishandles span of just colored spaces)
	
	4.  It incorporates further changes to text editing so that style can be changed on spans consisting of only spaces when text decorations are present in the span.
	
	5.  It incorporates code to disable text decorations when text so marked is mapped onto a path.  
	
	6.  Fixed more bugs in Hebrew language support than I can remember.  Hebrew language export/import to EMF now works quite well.   (See the examples in libTERE  v 0.7.)  WMF does not support unicode and for all intents and purposes Inkscape has no way to read or write Hebrew to it.  Some of more important things that now work that didn't (or didn't always):  Hebrew diacritical marks, R/L/center justification, and bidirectional text.   The Hebrew fonts "Ezra SIL" and "EZRA SIL SR" should be installed before viewing the libTERE examples, otherwise font substitutions will cause some text shifts.
	
	7.  Implemented font failover in Text Reassemble, which makes the process more robust.  (Again, see the examples in libTERE. )

2013-05-16  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12337)

2013-05-05  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12322)

2013-04-27  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12305)

2013-04-18  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12281)

2013-04-08  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12272)

2013-03-29  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12258)

2013-03-24  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12240)

2013-03-21  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r1228)

2013-03-21  David Mathog

	988601-changes_2013_03_20a.patch
	
	1.  Fixes the clang warnings noted in a post above, other than those
	associated with alignment caused by casting.
	
	2.  Fixes some minor rounding errors in both WMF and EMF input/output.
	Round trip open/save cycles are conservative for EMF and WMF files 
	(excluding any features that are not full supported in inkscape or the
	target file format, for instance, gradients, which must be emulated.)
	
	3.  Fixed a missing break in the input WMF LINETO record handling, which
	was falling through into the MOVETO and generating a harmless extra "M"
	operation in a path.
	
	4.  WMF has no POLYPOLYLINE record.   However input that maps into
	essentially a polypolyline record in SVG is common, for instance dashed
	lines that have been converted to line segments.  These end up in SVG as
	a series of M L M L draw commands in the path.  Earlier each M L pair
	was going out as a polyline record, now they go as a series of
	MOVETO/LINETO records.  The primary reason for this change is that
	without this change the behavior described in (2) does not occur.
	
	5.  Fixed an issue where polyline and polygon records in some instances
	ended up with an extra copy of their last point.

2013-03-19  ~suv  <suv-sf@users.sourceforge.net>

	INX: fix typo in internal WMF input/output filetypename

2013-03-19  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12224)

2013-03-19  David Mathog

	changes_2013_03_18c.patch
	
	This set of patches does the following:
	
	1.  Fixed a typo ( where "+ sizeof()"  should have been "* sizeof()")
	which caused a memory problem for EMF/WMF files with very large numbers
	of hatches.
	
	2. Added support for background mode, background color, and textcolor
	in hatches.  EMF/WMF files change these parameters but the change may
	be silent until many records later.  This has the odd effect that a
	stroke or fill may be defined (in SVG) and then it is ignored later
	and replaced with one with a different background color. 
	
	3. Fixed WMF output so that it wasn't adding +1 to the number of pixels
	for Width and Height.  (Allows WMF files to go through several cycles
	of save as, open without changing sizes.)
	
	4.  Cleaned up indenting of [ew]mf-{print|inout}.* files, to make
	them compliant with the inkscape standard.  All indents are (I hope)
	now 4*i deep.
	
	5.  Added underline/strikeout support for text read from EMF/WMF files.
	Inkscape itself cannot currently render this, but it makes it into the
	SVG, and it shows up correctly when that SVG is read by Opera.
	
	6.  Took out all the "throw" calls, replacing them with g_error().  If
	this comes up again in debugging a define can be used to remap the
	g_error to temporarily reintroduce the throw so that gdb can catch them.
	
	7.  Took out the "%6lf" format changes from patch 11724, retained the
	"127" length limit in the same sscanf.
	
	8.  Put the C type casts back in, reversing those changes from patch
	11724.   This is a style issue, and I could not find clear guidance for
	which way to go.  (Nor a good rationale for keeping the lengthier C++
	syntax.)  So  I reviewed a large swath of other inkscape code to see if
	there was a trend and found a very large number of other sections that
	were using C style casts instead of the more verbose C++ forms.   So I
	kept it the way it has been.
	
	9.  The locale changes from 11724 were of course retained.

2013-03-15  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12209)

2013-03-13  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12201)

2013-03-13  Kris  <Kris.De.Gussem@hotmail.com>

	Prevent crashing on windows systems due to locale issues

2013-03-11  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12191)

2013-03-08  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12182)

2013-03-08  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12181)

2013-03-08  David Mathog

	changes_2013_02_25a.patch
	
	New: WMF import/export
	
	implements WMF (Windows Metafile) read and write.  Inkscape previously
	supported that through uniconverter, which was not very good with WMF
	files.  The new version now has a complete wmf-print/wmf-inout
	implementation, analogous to the previous emf-print/emf-inout.  This
	handles images, patterns, and various other goodies to the extent that
	WMF does.  WMF is a bit primitive, many fields are only 16 bits, so it
	even more resolution sapping issues than does EMF. Given the choice,
	always use the latter format.

2013-02-13  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12122)

2013-02-13  David Mathog

	changes_2013_02_01b.patch
	
	EMF import:
	- Fix for EMF files with MODIFYWINDOWTRANSFORM records containing rotations 
	- Add support for embedded PNG and JPG images
	- Fix for PowerPoint patterns
	
	EMF export:
	- Rotated images are exported using MODIFYWINDOWTRANSFORM records  
	- Add output option to allow unrotated output (e.g. for PowerPoint 2003)
	- Don't rotate hatch and image fills on export
	
	libTERE:
	-  Fix bug with misplaced words in LTR text (fix for RTL untested)

2013-01-24  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12063)

2013-01-22  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12051)

2013-01-01  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r12005)

2012-12-13  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11952)

2012-12-13  David Mathog

	preliminary release of the EMF import text reassembly feature. 
	(based on libTERE (TExt REassembly), not yet published)
	
	libTERE examines all the text in an EMF file, which consists only of 
	little chunks in different formats, and attempts to reassemble it into 
	an editable SVG text object, with color, different fonts and so forth.
	(only tested with English)

2012-12-04  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11929)
	
	[win32] Please update to latest devlibs for Windows (r41)

2012-12-04  David Mathog

	changes_2012-11_28.patch
	
	EMF import:
	- fix a bug which could potentially show up when a UTF16 string
	was read from an EMF file that contained mostly glyphs that 
	needed 3 or 4 byte UTF-8 encoding.

2012-11-26  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11903)

2012-11-14  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11871)

2012-11-14  David Mathog

	changes_2012_11_13a.patch
	
	EMF import:
	- More changes to the MAPMODES behavior.

2012-11-10  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11865)

2012-11-01  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11858)

2012-11-01  David Mathog

	changes_2012_10_31b.patch
	
	EMF import:
	- better handling of aberrant bitmap records
	- support for reading rarely encountered map modes (MM_LOENGLISH etc.)
	(Output is still always MM_TEXT)
	- better handling of EMF files with offset EMR_HEADER bounds fields
	- improved text import 
	(snap font sizes to the nearest whole multiple of 1/32 points)

2012-10-29  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11850)

2012-10-25  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11826)

2012-10-25  David Mathog

	changes_2012_10_22b.patch, changes_2012_10_24a.patch
	
	EMF import (Adobe Illustrator EMF files):
	- workaround for issue with page scaling ('MM_ANISOTROPIC', wrong units)
	- fix SETWORLDTRANSFORM operation
	- fix libUEMF to support older/shorter EMF header forms
	
	EMF import (general): 
	- fix import of shapes (rectangles) without borders
	- handle EMF bitmap modes where a subsection of the image is extracted 
	
	EMF export/import:
	- increased size in mm of the reference device by 100X on EMF export
	(significant when the dpi is calculated on reading the EMF back in)
	- changed dpi calculation: 
	(sum of pixels ref device)/(sum of millimeter ref device)

2012-10-22  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11821)

2012-10-19  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11810)
	Note: needs update to latest devlibs r36 for Windows builds

2012-10-18  David Mathog

	changes_2012_10_18b.patch:
	Additional fix for text that starts with any of the characters 0x0-0x1F
	cast the tested character to unsigned to prevent dropping of some strings 
	(follow-up to r11984)

2012-10-18  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11808)

2012-10-13  David Mathog

	Fix SVG formatting (EMF import):
	A typo caused two extra spaces to be appended on the end of any text
	which was read in from an EMF file.

2012-10-12  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11787)

2012-10-09  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11761)

2012-10-09  David Mathog

	changes_2012_10_08a.patch:
	- image import from EMR_BITBLT, EMR_STRETCHBLT, and EMR_MASKBLT records
	- sets a default font name (Arial) (for EMFs which specify  for a font)
	- drops text that starts with any of the characters 0x0-0x1F

2012-10-08  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11760)

2012-10-05  David Mathog

	changes_2012_10_04b.patch: fixes one small memory issue (bytes allocated and never deallocated, not a leak per se)

2012-10-04  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11737)

2012-10-04  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11734)

2012-10-04  David Mathog

	update based on patch 'changes_2012_09_27b.patch'

2012-10-04  ~suv  <suv-sf@users.sourceforge.net>

	revert changes in r11686 (not related to EMF support)

2012-09-27  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11709)

2012-09-27  David Mathog

	fix for 'em' and 'ex' units support
	(See also: bug #1036010)

2012-09-27  David Mathog

	initial changes to address problem of importing chunks of text into something editable
	(See also: bug #366744)

2012-09-27  David Mathog

	fix compiler warnings with old GCC on Mac OS X and Solaris

2012-09-25  ~suv  <suv-sf@users.sourceforge.net>

	revert .bzrgnore as well

2012-09-25  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11704)

2012-09-25  David Mathog

	Changes from 2012-09-24

2012-09-25  ~suv  <suv-sf@users.sourceforge.net>

	revert changes not strictly required for EMF support

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fix pointer issue in EMF code

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11698)

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	add newly linked-in m4 files to .bzrignore

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #988601: omnibus patch for EMF input/output support (cross-platform)

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Add libunicode-convert: routines for converting between Unicode and nonunicode fonts

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #1002351: configure.ac warnings on newer autoconf

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #989972: avoid link error against static libstdc++ on Windows

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #1050064: quiet console messages about supported values for 'color-interpolation-filters'

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	From bug #1048845: proposed addition to livarot for boolean operations

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #1029584: support custom dasharrays in 'Fill and Stroke > Stroke style'

2012-09-23  ~suv  <suv-sf@users.sourceforge.net>

	Fixes bug #986271: memory leak with bitmap images

2013-08-25  Jon A. Cruz  <jon@joncruz.org>

	Updating outdated test. Fixes bug #1202271.

2013-08-25  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-08-24  JazzyNico  <nicoduf@yahoo.fr>

	Latvian translation update by Jānis Eisaks.
	Ukrainian translation update by Yuri Chornoivan.

2013-08-22  JazzyNico  <nicoduf@yahoo.fr>

	New merge text extension (see Bug #960046).

2013-08-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix make check on OS X

2013-08-21  Kris  <Kris.De.Gussem@hotmail.com>

	better memory leak fix (fixes bug 986271: memory leaks associated with images)
	Patch by David Mathog, including revert of former fix in rev 11268

2013-08-15  tavmjong-free  <tavmjong@free.fr>

	Prevent writing out empty style strings.

2013-08-15  tavmjong-free  <tavmjong@free.fr>

	Add option to write out path data using only relative coordinates
	(in addition to using only absolute coordinates or using a mixture
	of absolute and relative coordinates optimized for length).

2013-08-15  Alex Valavanis  <valavanisalex@gmail.com>

	Fix Gtk+ 3 build failure and make check

2013-08-15  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix warning and hopefully fix build failures on Launchpad

2013-08-14  ~suv  <suv-sf@users.sourceforge.net>

	fix build with dbusapi enabled

2013-08-14  Slagvi Public  <Jan dot Darowski att gmail dott com>

	NewFromTemplate GSoC project for static templates

2013-08-13  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Cleanups before merge

2013-08-10  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Existing templates metadata added. Small keywords processing fix.

2013-08-06  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Adapted sp_file_new for use with templates

2013-08-04  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Removing template data from XML tree added

2013-07-27  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Template preview size fixed

2013-07-27  Slagvi Public  <Jan dot Darowski att gmail dott com>

	New preview rendering option in New From Template

2013-07-27  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Templates related bug fixes

2013-07-24  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Templates gui fixes

2013-07-24  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Old templates support removed

2013-07-19  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Minor code fixes

2013-07-19  Slagvi Public  <Jan dot Darowski att gmail dott com>

	New From Template ui rearrangement

2013-07-17  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Searching by words in descriptions, titles etc. Translation support improved

2013-07-13  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Template info loading + searching by keywords added. 

2013-07-08  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Coding style improvements and display bug fixes

2013-07-04  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Added loading templates into NewFromTemplate dialog. 

2013-07-03  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Templates menu item fixed 

2013-07-02  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Adding NewFromTemplate to the Inkscape menu

2013-06-27  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Coding style fixes

2013-06-22  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Changed comboBox into editable

2013-06-22  Slagvi Public  <Jan dot Darowski att gmail dott com>

	Coding style fixes 

2013-06-18  Slagvi Public  <Jan dot Darowski att gmail dott com>

	First newFromTemplate commit. Some basic widgets mechanics

2013-08-12  Martin Owens  <doctormo@gmail.com>

	Merge bool fix and clean up the warning

2013-08-08  Eric Greveson  <eric@greveson.co.uk>

	Fix to do the "right thing" for difference/intersection boolean ops when
	one or more input paths are truncated to zero-size by the quantization
	step (coordinate rounding). Previously this had only been fixed for union
	ops (which happened to work for exclusion (XOR) ops as well).

2013-08-12  Martin Owens  <doctormo@gmail.com>

	Merge in object-to-path enabler dbus command

2013-08-12  Eric Greveson  <eric@greveson.co.uk>

	Allow Object to Path verb from non-GUI (DBus) interface

2013-08-10  JazzyNico  <nicoduf@yahoo.fr>

	Packaging. Hebrew translation by Yaron Shahrabani.

2013-08-07  Alex Valavanis  <valavanisalex@gmail.com>

	Remove missing files from POTFILES.in

2013-08-06  Matthew Petroff  <matthew@mpetroff.net>

	Merge Google Summer of Code unit refactor.

2013-08-06  Matthew Petroff  <matthew@mpetroff.net>

	Fixed bug in page sizer.

2013-08-04  Matthew Petroff  <matthew@mpetroff.net>

	Switched to global UnitTable.

2013-08-03  Matthew Petroff  <matthew@mpetroff.net>

	Fix handling of SVG lengths with spaces [Bug #1208002].

2013-08-03  Matthew Petroff  <matthew@mpetroff.net>

	Fixed building of tests.

2013-08-01  Matthew Petroff  <matthew@mpetroff.net>

	Fix UnitTracker percentage bug.

2013-08-01  Matthew Petroff  <matthew@mpetroff.net>

	Fixed Windows compile bug.

2013-08-01  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-08-01  Matthew Petroff  <matthew@mpetroff.net>

	Fixed Windows compile bug.

2013-08-01  Matthew Petroff  <matthew@mpetroff.net>

	Improved math formatting.

2013-07-31  Matthew Petroff  <matthew@mpetroff.net>

	Eliminate "unit-constants.h".

2013-07-31  Matthew Petroff  <matthew@mpetroff.net>

	Added percent support back to select toolbar.

2013-07-29  Matthew Petroff  <matthew@mpetroff.net>

	Cleanup.

2013-07-29  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-07-29  Matthew Petroff  <matthew@mpetroff.net>

	Update unit extraction regular expressions.

2013-07-21  Matthew Petroff  <matthew@mpetroff.net>

	Removed SPMetric.

2013-07-21  Matthew Petroff  <matthew@mpetroff.net>

	Ported "widgets/ruler.*" away from SPMetric.

2013-07-20  Matthew Petroff  <matthew@mpetroff.net>

	Ported away from and removed "sp-metrics.*".

2013-07-20  Matthew Petroff  <matthew@mpetroff.net>

	Add string output functions for units.

2013-07-20  Matthew Petroff  <matthew@mpetroff.net>

	Removed last traces of "SPUnit" and removed "helper/unit*".

2013-07-20  Matthew Petroff  <matthew@mpetroff.net>

	Ported "widgets/stroke-style.*".

2013-07-20  Matthew Petroff  <matthew@mpetroff.net>

	Added percentage support to "Inkscape::Util::Quantity::convert".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Cleanup.

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Ported "live_effects/parameter/unit.*".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Ported "ui/widget/style-swatch.*".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Ported "ui/widget/selected-style.*".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/units.h" from "pen-context.cpp".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/units.h" from "selection-chemistry.cpp".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/units.h" from "display/canvas-grid.cpp".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Ported "src/lpe-tool-context.*"

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/units.h" from "snap-preferences.h".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/units.h" from "ui/dialog/document-properties.cpp".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit-menu.h" and "helper/units.h" from "flood-context.h".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit-menu.h" and "helper/units.h" from "desktop-events.cpp".

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit-menu.h" from "widgest/toolbar.*" and associated files.

2013-07-19  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit-menu.h" from "widgets/rect-toolbar.*" and "widgets/spw-utilities.h".

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Switch unit functions from using pointer arguements to reference arguements.

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Added more more convientent unit functions.

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Added more convienient unit conversion functions.

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Ported "display/canvas-grid.*" and "display/canvas-axonomgrid.*".

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Added quantity string parsing.

2013-07-18  Matthew Petroff  <matthew@mpetroff.net>

	Ported "ui/dialog/clonetiler.*".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Ported "ui/dialog/export.*".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit.*" dependency from "ui/widget/registered-widget.*".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Removed "helper/unit-tracker.*".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Port remaining files away from "helper/unit-tracker.h".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Fixed botched merge.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Temporary fixes/kludges.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Ported "widgets/node-toolbar.cpp".

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Fixed memory corruption introduced in a previous commit.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Added copyright header and name to AUTHORS.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Fixed conversion factors and missed unit include removal.

2013-07-17  Matthew Petroff  <matthew@mpetroff.net>

	Ported "widgets/text-toolbar.cpp" and "widgets/paintbucket.cpp"

2013-07-16  Matthew Petroff  <matthew@mpetroff.net>

	Removed unused unit includes.

2013-07-16  Matthew Petroff  <matthew@mpetroff.net>

	Added new UnitTracker class.

2013-07-09  Matthew Petroff  <matthew@mpetroff.net>

	Ported sp-namedview.cpp (todo: fix a bunch of things).

2013-07-06  Matthew Petroff  <matthew@mpetroff.net>

	Switch setWidth and setHeight to use Quantity and switch to forward declaration of Inkscape::Util::Quantity in document.h.

2013-07-06  Matthew Petroff  <matthew@mpetroff.net>

	Ported measure-context.cpp (to do: port widgets/measure-toolbar.cpp so unit selector works again).

2013-07-01  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-07-01  Matthew Petroff  <matthew@mpetroff.net>

	Ported "ui/widget/page-sizer.cpp" and "document.cpp" to "Util::Unit" class.

2013-07-01  Matthew Petroff  <matthew@mpetroff.net>

	Renamed Length class to Quantity class, fixed bugs, and added functions.

2013-06-24  Matthew Petroff  <matthew@mpetroff.net>

	Merge from trunk.

2013-06-24  Matthew Petroff  <matthew@mpetroff.net>

	Added length class.

2013-08-06  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	init SPStyle better: fixes a bunch of bugs resulting from improper re-init of SPStyle struct. (after r12452)

2013-08-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	code cleanup (cppcheck)

2013-08-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix memleak (rows)

2013-08-04  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-08-04  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: c-style casts > c++ style casts

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	catch exception by reference

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	reduce variable scope

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	reduce scope of variables

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	rename variable for clarity

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix small "performance" issues (cppcheck)

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix initialization

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix initialization

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	some code cleanup, trying to get it through cppcheck

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bug

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	cleanup

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	function cleanup

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove unused variable

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	init members

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	disable really bad memset on a huge struct that contains member objects besides just integers and enums

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add comment. cppcheck false positive

2013-08-03  apenner  <penner@vaxxine.com>

	pdf import. re-define tiling pattern scaling matrix (Bug 1168908)

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	cppcheck fix:  Memory leak: rows

2013-08-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	cppcheck Common realloc mistake: 'qrsData' nulled but not freed upon failure

2013-08-03  Alex Valavanis  <valavanisalex@gmail.com>

	Fix gears test

2013-08-03  Alex Valavanis  <valavanisalex@gmail.com>

	Fix return code for extension tests]

2013-08-03  Alex Valavanis  <valavanisalex@gmail.com>

	Fix extensions that fail unit tests

2013-08-03  Alex Valavanis  <valavanisalex@gmail.com>

	Fix attributes test list

2013-08-02  Alex Valavanis  <valavanisalex@googlemail.com>

	Fix POTFILES.in missing files

2013-08-01  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build error

2013-07-31  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-07-31  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix selection of images in outline mode. Fixes LP #1089702

2013-07-25  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove unnecessary variable from the GMarkup-based unit parser

2013-07-25  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove the "simple SAX" parser. Replace its only use (loading of unit
	definitions in util/units.cpp) with Glib::Markup

2013-07-24  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove mentions of DialogScript verb from keybinding files

2013-07-24  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Comparison between licenses are now done by comparing the License URI.

2013-07-16  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Merging patch from Peter Liljenberg. License comparison is now done by comparing license URI and nothing else.

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Actually remove approx-equal.h (oops again)

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix stray prototype of a removed function

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Actually remove the file containing the unused fix (oops)

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove unused fix for an ancient problem with g_ascii_strtod

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove approx-equal.h and replace with Geom::are_near

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Fix spelling error in filename

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove the Digest class. Replace its only use with a glibmm call.

2013-07-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove the disabled script dialog and the nonfunctional Java binding

2013-07-21  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-07-18  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Added my name to the AUTHORS file.

2013-07-18  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Rename the "clipart" directory to the more descriptive name "branding".
	Remove duplicate Inkscape logos.

2013-07-17  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Changed metadata tooltips to match the definition of Dublin Core terms.

2013-06-24  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Changed document properties - metadata tooltips to match the definition of dublin core terms.

2013-07-17  Alex Valavanis  <valavanisalex@gmail.com>

	Fix ordering of verbs

2013-07-17  Alex Valavanis  <valavanisalex@gmail.com>

	Revert accidental change to configure.ac

2013-07-17  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining g_type_init deprecation issues

2013-07-16  apenner  <penner@vaxxine.com>

	Shape calculations. re-introduce grid of a smaller size. (http://article.gmane.org/gmane.comp.graphics.inkscape.devel/40786)

2013-07-13  Jon A. Cruz  <jon@joncruz.org>

	Minor C++ish refactoring pass.

2013-07-13  Jon A. Cruz  <jon@joncruz.org>

	Whitespace cleanup.

2013-07-12  Martin Owens  <doctormo@gmail.com>

	Use Jon Cruz info about OptRect to correctly get area height and width

2013-07-12  Martin Owens  <doctormo@gmail.com>

	Do not effect the focus in align computation

2013-07-11  Martin Owens  <doctormo@gmail.com>

	Change small to sml to fix windows compile problem

2013-07-10  Martin Owens  <doctormo@gmail.com>

	Remove align point, not required any more

2013-07-10  Martin Owens  <doctormo@gmail.com>

	Step 2 refactoring the align functions, added some functionality to selection.

2013-07-10  Martin Owens  <doctormo@gmail.com>

	Merge in Eric's dbus name option

2013-07-10  Eric Greveson  <eric@greveson.co.uk>

	Merge from trunk

2013-07-10  Eric Greveson  <eric@greveson.co.uk>

	Added "dbus-name" command line option to allow a D-Bus bus name other than
	"org.inkscape" to be specified. This allows multiple Inkscape instances to
	be controlled over D-Bus in a single user session.

2013-07-09  Martin Owens  <doctormo@gmail.com>

	Small refactor of align and distribute to reduce complexity.

2013-07-09  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1185132 (colorspace.h not included in the tarball when doing a make dist) by Ryan Lerch.

2013-07-08  Martin Owens  <doctormo@gmail.com>

	Revert wrong changes and apply right fixes from prev-commit

2013-07-07  Martin Owens  <doctormo@gmail.com>

	Make colour a guint instead of a uint. bug 1198501

2013-07-06  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build failure with GDL >= 3.6

2013-07-06  Martin Owens  <doctormo@gmail.com>

	Fix verbs that were out by 5 because of missing script verbs (broken between r7137-r11611)

2013-07-05  Martin Owens  <doctormo@gmail.com>

	Merge: Add Hershey extension for engraving fonts

2012-12-16  ~suv  <suv-sf@users.sourceforge.net>

	merge from trunk (r11955)

2012-12-16  ~suv  <suv-sf@users.sourceforge.net>

	Hershey Text: whitespace; py: docstring, modeline; inx: fix attribute value

2012-09-21  Windell Oskay

	Add extension 'Render > Hershey Text' for engraving fonts

2013-07-05  Martin Owens  <doctormo@gmail.com>

	Merge: version 2.31 of the guides creator

2011-05-01  Peter Lieverdink  <me@cafuego.net>

	Raise the limit on the number of guides from 100 to 1000.

2011-05-01  Peter Lieverdink  <me@cafuego.net>

	Replace guides creator with upstream guides creator version 2.31.

2013-07-05  Martin Owens  <doctormo@gmail.com>

	Merge: scale, rotate and skew handles refactoring

2013-07-05  Martin Owens  <doctormo@gmail.com>

	Adjust sizes of lists

2013-07-04  Martin Owens  <doctormo@gmail.com>

	Improve handle xpm loading using rotate

2013-07-05  Martin Owens  <doctormo@gmail.com>

	Merge: Command-line and DBus refactoring to improve inkscapes ability to be run headless.

2013-07-04  Eric Greveson  <eric@greveson.co.uk>

	Fix for builds without --enable-dbusapi (missing #ifdef)

2013-07-04  Eric Greveson  <eric@greveson.co.uk>

	Further renaming of DBus variables (object -> app_interface/doc_interface
	and doc_context -> target)
	Fixes to application interface for document_new (now only works in
	console mode, and behaves as expected)

2013-07-04  Eric Greveson  <eric@greveson.co.uk>

	Code readability improvements and licence changes for action-context.*
	based on merge request code review and feedback

2013-07-03  Eric Greveson  <eric@greveson.co.uk>

	Merge recent changes from inkscape trunk

2013-07-03  Eric Greveson  <eric@greveson.co.uk>

	Changed dbus interface to treat 'division' like other boolops, with a new
	return type for selection_combine to support this (array of string).
	This also fixes a bug with not setting the error flag when returning NULL
	from this method.
	Refactored some more selection verbs to allow use in no-GUI mode.

2013-07-03  Eric Greveson  <eric@greveson.co.uk>

	Modified dbus interface so that it works in console mode (--dbus-listen)
	Modified action context setup so that in console mode, when a document is
	added to the main inkscape app instance, it gets a selection model and
	layer model automatically set up for it
	Made a couple more verbs work in console mode

2013-07-01  Eric Greveson  <eric@greveson.co.uk>

	Added error messages when attempting to use verbs requiring GUI in
	console (--without-gui) mode.

2013-07-01  Eric Greveson  <eric@greveson.co.uk>

	Added new files referenced in previous commit message (forgot to add!)

2013-07-01  Eric Greveson  <eric@greveson.co.uk>

	Factored layer model out into new Inkscape::LayerModel class. This allows
	Inkscape::Selection to use a LayerModel that is not associated with a UI.
	Changed the interface of verbs (SPAction) to use a new ActionContext
	rather than UI::View::View, again so that verbs may be used in a console
	mode.
	Modified boolean operation verbs to work in console-only mode.
	Fixed up DESKTOP_IS_ACTIVE macro to work in the case of no desktops.
	Modified main.cpp to process selections and verbs in no-GUI mode.
	Other changes are all consequences of the SPDesktop, Selection and
	LayerModel interface changes.

2013-07-03  Martin Owens  <doctormo@gmail.com>

	Make handle colour a configurable property.

2013-07-01  Martin Owens  <doctormo@gmail.com>

	Refactor resize, rotate, skew handle code

2013-07-01  apenner  <penner@vaxxine.com>

	Shape calculations. do not quantize the coordinates. (Bug 168158)

2013-07-01  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	LPE bend path: fix crash on "uskeleton.cuts.back()" because of empty uskeleton.

2013-06-29  apenner  <penner@vaxxine.com>

	Transform dialog. do not use singular transforms. (Bug 1189446)

2013-06-29  Martin Owens  <doctormo@gmail.com>

	Make DAMN sure paths with zero nodes do not cause a crash.

2013-06-28  Martin Owens  <doctormo@gmail.com>

	Fix crash when undoing/redoing a duplicate layer.

2013-06-27  Martin Owens  <doctormo@gmail.com>

	Add the ability to reorder filters using drag-drop in the gtklist

2013-06-27  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Strings consistency fix in Rack gears extension.
	Translations. Translatable files list, translation template and French translation update.

2013-06-26  Martin Owens  <doctormo@gmail.com>

	Update makefile for extensions for gears

2013-06-26  Martin Owens  <doctormo@gmail.com>

	Add render rack gear extension from bug#1174800, modify gears location to render sub-menu

2013-06-26  Martin Owens  <doctormo@gmail.com>

	Fix Gtk3 build by including togglebutton header

2013-06-26  Martin Owens  <doctormo@gmail.com>

	Using CC0 link instead of old Public Domain link

2013-06-25  Martin Owens  <doctormo@gmail.com>

	Merge in: remove-hard-coded-toggle-dropper-keybinding

2013-06-17  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Removed hard coded keybinding from event-context.cpp and added the appropiate function call in verbs.cpp

2013-06-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Correctly ignore symbolic link to ltmain.sh

2013-06-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Documentation spelling fix

2013-06-23  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Remove unused file memeq.h

2013-06-23  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2013-06-21  Kris  <Kris.De.Gussem@hotmail.com>

	odf metadata - let's begin with a first step to full ODF compatibility

2013-06-21  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-06-21  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Finnish translation fix by Ville Pätsi (see Bug #752457) and translation template update.

2013-06-17  Martin Owens  <doctormo@gmail.com>

	Fix my own mis-credit and some symbols labels

2013-06-16  Martin Owens  <doctormo@gmail.com>

	Fix layer selection so defs don't change layers, updated symbol text.

2013-06-16  John Smith  <john.smith7545@yahoo.com>

	Fix for 1184408 : Additional zoom levels in zoom context menu

2013-06-16  John Smith  <john.smith7545@yahoo.com>

	Revert Fix for 600285 : Zoom slider

2013-06-15  Martin Owens  <doctormo@gmail.com>

	Improve icons for symbols dialog

2013-06-15  Martin Owens  <doctormo@gmail.com>

	Fix crash for external symbol documents, should never select these items.

2013-06-15  Martin Owens  <doctormo@gmail.com>

	Big change in symbols ui and selection chemistry.

2013-06-14  Martin Owens  <doctormo@gmail.com>

	Allow svg elements to be ungrouped

2013-06-13  Martin Owens  <doctormo@gmail.com>

	Do not allow markers for children of markers (prevent loop)

2013-06-12  Martin Owens  <doctormo@gmail.com>

	Use fixed inkscape icon for 'no-marker' instead of gtk theme icon

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Fix Apache2 license conflict with GPL with re-license from SOIX upstream

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Use 'remove' instead of 'gtk-remove' for theme.

2013-06-12  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Restore the old behavior of autogen.sh
	(do not automatically run configure).

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Change back to using NULL and fix windows theme error by checking

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Fix bug where symbols weren't identified as such

2013-06-11  apenner  <penner@vaxxine.com>

	extensions. hpgl input. new import routine by TimeWaster

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Fix new bug with No-Marker having no icon, use Stock GTK::Remove icon for No-Marker.

2013-06-11  Martin Owens  <doctormo@gmail.com>

	Change marker layout in stroke-widget so they are all on one line.

2013-06-10  apenner  <penner@vaxxine.com>

	use visual bbox in calculation of filter area (Bug 1188336)

2013-06-09  Jon A. Cruz  <jon@joncruz.org>

	Remove use of separate array for scale values.

2013-06-09  Jon A. Cruz  <jon@joncruz.org>

	Replace multiple copies of GTK2/GTK3 #ifdef code with single helper function.

2013-06-07  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Refactor --export-pdf-version detection.
	
	If the user try to export the pdf and ps versions at one run, the
	sp_export_pdf detection would fail. A better approach (this commit) is to check
	the mime argument.

2013-06-07  Jon A. Cruz  <jon@joncruz.org>

	C++ conversion of parallel arrays to vector of class instances.

2013-06-07  Jon A. Cruz  <jon@joncruz.org>

	Check for value in range before dereferencing.

2013-06-06  Jon A. Cruz  <jon@joncruz.org>

	Glibmm 2.32+ fix extended to optional components. Fixes bug #1179338.

2013-06-06  Jon A. Cruz  <jon@joncruz.org>

	Adding inclusion of config.h where needed for threads.h check.

2013-06-06  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2013-06-06  Jon A. Cruz  <jon@joncruz.org>

	Added configure/ifdef guards to only bring in the needed #include if glibmm has it.

2013-06-06  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Fixes r12348 and r12350.
	
	Typo error (sp_export_pdf_version instead sp_export_pdf).

2013-06-05  Martin Owens  <doctormo@gmail.com>

	Fix symbol-title missing crash

2013-06-05  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Add option to set --export-ps-level. Fixes bug #669748.
	
	Moreover, a bug in --export-pdf-version was fixed. The bug made Inkscape crash
	if someone try to export a ps file.

2013-06-05  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Refactor: Changed some functions from Extension to const.
	
	The functions changed to const:
	
	* get_param_color
	* get_param_enum
	* get_param_optiongroup
	* get_param_enum_contains

2013-06-05  Vinícius dos Santos Oliveira  <vini.ipsmaker@gmail.com>

	Add command line option to specify PDF export version. Patch from schwieni.
	
	From the patch's author:
	
	Additional command line option added to export to different PDF-versions
	supported by cairo (currently only "PDF 1.4" and "PDF 1.5"). The user must
	provide the exact string found in the PDF-export dialog of Inkscape. This
	feature was previously only accessible via the GUI of Inkscape. This option is
	useful for people opting for PDF-a conformance in their PDFs. Moreover, the
	Extension and Parameter classes are extended by setters for enum parameters
	(used in combo boxes).

2013-06-04  Jon A. Cruz  <jon@joncruz.org>

	Correct to compile against recent gtkmm, including updated macports versions. Fixes bug #1179338.

2013-06-04  Jon A. Cruz  <jon@joncruz.org>

	Correct to compile against recent gtkmm, including updated macports versions. Fixes bug #1179338.

2013-06-02  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-05-29  tavmjong-free  <tavmjong@free.fr>

	Fix for command line EPS/PS export (bug 1173776). Patch from Vinipsmaker.

2013-05-27  apenner  <penner@vaxxine.com>

	extensions. dxf input. create default layer 0 if it does not exist (Bug 1123907)

2013-05-26  tavmjong-free  <tavmjong@free.fr>

	Prevent crash from middle marker when a path or polyline has only one point.

2013-05-25  apenner  <penner@vaxxine.com>

	boolops. allow Division to create hole (Bug 499744)

2013-05-25  JazzyNico  <nicoduf@yahoo.fr>

	Reverting fix for Bug #1022543.

2013-05-21  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1022543 (Ctrl+C increments the documents count) by Maggio.

2013-05-18  Jon A. Cruz  <jon@joncruz.org>

	Refactored internals to use a vector of structs instead of several parallel arrays.

2013-05-16  Martin Owens  <doctormo@gmail.com>

	New symbol-button icons

2013-05-16  JazzyNico  <nicoduf@yahoo.fr>

	Win32. More include fixes for glibmm 2.36 (file dialog).

2013-05-15  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fixing some more include issues (glibmm threads depracation).

2013-05-14  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Adding missing include (failed with the gtk3 devlibs).

2013-05-13  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1173806 (Don't use deprecated g_type_init()) by Davis Evans.

2013-05-13  insaner  <launchpad@insaner.com>

	cleanup document option to clean up unused swatches

2013-05-12  Jon A. Cruz  <jon@joncruz.org>

	Moved icc selector members to internal helper.

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Translations. PO template update.

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1085949 (Use ImageMagick fallback when importing bitmap resolution).

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #448872 (Changing the bounding box type in preferences does not update the preview) by Vinipsmaker.

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #181493 (Locked layers not completely locked) by frenchie4111.

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #683561 (Can't select text using click - [SHIFT+click]).

2013-05-12  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #515267 (CTRL+DEL and CTRL+BACKSPACE in text boxes doesn't work)

2013-05-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 871563 : JPG images are recompressed with lower quality when embedded

2013-05-09  Martin Owens  <doctormo@gmail.com>

	Improve code documentation for symbols

2013-05-08  Garret  <garrettl@gmail.com>

	Palettes: Add pure black and white to Tango palette

2013-05-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 1171434 : trunk: INX <optiongroup> broken^

2013-05-03  Jon A. Cruz  <jon@joncruz.org>

	Christoffer Holmstedt 2013-04-21 Fixed compilation warnings and updated tweak-move and tweak-move-jitter cursors. Fixes bug #587729.

2013-04-21  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Fixed compilation warnings and updated tweak-move and tweak-move-jitter cursors.

2013-04-18  Christoffer Holmstedt  <christoffer.holmstedt@gmail.com>

	Added 9 cursors for the tweak tool.

2013-05-02  Kris  <Kris.De.Gussem@hotmail.com>

	Fix UI after inclusion of gimp style sliders

2013-05-02  insaner  <launchpad@insaner.com>

	alt + scroll to select messes up opacity

2013-05-01  Kris  <Kris.De.Gussem@hotmail.com>

	Fix typo in en_gb translation

2013-05-01  Kris  <Kris.De.Gussem@hotmail.com>

	Fix UI after inclusion of gimp style sliders

2013-05-01  Jon A. Cruz  <jon@joncruz.org>

	Update minimum window size logic for cases when not saving window positions.

2013-04-30  Jon A. Cruz  <jon@joncruz.org>

	Fix for Bug #830663 (default window size is too small) by Jiabao Wu

2013-05-01  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #629081 (Spiro and path operations fails) by Matthew Petroff.

2013-05-01  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #257223 (Object to Path should work for Connectors) by Matthew Petroff.

2013-04-29  Kris  <Kris.De.Gussem@hotmail.com>

	UI messages

2013-04-28  Jon A. Cruz  <jon@joncruz.org>

	Fixed logic error confusing bitwise and with logical and.
	Whitespace cleanup to make the issue easier to spot.

2013-04-28  Jon A. Cruz  <jon@joncruz.org>

	Temporily fix abiguous macros before later removal.

2013-04-28  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2013-04-28  Kris  <Kris.De.Gussem@hotmail.com>

	UI messages: end with : in front of edit box

2013-04-28  Kris  <Kris.De.Gussem@hotmail.com>

	minor cppcheck stuff

2013-04-27  apenner  <penner@vaxxine.com>

	update bbox when Filter General Settings modified (Bug 960986)

2013-04-26  apenner  <penner@vaxxine.com>

	modify bbox width for Blur filter in Fill & Stroke (Bug 1171208)

2013-04-23  Kris  <Kris.De.Gussem@hotmail.com>

	translation typo

2013-04-23  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-04-23  Kris  <Kris.De.Gussem@hotmail.com>

	revert r12297

2013-04-23  Martin Owens  <doctormo@gmail.com>

	Add MapSymbols from OpenStreetMap.

2013-04-23  Martin Owens  <doctormo@gmail.com>

	Allow multiple groups to be symbolised and replace groups with clones.

2013-04-22  Martin Owens  <doctormo@gmail.com>

	Allow out of src building for wildcard Makes

2013-04-22  Martin Owens  <doctormo@gmail.com>

	Add balloon symbols and connect defs modified signal.

2013-04-22  Kris  <Kris.De.Gussem@hotmail.com>

	define booleans as booleans (prevent future errors in comparisons)

2013-04-21  Kris  <Kris.De.Gussem@hotmail.com>

	fix warnings

2013-04-21  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1023797 (Unnecessary scroll bars in swatches dialog) by Slagvi.

2013-04-21  John Smith  <john.smith7545@yahoo.com>

	Fix for 600285 : Zoom slider

2013-04-21  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-04-21  Martin Owens  <doctormo@gmail.com>

	Fix symbols not being installed bug reported by suv

2013-04-21  Martin Owens  <doctormo@gmail.com>

	Clean up symbol pixmap generator and title description

2013-04-20  Martin Owens  <doctormo@gmail.com>

	Warn if we get a NULL object

2013-04-20  Martin Owens  <doctormo@gmail.com>

	Output attributes as lengths instead of doubles.

2013-04-20  Martin Owens  <doctormo@gmail.com>

	Throw better error when attribute isn't available

2013-04-20  Martin Owens  <doctormo@gmail.com>

	Pull Merge

2013-04-20  apenner  <penner@vaxxine.com>

	Group bbox update (Bug 1168979)

2013-04-20  Kris  <Kris.De.Gussem@hotmail.com>

	minor odg export update

2013-04-20  Martin Owens  <doctormo@gmail.com>

	Remove GLib error and remove some cruft

2013-04-19  Martin Owens  <doctormo@gmail.com>

	Use wildcard blob for symbols Makefile.am

2013-04-19  Josh Andler  <scislac@gmail.com>

	Install the new Flow symbols

2013-04-19  Martin Owens  <doctormo@gmail.com>

	Cleaned up flow symbols file

2013-04-19  Martin Owens  <doctormo@gmail.com>

	New flow char symbols

2013-04-18  Martin Owens  <doctormo@gmail.com>

	Updated aiga symbols to have more meta data and used document title for symbols dropdown

2013-04-18  Josh Andler  <scislac@gmail.com>

	Add symbolic icons set by Jimmac & Barbara Muraus

2013-04-18  Josh Andler  <scislac@gmail.com>

	Resaved icons using preferences from http://wiki.inkscape.org/wiki/index.php/Icons#Single_SVG_File

2013-04-18  apenner  <penner@vaxxine.com>

	Path Union. fix for Bug 614577

2013-04-18  Martin Owens  <doctormo@gmail.com>

	Change symbols icon and give minimum size for dialog

2013-04-15  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #503712 (Personal default template not used) by Slagvi.

2013-04-12  Kris  <Kris.De.Gussem@hotmail.com>

	odg export: some work on gradients

2013-04-11  Alex Valavanis  <valavanisalex@gmail.com>

	Fix some broken Vim modelines

2013-04-08  apenner  <penner@vaxxine.com>

	patch by Damjan Velickovski for rotation snap degrees, Bug 525508

2013-04-08  apenner  <penner@vaxxine.com>

	extensions. Desktop Cutting Plotter (DXF R14) output. patch by Yann Papouin for Bug 1164904

2013-04-08  tavmjong-free  <tavmjong@free.fr>

	Implement read/write of image-rendering property. To be used to control scaling.

2013-04-08  Kris  <Kris.De.Gussem@hotmail.com>

	NULL pointer checks

2013-04-07  Jon A. Cruz  <jon@joncruz.org>

	Added simple control to font dialog to address text on path's startOffset. Bug #171005 and bug #171033

2013-04-07  Alex Valavanis  <valavanisalex@gmail.com>

	Tidy up dependency list and fix missing inclusion

2013-04-06  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add --export-margin option to PDF/EPS/PS export cmdline

2013-04-06  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix bug where extension radiobutton parameters cannot be set from cmdline (e.g. "--export-area-drawing" did not work)

2013-04-05  JazzyNico  <nicoduf@yahoo.fr>

	Ukrainian translation update by Yuri Chornoivan.
	Latvian translation update by Jānis Eisaks.

2013-04-04  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1163759 (Mouse selection ignores transform).

2013-04-03  Kris  <Kris.De.Gussem@hotmail.com>

	odf export: code clean up and preparatory work to allow gradients in export. Now only linear fill gradients are shown (not taking orientation and position into account).
	
	part of bug #474956 (odg export still doesn't work)

2013-04-03  Kris  <Kris.De.Gussem@hotmail.com>

	Checking file presence before calling lstat (should fix Bug #785701 Inkscape freezes at opening)

2013-04-02  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2013-03-31  Martin Owens  <doctormo@gmail.com>

	Fix copyright email for Martin Owens

2013-03-30  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #1162137 (Untranslatable strings in cdr, vsd and pdf via cairo import and more) by Masato HASHIMOTO.

2013-03-30  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2013-03-29  Alex Valavanis  <valavanisalex@gmail.com>

	Header cleanup

2013-03-28  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1161205 (Font substitution dialog appears when generic font family is found except Sans-serif).

2013-03-28  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1161197 (Untranslatable string in Font substitution dialog) by Masato HASHIMOTO.
	Translation template and French translation update. 

2013-03-28  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #648233 (Measure Path extension doesn't use real superscript) by Craig Marshall.
	Fix for Bug #481805 (Rectangle with rounded corners) by Markus Engel.

2013-03-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build

2013-03-27  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-03-27  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1160925 (Missing files in POTFILES.in) by Masato HASHIMOTO.

2013-03-26  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using top-level glibmm header

2013-03-26  Alex Valavanis  <valavanisalex@gmail.com>

	Fix check for X11 backend with Gtk+ 2

2013-03-26  Alex Valavanis  <valavanisalex@gmail.com>

	Prevent config failure with GTK_CHECK_BACKEND when Gtk+ 3 dev is unavailable

2013-03-26  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-03-26  Alex Valavanis  <valavanisalex@googlemail.com>

	Fix Glibmm inclusions for Gtk+ 3 builds and implement a Gtk+ 3 compatible check for X11 backend

2013-03-26  tavmjong-free  <tavmjong@free.fr>

	Revert r12183 and replace with better work-around for Pango bug (incorrect
	font-family if weight is expressed as a number). Also fixed bug with
	font-stretch.

2013-03-26  Craig Marshall  <craig9@gmail.com>

	Fixed broken logic in zoom history to fix bug 1106031 (and removed some unrelated and unnecessary debug output)

2013-03-25  Alex Valavanis  <valavanisalex@gmail.com>

	Drop unnecessary (and broken with Gtk+ 3) check for Gtk+ backend

2013-03-25  Alex Valavanis  <valavanisalex@googlemail.com>

	Workaround usage of deprecated glib symbols in 3rd party libraries

2013-03-25  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #837962 (Untranslatable and not localized strings).
	Translations. PO template and French translation update.

2013-03-24  Jon A. Cruz  <jon@joncruz.org>

	Fixed uninitialized variables & misc warnings.

2013-03-24  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-03-24  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #1159349 (Undefined files in po/POTFILES.in) by Masato HASHIMOTO."
	Translations. Fix for Bug #1159347 (Non-localized strings in PS-export)."
	Translations. PO template update.

2013-03-24  tavmjong-free  <tavmjong@free.fr>

	Ignore more files (m4, po, etc.).

2013-03-23  Alex Valavanis  <valavanisalex@gmail.com>

	Convert a couple of C-style pointer casts

2013-03-23  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Fix for old Bug #166697 (Effects dirty document even when they do nothing).

2013-03-23  Alex Valavanis  <valavanisalex@gmail.com>

	Fix more clang warnings

2013-03-23  Alex Valavanis  <valavanisalex@gmail.com>

	Hide remaining non-critical GDL warnings.  These will stop being our problem after Gtk+ 3 migration

2013-03-23  Alex Valavanis  <valavanisalex@gmail.com>

	Use subclass of RadioButton rather than setting gobject data in Stroke Style dialog: fixes cast-align issue.

2013-03-22  insaner  <launchpad@insaner.com>

	filter name is random filter232 when first added

2013-03-22  insaner  <launchpad@insaner.com>

	pick a better filter editor icon

2013-03-22  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Translatable files clean-up (find.cpp removal).
	Translations. Inkscape.pot update.
	Preferences. Filters preferences text fix (see Bug #1133033).
	Extensions. Fix for Bug #1158377 (Printing marks needs more precision).

2013-03-22  insaner  <launchpad@insaner.com>

	ability to scroll inside the filter dock -- gain some screen real estate!

2013-03-21  Jaspervdg  <th.v.d.gronde@hccnet.nl>

	Clarified choice of downsampling routine.

2013-03-21  Jaspervdg  <th.v.d.gronde@hccnet.nl>

	Handle bitmap downsampling ourselves, see bug #804162 in launchpad.

2013-03-19  JazzyNico  <nicoduf@yahoo.fr>

	Keys. Bug #253552 (Repeat effect shortcut).

2013-03-19  JazzyNico  <nicoduf@yahoo.fr>

	Partial fix for Bug #1071082 (Undo History doesn't work if open before file is opened) by vaifrax.

2013-03-18  Alex Valavanis  <valavanisalex@gmail.com>

	Drop remaining unused functions

2013-03-18  Alex Valavanis  <valavanisalex@gmail.com>

	Drop old (unused) find dialog files

2013-03-18  Alex Valavanis  <valavanisalex@gmail.com>

	Fix -Wcast-align issues with SPItemCtx

2013-03-18  Alex Valavanis  <valavanisalex@gmail.com>

	Fix -Wunused-function warnings

2013-03-17  apenner  <penner@vaxxine.com>

	extensions. hpgl output. further patch 2 by TimeWaster (Bug 1118663)

2013-03-17  Alex Valavanis  <valavanisalex@gmail.com>

	Explicitly test for -Wno-unused-but-set-variable compiler option

2013-03-17  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-03-16  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-03-16  Alex Valavanis  <valavanisalex@gmail.com>

	Only suppress compiler warnings for GDL if option is supported

2013-03-16  Kris  <Kris.De.Gussem@hotmail.com>

	fix/suppress build warnings

2013-03-16  Alex Valavanis  <valavanisalex@gmail.com>

	Fix naming of configuration options and help string formatting

2013-03-16  Alex Valavanis  <valavanisalex@gmail.com>

	Drop checks for ancient dependency versions.  These are satisfied elsewhere.

2013-03-16  Alex Valavanis  <valavanisalex@gmail.com>

	Suppress non-critical compiler warnings for GDL.  We are dropping our fork eventually, so let's keep it frozen if possible.

2013-03-16  Alex Valavanis  <valavanisalex@gmail.com>

	Warning cleanup

2013-03-15  Alex Valavanis  <valavanisalex@gmail.com>

	Drop a couple of unused variables and a pixmap

2013-03-15  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing Gtkmm/Glib headers for Gtk+ 3 build

2013-03-15  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining forward declaration tags (except for unavoidable internal errors in Gtkmm headers)

2013-03-15  Alex Valavanis  <valavanisalex@gmail.com>

	Fix table layout in fill and stroke dialog in Gtk+ 2

2013-03-15  Alex Valavanis  <valavanisalex@gmail.com>

	Fix even more forward declaration tags

2013-03-14  Alex Valavanis  <valavanisalex@gmail.com>

	Fix another load of forward declaration tags

2013-03-14  Alex Valavanis  <valavanisalex@gmail.com>

	Fix another tonne of forward declaration tags

2013-03-14  Alex Valavanis  <valavanisalex@gmail.com>

	Kill ancient gcc version check in configure.ac and fix a load of broken forward declarations

2013-03-13  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build failure with clang.  Thanks to Samuel Chase for patch (leaks fixed).

2013-03-13  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-03-13  ~suv  <suv-sf@users.sourceforge.net>

	GTK3: fix layout of 'Fill and Stroke' tabs (see bug #1088264)

2013-03-13  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate remaining dialogs to Gtk::Grid

2013-03-12  Kris  <Kris.De.Gussem@hotmail.com>

	c++ify

2013-03-12  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-03-12  Alex Valavanis  <valavanisalex@gmail.com>

	Further migration to Gtk::Grid

2013-03-12  Kris  <Kris.De.Gussem@hotmail.com>

	fix build warning

2013-03-11  Kris  <Kris.De.Gussem@hotmail.com>

	readding entries in Cmake and make include lists that were not removed after all ( Bug #1120585 )

2013-03-11  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-03-11  Kris  <Kris.De.Gussem@hotmail.com>

	Drop duplicate io code ( Bug #1120585 )

2013-03-11  Kris  <Kris.De.Gussem@hotmail.com>

	fix build warnings / cppcheck ( Bug #1120585 )

2013-03-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 998276 : Keyboard shortcuts not appearing in the main menu under Unity, uppdate to fix markup issue

2013-03-11  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian, Spanish and Ukrainian translations update, and translators list update.

2013-03-09  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate Object Properties dialog to Gtk::Grid

2013-03-09  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate calligraphic-profile-rename.* to Gtk::Grid

2013-03-09  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate from Gtk::Color to Gtk::RGBA

2013-03-09  Alex Valavanis  <valavanisalex@gmail.com>

	Use Gtk::Grid in PreviewHolder.  Fixes color preview in RegisteredColorPicker

2013-03-08  Kris  <Kris.De.Gussem@hotmail.com>

	Preparation to merge /dom/io and /io code (bug #1120585 )

2013-03-08  tavmjong-free  <tavmjong@free.fr>

	Use font-weight names rather than numerical values. Fixes bug when scrolling to URW Chancery L.

2013-03-08  tavmjong-free  <tavmjong@free.fr>

	Restore CSS generic faux faces.

2013-03-08  Alex Valavanis  <valavanisalex@gmail.com>

	Drop deprecated get_vbox method in Gtk::Dialog

2013-03-08  Alex Valavanis  <valavanisalex@gmail.com>

	Drop more Gtk::Table usage

2013-03-08  Alex Valavanis  <valavanisalex@gmail.com>

	Switch to orientable Scale widgets in Gtkmm 3

2013-03-07  Alex Valavanis  <valavanisalex@gmail.com>

	Fix deprecated Gtkmm symbols in preferences widget

2013-03-07  tavmjong-free  <tavmjong@free.fr>

	Disable "faux" or "synthesized" font faces.

2013-03-06  apenner  <penner@vaxxine.com>

	boolops union. fix for disappearing objects (Bug 168907)

2013-03-05  Kris  <Kris.De.Gussem@hotmail.com>

	Added null check (should fix Bug #1051017 )

2013-03-04  apenner  <penner@vaxxine.com>

	extensions. hpgl output. further patch by TimeWaster (Bug 1118663)

2013-03-04  Alex Valavanis  <valavanisalex@gmail.com>

	Drop dead Inkboard code.  Config flag no longer exists

2013-03-04  Alex Valavanis  <valavanisalex@gmail.com>

	Drop unused internal Python and Perl config checks

2013-03-04  tavmjong-free  <tavmjong@free.fr>

	Use our own font_description_better_match which takes into account font-stretch and font-variant.

2013-03-03  tavmjong-free  <tavmjong@free.fr>

	Use ink_cairo_surface_filter when converting surfaces between linearRGB and sRGB.
	Huge speed advantage when using multiple threads.

2013-03-03  Kris  <Kris.De.Gussem@hotmail.com>

	ODF output: write correct Inkscape version number to metadata

2013-03-03  Kris  <Kris.De.Gussem@hotmail.com>

	Preparation to merge /dom/io and /io code (bug #1120585 )

2013-03-02  Alex Valavanis  <valavanisalex@gmail.com>

	Fix autotools deprecation warnings

2013-03-02  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build with C++11

2013-03-01  Alex Valavanis  <valavanisalex@gmail.com>

	Build with GDKMM_DISABLE_DEPRECATED for all

2013-03-01  tavmjong-free  <tavmjong@free.fr>

	Convert font-selector, text-edit, glyphs to use updated font-lister (use fontspec rather than font).

2013-03-01  Alex Valavanis  <valavanisalex@gmail.com>

	Patch generated locale Makefile to give correct installation folder

2013-03-01  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 100%

2013-02-28  JazzyNico  <nicoduf@yahoo.fr>

	Keys. Fix for bug #168650 (Inkscape doesn't respond to Ctrl-Ins, Shift-Ins, Shift-Del).

2013-02-28  ~suv  <suv-sf@users.sourceforge.net>

	packaging/macosx: disable OpenMP support for default builds 
	(see Bug #984836: OpenMP-support with Apple's old GCC version (4.2.1) is unstable)

2013-02-28  Alex Valavanis  <valavanisalex@gmail.com>

	Use pkg-config for libexif detection

2013-02-28  Alex Valavanis  <valavanisalex@gmail.com>

	Stop distributing unused AX_OPENMP macro and fix linkage

2013-02-28  Alex Valavanis  <valavanisalex@gmail.com>

	Use AC_OPENMP macro for OpenMP detection

2013-02-27  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing language list

2013-02-25  Alex Valavanis  <valavanisalex@gmail.com>

	Use pkg-config for gc instead of custom tests

2013-02-25  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2013-02-25  JazzyNico  <nicoduf@yahoo.fr>

	Some strings clarifications (see Bug #955060, Latvian translation for 0.49).

2013-02-25  Alex Valavanis  <valavanisalex@gmail.com>

	Drop manual check for libpng: pkg-config should work

2013-02-25  ~suv  <suv-sf@users.sourceforge.net>

	packaging/osx: don't autorun configure with new autogen.sh (r12150)

2013-02-25  Alex Valavanis  <valavanisalex@gmail.com>

	Update autotools usage:
	
	Merge from ~jjardon/inkscape/autotools:
	- configure.ac: Use aux directory to store generated files
	- configure.ac: Use all the fields of AC_INIT
	- configure.ac: Use new libtool syntax
	- configure.ac: Replace deprecated autoconf macros
	- Honor aclocal flags in the correct place
	- Use upstream gettext instead the glib one
	- autogen.sh: Use autoreconf instead custom script
	
	Additional changes:
	- Use -e bash option in autogen.sh to stop script if
	autotools aren't available
	- configure.ac: Run AC_CONFIG_* before AC_CANONICAL_HOST

2013-02-24  tavmjong-free  <tavmjong@free.fr>

	Fix for font-family scrolling in text-tool tool-controls (bug 1122553).

2013-02-24  Alex Valavanis  <valavanisalex@gmail.com>

	Fix warnings with autoconf >= 2.68

2013-02-23  Alex Valavanis  <valavanisalex@gmail.com>

	Fix checking for broken build in Raring

2013-02-23  Alex Valavanis  <valavanisalex@gmail.com>

	Allow strictness of API deprecation checking to be configured.
	
	Also enable deprecated Glib symbols if Glibmm < 2.35.8 is used with
	Glib >= 2.35 (lp: #1122774)

2013-02-23  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing headers for Gtk+ 3 build

2013-02-23  tavmjong-free  <tavmjong@free.fr>

	Get text from selected row rather than from entry box.

2013-02-23  tavmjong-free  <tavmjong@free.fr>

	Noop: simplify some variable names.

2013-02-23  tavmjong-free  <tavmjong@free.fr>

	Small step towards fixing font-family scrolling issue (bug 1122553).

2013-02-23  Kris  <Kris.De.Gussem@hotmail.com>

	Null pointer check (should fix Bug #966441 )

2013-02-23  tavmjong-free  <tavmjong@free.fr>

	Remove unused variables. Change default preview font size.

2013-02-22  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fix for Bug #1131882 (missing liblcms-1.dll).

2013-02-22  apenner  <penner@vaxxine.com>

	Path->Division. patch for case where cutter is a line (Bug 177956)

2013-02-20  ~suv  <suv-sf@users.sourceforge.net>

	Bug 1111459: revert changes from r12012 (regressions affect normal usage more than the problem fixed with r12012 (bug #1089406)

2013-02-20  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fix for Bug #1125620 (Crashes on trying to open document properties or preferences).

2013-02-20  Campbell Barton  <ideasman42@gmail.com>

	correct wrong find package

2013-02-19  Campbell Barton  <ideasman42@gmail.com>

	update cmake files

2013-02-19  tavmjong-free  <tavmjong@free.fr>

	Small bug fix (fix format of font-family in some cases).

2013-02-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 998276 : Keyboard shortcuts not appearing in the main menu under Unity

2013-02-17  tavmjong-free  <tavmjong@free.fr>

	Move code from text-toolbar to font-lister in preparation to share code with font-selector/text-edit.

2013-02-16  apenner  <penner@vaxxine.com>

	Path->Cut Path loses segments (Bug 166302)

2013-02-15  tavmjong-free  <tavmjong@free.fr>

	Selection based on font-family via icon in text-toolbar font-family entry box.

2013-02-15  vaifrax

	Bug #561503: fix typo in earlier fix (r11133)

2013-02-15  JazzyNico  <nicoduf@yahoo.fr>

	Better fix for Bug #911146 (Inkscape reads .eps files from /tmp instead of the current directory) by Michael Karcher.

2013-02-14  Kris  <Kris.De.Gussem@hotmail.com>

	fix yet another warning

2013-02-14  Kris  <Kris.De.Gussem@hotmail.com>

	fix warnings introduced in revision 12123

2013-02-13  apenner  <penner@vaxxine.com>

	extensions. hpgl output. patch by TimeWaster for Bug 1118663

2013-02-13  Kris  <Kris.De.Gussem@hotmail.com>

	fixing variable type in stream classes to what was intended (preparation for solving bug #1120585 )

2013-02-13  JazzyNico  <nicoduf@yahoo.fr>

	Build. Adding unistd header (fixes compilation on Win32 with OpenSuse cross-compiled libs.)

2013-02-13  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2013-02-12  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Russian translation update by Alexandre Prokoudine.

2013-02-11  Alex Valavanis  <valavanisalex@gmail.com>

	A couple of forward declarations

2013-02-11  Kris  <Kris.De.Gussem@hotmail.com>

	Dropped duplicate code for dom/io and io/ (Bug #1120585 )

2013-02-11  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-02-11  tavmjong-free  <tavmjong@free.fr>

	Move cell_data_func and separator_func from text-toolbar to font-lister.
	Use functions with font-selector (in Text dialog).

2013-02-11  insaner  <launchpad@insaner.com>

	adding dockbar/switcher style toggles in prefs ui

2013-02-10  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2013-02-10  tavmjong-free  <tavmjong@free.fr>

	Attempt to speed up font-family handling be freezing/thawing Gtk::ListStore when modifying.

2013-02-09  tavmjong-free  <tavmjong@free.fr>

	Use update_font_list() in font-lister.cpp. Remove equivalent code in text-toolbar.cpp.
	Change separator "tag" from "separatoR" to "#" in attempt to speed up start up.

2013-02-09  tavmjong-free  <tavmjong@free.fr>

	Add function to add document font-family entries to store.
	Remove font-family to interator map as we can now have duplicate font-family names in store.

2013-02-09  Kris  <Kris.De.Gussem@hotmail.com>

	partially reverted previous commit

2013-02-08  Kris  <Kris.De.Gussem@hotmail.com>

	removed some unused files

2013-02-08  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck (should fix a.o. copy paste error in SVGAnimatedPreserveAspectRatio)

2013-02-08  tavmjong-free  <tavmjong@free.fr>

	Better rc matching for text-toolbar font-family drop-down separator. From John Smith.

2013-02-07  tavmjong-free  <tavmjong@free.fr>

	Widen the separator in font-family drop-down so it is visible in more themes.

2013-02-07  tavmjong-free  <tavmjong@free.fr>

	Add separator between fonts in document and fonts on sytem in font-family drop-down menu.
	Separator style depends on GTK theme (may be invisible).

2013-02-06  tavmjong-free  <tavmjong@free.fr>

	Add fonts (and font-lists) used in document to top of Text tool-bar font-family drop-down menu.
	If font is not on system, draws strikethrough on top of font name.

2013-02-05  tavmjong-free  <tavmjong@free.fr>

	Supress Pango error message.

2013-02-05  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fixing Glib and GTKmm deprecations.

2013-02-05  tavmjong-free  <tavmjong@free.fr>

	Second try at getting text toolbar properly initialized when there is no prefs file.

2013-02-05  JazzyNico  <nicoduf@yahoo.fr>

	Build. Adding test for external GDL build (--enable-gtk3-experimental option).

2013-02-04  tavmjong-free  <tavmjong@free.fr>

	Only set up text-tool bar if has actually been created. Ensures proper initialization after creation.

2013-02-04  Alex Valavanis  <valavanisalex@gmail.com>

	Add explicit configure.ac check for pangoft2

2013-02-04  tavmjong-free  <tavmjong@free.fr>

	Better fix for 1114243, crash on launch with default prefs from stable

2013-02-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 1002757 : Regressions with new default font 'sans-serif' - fix map

2013-02-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add todo comment for fixing fontstyle fall-back behaviour

2013-02-03  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash

2013-02-02  tavmjong-free  <tavmjong@free.fr>

	Allow simple font style changes even if first font-family in font list is not on users system.

2013-02-02  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2013-02-02  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Adding libcdr (Corel Draw) support.

2013-02-02  tavmjong-free  <tavmjong@free.fr>

	Text-Toolbar font-family entry-box warning-icon tooltip now includes list of missing fonts.

2013-02-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 1002757 : Regressions with new default font 'sans-serif'

2013-02-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 1091582 : Problem with key release when pressing space with cursor off canvas.

2013-02-01  Fridrich Strba  <fridrich.strba@bluewin.ch>

	Add internal support for CorelDRAW files (import), based on libcdr

2013-02-01  ~suv  <suv-sf@users.sourceforge.net>

	libcdr, libvisio: fix compiler warnings (comparison between signed and unsigned integer expressions)

2013-02-01  ~suv  <suv-sf@users.sourceforge.net>

	Revert renaming in 'share/extensions/Makefile.am' too

2013-01-31  ~suv  <suv-sf@users.sourceforge.net>

	Revert change of file names of the UC-based input extensions
	(changing the ID and name tags is sufficiant, keeping the old names prevents any issues with left-behind duplicates in the install dir of a trunk build)

2013-01-28  ~suv  <suv-sf@users.sourceforge.net>

	libcdr: add remaining CorelDRAW formats (CDT, CCX, CMX) to internal support

2013-01-25  ~suv  <suv-sf@users.sourceforge.net>

	libcdr: configure.ac - set earliest version to include CDRStringVector.h: 0.0.3

2013-01-25  ~suv  <suv-sf@users.sourceforge.net>

	libcdr: lower min version to 0.0.8, keep fallback input extensions for UC-based import (renamed, new id)
	(internal extension has priority over script-based ones for same mime-type)

2013-01-24  ~suv  <suv-sf@users.sourceforge.net>

	Add support for libcdr

2013-02-01  Ted Janeczko  <janeczko.ted@gmail.com>

	Fix for Bug #1110397: Opacity of clipped group is ignored (regression)

2013-02-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 1091582 : Problem when entering space in text after space tool toggling.

2013-01-31  apenner  <penner@vaxxine.com>

	Path::OutlineJoin. for inside join, simplify nodes only for obtuse angle (Bug 820425, comment 8)

2013-01-31  Alex Valavanis  <valavanisalex@gmail.com>

	Clean up Cairo rendering in a couple of widgets

2013-01-31  tavmjong-free  <tavmjong@free.fr>

	Text toolbar will display style options for the first font in a font-family list. Also, fix mem leak.

2013-01-31  tavmjong-free  <tavmjong@free.fr>

	Partial fix to allow change of style when the font-family is a font list.

2013-01-31  tavmjong-free  <tavmjong@free.fr>

	Partial fix for bug 595432 "Clicking Arial Black selects Arial Bold"

2013-01-31  UweSchoeler  <mail@uwe-schoeler.de>

	Translation update

2013-01-30  Alex Valavanis  <valavanisalex@gmail.com>

	Disconnect size_allocation signal handler before disposing desktop widget

2013-01-30  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	code cleanup. don't use pointers when you don't have to. use const whereever you can.

2013-01-30  Kris  <Kris.De.Gussem@hotmail.com>

	removing some more unused functions

2013-01-30  Kris  <Kris.De.Gussem@hotmail.com>

	drop old, unused and error prone dxf2svg extension

2013-01-30  Kris  <Kris.De.Gussem@hotmail.com>

	typo

2013-01-30  JazzyNico  <nicoduf@yahoo.fr>

	Filters. New Shadow only mode for the Drop shadow filter.
	Translations. Translation template and French translation update.

2013-01-29  apenner  <penner@vaxxine.com>

	for Stroke to Path, change minimum stroke width from 0.01 to 0.032 (Bug 820425, comment 5)

2013-01-29  JazzyNico  <nicoduf@yahoo.fr>

	Crash. Partial fix for Bug #1046068 (Inkscape (GTK+/Quartz) calls output extensions or crashes when quitting while clipboard not empty).

2013-01-29  tavmjong-free  <tavmjong@free.fr>

	Filter color values always defined as sRGB (or ICC).

2013-01-28  apenner  <penner@vaxxine.com>

	Path::OutlineJoin. remove redundant nodes which are causing glitches (Bug 820425)

2013-01-27  Alex Valavanis  <valavanisalex@gmail.com>

	desktop-widget: Add callback to ensure that ruler ranges are correctly updated when canvas table resizes

2013-01-27  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate ruler position tracking to new track_widget API

2013-01-27  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Romanian translation update by Cristian Secară.

2013-01-26  Alex Valavanis  <valavanisalex@gmail.com>

	More GObject boilerplate reduction

2013-01-26  Alex Valavanis  <valavanisalex@gmail.com>

	More GObject boilerplate reduction

2013-01-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash

2013-01-24  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-01-24  JazzyNico  <nicoduf@yahoo.fr>

	Filters. New Nudge CMY custom predefined filter and modified Nudge RVB.
	Translations. Translation template and French translation update.

2013-01-24  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Greek translation update by Dimitris Spingos.

2013-01-24  Alex Valavanis  <valavanisalex@gmail.com>

	More GObject boilerplate cleanup

2013-01-23  Kris  <Kris.De.Gussem@hotmail.com>

	revert my revision 12053 (Bug #1103248 )

2013-01-23  Kris  <Kris.De.Gussem@hotmail.com>

	fix Memory leak in bitmap trace (Bug #996695)

2013-01-23  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck: style and performance

2013-01-23  Alex Valavanis  <valavanisalex@gmail.com>

	Clean up more GObject type definitions

2013-01-22  Kris  <Kris.De.Gussem@hotmail.com>

	minor cppcheck warning

2013-01-22  Kris  <Kris.De.Gussem@hotmail.com>

	direct use of Glib::ustring

2013-01-22  Kris  <Kris.De.Gussem@hotmail.com>

	fix possible memory leak

2013-01-22  ~suv  <suv-sf@users.sourceforge.net>

	Filters. Add missing inkscape namespace declaration for 'Channel Painting'

2013-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	Fixed memory leaks

2013-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	UI uniformisation: added colons in front of edit box (see bug #1050938 )

2013-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	minor fix (do not compare to zero)

2013-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2013-01-20  Kris  <Kris.De.Gussem@hotmail.com>

	UI uniformisation

2013-01-19  Jon A. Cruz  <jon@joncruz.org>

	Fix multiple instances of ci_key.

2013-01-19  Alex Valavanis  <valavanisalex@gmail.com>

	cleanup sp_tspan: Use G_DEFINE_TYPE

2013-01-18  UweSchoeler  <mail@uwe-schoeler.de>

	Some Corrections

2013-01-18  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Shortcuts preferences are now fully translatable.

2013-01-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warning

2013-01-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	const

2013-01-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	const ....

2013-01-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	more const happiness (and removal of duplicate code in sp-object.h)

2013-01-17  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	const methods

2013-01-17  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Spanish translation update by Lucas Vieites.

2013-01-17  Alex Valavanis  <valavanisalex@gmail.com>

	Rm unused sp-animate

2013-01-17  Alex Valavanis  <valavanisalex@gmail.com>

	Cleanup more GObject type definitions

2013-01-16  apenner  <penner@vaxxine.com>

	extensions. dxf output. set flag if LWPOLYLINE is closed (Bug 1098283)

2013-01-17  ~suv  <suv-sf@users.sourceforge.net>

	Fix support for UniConvertor 1.1.4 (see bug #425202)

2013-01-16  Alex Valavanis  <valavanisalex@gmail.com>

	Cleanup SPDropperContext:
	
	* Use G_DEFINE_TYPE rather than explicit _get_type function
	* Hide private members

2013-01-16  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-01-16  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2013-01-16  Alex Valavanis  <valavanisalex@gmail.com>

	Cleanup EekPreview widget implementation:
	
	* Strip out dead code
	* Move all properties to private structure
	* Use modern GObject style in most places
	* Replace explicit get_type implementation with G_DEFINE_TYPE

2013-01-15  Alex Valavanis  <valavanisalex@gmail.com>

	Drop use of deprecated GtkHandleBox widget (remove tear-off toolbar functionality)

2013-01-15  JazzyNico  <nicoduf@yahoo.fr>

	i18n. String disambiguation.
	Translations. Translations template and French translation update. 

2013-01-14  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	clarify preference text (thought it was a bug first)

2013-01-14  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian (Jānis Eisaks), Spanish (Lucas Vieites) and French translations update.

2013-01-14  JazzyNico  <nicoduf@yahoo.fr>

	Preferences. Moving selection option to avoid confusion.

2013-01-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	make grayscale viewmode color factors configurable.

2013-01-13  Alex Valavanis  <valavanisalex@gmail.com>

	Fix deprecated pointer grabbing in gimpcolorwheel

2013-01-13  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using deprecated pang_ft2 functions

2013-01-13  JazzyNico  <nicoduf@yahoo.fr>

	Translations:
	- missing file in POTFILE.in.
	- Ukrainian and French translations update.

2013-01-13  Jon A. Cruz  <jon@joncruz.org>

	Minor warning and dead code cleanup.

2013-01-12  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com

	Restored i18n markup fo names of extensions

2013-01-12  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com

	Fixed a typo in a user-visible message

2013-01-11  Martin Owens  <doctormo@gmail.com>

	Merge in connector cleanup

2012-11-30  Martin Owens  <doctormo@gmail.com>

	Step 1. Remove junk and keep functionality.

2013-01-10  Jon A. Cruz  <jon@joncruz.org>

	Warning and dead code cleanup.

2013-01-10  Alex Valavanis  <valavanisalex@gmail.com>

	gimpcolorwheel: Clean up drawing functions

2013-01-10  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Fix for Bug #1089406 (filter name is random filter232 when first added) by insaner.

2013-01-08  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated GtkHSV with GimpColorWheel.  Bumps Gtk+ 3 version requirement to 3.2

2013-01-05  apenner  <penner@vaxxine.com>

	visual bbox minimum width (Bug 1094802)

2013-01-05  JazzyNico  <nicoduf@yahoo.fr>

	Build. Fix for Bug #910335 ([POSIX] incorrect included header files in src/color-profile.cpp for open(2)).

2013-01-04  Alex Valavanis  <valavanisalex@gmail.com>

	ocaldialog: Use GtkSearchEntry in Gtk+ >= 3.6

2013-01-03  Josh Andler  <scislac@gmail.com>

	Re-add omitted UI pref from prefences dialog rewrite

2013-01-01  apenner  <penner@vaxxine.com>

	zoom to entire drawing after delete (Bug 970370)

2012-12-31  apenner  <penner@vaxxine.com>

	clip path visual bbox refresh, second try (Bug 1005085)

2012-12-31  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3: explicitly set a background colour for rulers

2012-12-31  Alex Valavanis  <valavanisalex@gmail.com>

	rulers: Merge all remaining changes from GIMP. Up-to-date at commit a929a (2012-10-23) in GIMP git repo, gtk3-port branch

2012-12-31  Alex Valavanis  <valavanisalex@gmail.com>

	rulers: (Merge from GIMP) Set range in ruler units, not in px

2012-12-31  Alex Valavanis  <valavanisalex@gmail.com>

	Replace C-style pointer casts in event contexts

2012-12-30  Alex Valavanis  <valavanisalex@gmail.com>

	Fix GObject pointer conversion warnings in event context

2012-12-30  Alex Valavanis  <valavanisalex@gmail.com>

	Speed up canvas item drawing for GTK+ 3

2012-12-29  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2012-12-28  Alex Valavanis  <valavanisalex@gmail.com>

	Fix GTK+ 3 drawing of primitives list in filter effects dialog

2012-12-28  Alex Valavanis  <valavanisalex@gmail.com>

	Correct sizing in primitives list in filter-effects dialog

2012-12-28  Alex Valavanis  <valavanisalex@gmail.com>

	Implement GTK+ 3 drawing for zoom correction ruler in preferences dialog

2012-12-27  Alex Valavanis  <valavanisalex@gmail.com>

	Implement GTK+ 3 drawing of color preview widget

2012-12-27  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Translations template update.

2012-12-26  JazzyNico  <nicoduf@yahoo.fr>

	Bitmap. Test for JPEG resolution reordered, and coding style corrected.

2012-12-26  Alex Valavanis  <valavanisalex@googlemail.com>

	Revert C++ casting for setting HSL map in sp-color-scales

2012-12-26  tavmjong-free  <tavmjong@free.fr>

	Change tooltip to clarify behavior after commit r10784.

2012-12-26  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Fixing invalid cast (introduced rev.11986).

2012-12-26  Alex Valavanis  <valavanisalex@googlemail.com>

	ruler: (GIMP merge) Add track_widget API and fix GTK+ 3 build failure in color slider

2012-12-26  Alex Valavanis  <valavanisalex@googlemail.com>

	ruler: (GIMP merge) Allow label size to be specified as a style property

2012-12-25  Alex Valavanis  <valavanisalex@googlemail.com>

	Convert a load more C-style pointer casts to GObject or C++ casts (merry christmas\!)

2012-12-25  Alex Valavanis  <valavanisalex@googlemail.com>

	Stop using UNUSED_PIXELS hack in ruler.  This was only required because of the padding used in the desktop widget

2012-12-25  Alex Valavanis  <valavanisalex@googlemail.com>

	desktop-widget: Use GtkStyleContext for GTK+ 3 widget rendering

2012-12-25  Alex Valavanis  <valavanisalex@googlemail.com>

	desktop-widget: Cleanup GTK+ 3 grid rendering and ruler redrawing

2012-12-24  Alex Valavanis  <valavanisalex@googlemail.com>

	ruler: Drop unused members of SPRulerMetric

2012-12-24  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: Merge sizing from GIMP.  Don't use our UNUSED_PIXELS hack in Gtk+ 3 builds

2012-12-24  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: (Merge from GIMP) private update_position function

2012-12-24  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: (Merge from GIMP) Cache PangoLayout

2012-12-24  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: Merge most of drawing and styles from GIMP

2012-12-23  apenner  <penner@vaxxine.com>

	extensions. function plotter. patch by ~suv for clip rectangle (Bug 492103)

2012-12-23  tavmjong-free  <tavmjong@free.fr>

	Move some code from filter primitives to cairo-utils.cpp. Fix bug in lighting primitives.

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: Use border widths for Gtk+ 3 rendering

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: drop sp_ruler_invalidate_ticks

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler (Merge from GIMP): Convert to no-window widget and provide separate accessors for position

2012-12-22  tavmjong-free  <tavmjong@free.fr>

	Add support for color-interpolation-filters = linearRGB.

2012-12-22  tavmjong-free  <tavmjong@free.fr>

	Add utilities to tag a cairo surface with color interpolation value.

2012-12-22  tavmjong-free  <tavmjong@free.fr>

	Bug fix for color-interpolation, color-interpolation-filters. Get rid of annoying warning.

2012-12-22  tavmjong-free  <tavmjong@free.fr>

	Minor changes.

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler (Merge from GIMP): Remove draw_pos from public API

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: Remove draw_ticks from public API

2012-12-22  Alex Valavanis  <valavanisalex@gmail.com>

	ruler: Add modeline support

2012-12-21  Alex Valavanis  <valavanisalex@gmail.com>

	Use cairo surface for ruler widget - minimise delta against GTK+ 3 builds

2012-12-20  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crasher

2012-12-19  ~suv  <suv-sf@users.sourceforge.net>

	Fix regression with event attribute names (see bug #1050938)

2012-12-17  tavmjong-free  <tavmjong@free.fr>

	Added support for Visio stencil files (.vss) to Symbols dialog.

2012-12-16  ~suv  <suv-sf@users.sourceforge.net>

	libvisio: raise required version to >=0.20 and add new file types (VDX, VSDX)

2012-12-16  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3: Switch to more orientable widgets

2012-12-16  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3: Use orientable widgets

2012-12-16  ~suv  <suv-sf@users.sourceforge.net>

	Extensions: PEP263 (encoding), sync with 0.48.x r9939

2012-12-16  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate PageSizer to Gtk::Grid

2012-12-16  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Fix for Bug #1089814 (INX: hidden parameter inside a notebook page triggers crash).

2012-12-14  JazzyNico  <nicoduf@yahoo.fr>

	Translations.Spanish translation update by Lucas Vieites.

2012-12-14  John Smith  <john.smith7545@yahoo.com>

	Fix for 383871 : Let space switch to selector tool even when used for panning

2012-12-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	re-add Grayscale color mode

2012-12-12  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate document metadata from NotbookPage to Gtk::Grid and drop dead code

2012-12-12  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using invalid casting in spinbutton-events

2012-12-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 1086225 : Command line PDF export fails if FeFlood filter primitive is present

2012-12-10  tavmjong-free  <tavmjong@free.fr>

	Fix for bug #837066: Bucket Tool regressions with Cairo renderer.

2012-12-10  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate Layers dialog to Gtk::Grid

2012-12-10  Alex Valavanis  <valavanisalex@gmail.com>

	GTK3: Migrate guides dialog to Gtk::Grid

2012-12-09  apenner  <penner@vaxxine.com>

	reverting rev 11944

2012-12-10  John Smith  <john.smith7545@yahoo.com>

	Fix for 1086643 : Input devices : Simplify dialog

2012-12-09  apenner  <penner@vaxxine.com>

	clip path bbox refresh. partial fix for Bug 1005085

2012-12-09  apenner  <penner@vaxxine.com>

	stacked clip paths. patch by Ted Janeczko for Bug 1067271

2012-12-09  tavmjong-free  <tavmjong@free.fr>

	Second attempt at fix for #955141, rasterization of clipped/masked objects in patterns.

2012-12-09  tavmjong-free  <tavmjong@free.fr>

	noop: Added some comments, rearranged some lines to make code easier to follow.

2012-12-09  tavmjong-free  <tavmjong@free.fr>

	Revert r11914, better fix for bug #955141 coming.

2012-12-09  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate remaining stuff from GtkTable to GtkGrid

2012-12-09  Alex Valavanis  <valavanisalex@gmail.com>

	Tidy up GTK/Glib deprecation flags and drop ancient pango support (<1.24)

2012-12-08  Diederik van Lierop  <mail@diedenrezi.nl>

	Selector tool: improve responsiveness for snapping a path's internal intersections (was unbearable already for paths having 20+ segments)

2012-12-06  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2012-12-06  Jasper van de Gronde  <th.v.d.gronde@hccnet.nl>

	Fix for bug #790192, the unclipped alpha component was used for clipping the colour components.

2012-12-06  tavmjong-free  <tavmjong@free.fr>

	Check that server is gradient before calling getVector().

2012-12-06  John Smith  <john.smith7545@yahoo.com>

	Fix for 1086881 : Regression editing patterns with node tool

2012-12-06  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	can't do a string comparison like that!

2012-12-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	- fix security bug lp:1025185
	- make network access optional for XML loading

2012-12-05  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Improving windows's title internationalization (color mode wasn't correctly handled).
	Translations. Translation template and French translation update.

2012-12-04  theAdib  <theadib@gmail.com>

	wix installer: create msi filename from version sing in src/inkscape.rc, add wix files to dist target

2012-12-03  apenner  <penner@vaxxine.com>

	win32 registry. set value for inkscape location (Bug 644185)

2012-12-03  JazzyNico  <nicoduf@yahoo.fr>

	UI. Fix for bug #959202 (Spiral Tool: Alt+drag on outside handle isn't described).

2012-12-03  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Removing sp-color-gtkselector.cpp from translatable files.
	UI. Fix for Bug #836477 (Spray Tool: Descriptions in status bar "... scroll to spray something" need more words).
	Translations. Translation template update.

2012-12-03  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Updating Wordperfect libraries.
	Win32. Activating Visio files import (Bug #1015572).
	Win32. Activating JPEG and EXIF support bitmap resolution import (Bug #1080474).
	
	*** Windows users, please update to devlibs r39! ***

2012-12-03  JazzyNico  <nicoduf@yahoo.fr>

	Translations. French translation update.

2012-12-02  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate remaining color widgets to GtkGrid

2012-12-02  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate sp-color-scales to GtkGrid and fix alignment in sp-color-wheel-selector

2012-12-02  Alex Valavanis  <valavanisalex@gmail.com>

	Fix permissive casting in sp-color-wheel-selector

2012-12-01  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate sp-color-wheel-selector to GtkGrid

2012-12-01  Alex Valavanis  <valavanisalex@gmail.com>

	Drop unused sp-color-gtkselector code

2012-12-01  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate inkview buttons from deprecated GtkTable layout to GtkButtonBox

2012-11-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 1084341 : Gradient Tool : Hide gradient handles on a solid color swatch

2012-11-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 255792 : Calligraphy tool presets management 

2012-11-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 430301 : core dump exporting to non existing folder

2012-11-29  tavmjong-free  <tavmjong@free.fr>

	Fix for #955141: Converting clipped object to pattern produces rasterised pattern.

2012-11-29  John Smith  <john.smith7545@yahoo.com>

	Fix for 1073128 : Command line PNG export fails if FeFlood filter primitive is present

2012-11-29  John Smith  <john.smith7545@yahoo.com>

	Fix for 171466 : F/S set swatch preview column name

2012-11-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1071421 : Setting swatch as fill/stroke creates new swatches which never go away

2012-11-27  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3: Migrate to GdkRGBA

2012-11-27  UweSchoeler  <mail@uwe-schoeler.de>

	German translation 100%

2012-11-26  Alex Valavanis  <valavanisalex@gmail.com>

	Drop support for Glib < 2.28

2012-11-26  Alex Valavanis  <valavanisalex@gmail.com>

	Drop support for GTK+ < 2.24

2012-11-26  Alexandre Prokoudine  <alexandre@darkroom>

	Updated Russian translation

2012-11-26  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks, and French translation update.

2012-11-26  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Fix for Bug #1083043 (Symbols dialog isn't translatable).

2012-11-26  ~suv  <suv-sf@users.sourceforge.net>

	Fix undo history entry for layer renaming to be consistent with 'Rename Layer' dialog

2012-11-26  Alexandre Prokoudine  <alexandre@darkroom>

	The label should really say "Stops:", just like its verb.
	The former "Edit:" label text is just confusing.

2012-11-26  Alexandre Prokoudine  <alexandre@darkroom>

	Marked another user-visible message for translation, fixed text case for combo items

2012-11-26  Alexandre Prokoudine  <alexandre@darkroom>

	Marked even more user visible messages for translation

2012-11-26  Alexandre Prokoudine  <alexandre@darkroom>

	Made a few user-visible messages translatable

2012-11-25  Ted Gould  <ted@gould.cx>

	Build fixes to get 0.49 in shape to release

2012-11-25  Ted Gould  <ted@gould.cx>

	Update to current trunk

2012-10-15  Ted Gould  <ted@gould.cx>

	Getting all the filter headers

2012-10-15  Ted Gould  <ted@gould.cx>

	A few more headers

2012-10-15  Ted Gould  <ted@gould.cx>

	New 2geom files and putting in the same order as 'ls'

2012-10-15  Ted Gould  <ted@gould.cx>

	Drop some extra inkboard and pedro cruft

2012-10-15  Ted Gould  <ted@gould.cx>

	More missing files, dist passes

2012-10-15  Ted Gould  <ted@gould.cx>

	Files in /src that no longer exist

2012-10-15  Ted Gould  <ted@gould.cx>

	Doesn't seem these are up-to-date and are just generic files in the repo

2012-11-26  theAdib  <theadib@gmail.com>

	wix installer: added artwork (from nsis) - now needs wix 3.7

2012-11-25  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Translation template update.

2012-11-25  John Smith  <john.smith7545@yahoo.com>

	Fix for 1036059 : Keyboard shortcut editor

2012-11-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 172236 : Dropper pixmaps and onetime fix

2012-11-23  JazzyNico  <nicoduf@yahoo.fr>

	UI. Fix for Bug #1072007 (Mouse scroll zoom depends on if the cursor is over an object).

2012-11-23  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2012-11-22  theAdib  <theadib@gmail.com>

	wix installer: assign svg file extension to inkscape

2012-11-21  theAdib  <theadib@gmail.com>

	updated email for theadib

2012-11-21  theAdib  <theadib@gmail.com>

	wix installer: remove debug information from msi package, add GPL text to license page

2012-11-21  Campbell Barton  <ideasman42@gmail.com>

	code cleanup: quiet warnings with gcc.

2012-11-20  tavmjong-free  <tavmjong@free.fr>

	Fix for #970355, radial gradient using object bounding box.

2012-11-20  Josh Andler  <scislac@gmail.com>

	Rename keys name within the file

2012-11-20  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #768149 (Incorrect Image URL can cause Loop) by Kris.

2012-11-19  tavmjong-free  <tavmjong@free.fr>

	Add new symbol set: AIGA/DOT Transportation/Passenger Symbols.

2012-11-19  John Smith  <john.smith7545@yahoo.com>

	Revert for 166691 : Changing layer order does not update layer selector - Revert change to performance issues

2012-11-18  JazzyNico  <nicoduf@yahoo.fr>

	UI. Fix for Bug #1071104 (Failure to open a browse window when choosing Export As...).

2012-11-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 275662 : Filter stays in object's css property after Filter Effect dialog removal

2012-11-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 1079971 : Symbol dialog : Drag & Drop to the canvas

2012-11-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 177931 : Layer dialog toggle solo mode with Shift/Alt click

2012-11-16  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Fix for Bug #708515 (Optimized SVG save fails with Attribute error - no infilename).

2012-11-16  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Fix for Bug #1075321 (TypeError: decoding Unicode is not supported) by Aapo Rantalainen.

2012-11-15  theAdib  <theadib@gmail.com>

	build files.wxs within install.bat

2012-11-15  theAdib  <theadib@gmail.com>

	add wix scripts to nuild win32 .msi package

2012-11-15  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: Simple fixes for src/ui/dialog

2012-11-15  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: Simple fixes for src/ui/widget

2012-11-15  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: Fix a couple more C-style pointer casts and inefficient vector-emptiness checking

2012-11-11  apenner  <penner@vaxxine.com>

	emf import. modify sequence of operations to load file EMF_Illustrator_a4.emf (Bug 988601)

2012-11-11  Alex Valavanis  <valavanisalex@gmail.com>

	SPObject: Remove todo note

2012-11-11  Alex Valavanis  <valavanisalex@gmail.com>

	SPObject: drop sp_object_ prefix on class members

2012-11-11  Alex Valavanis  <valavanisalex@gmail.com>

	Replace remaining C-style pointer casts for src/widgets

2012-11-11  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: Convert more C-style pointer casts to GObject or C++

2012-11-10  JazzyNico  <nicoduf@yahoo.fr>

	Build. Fixing win32 build with cairo > 1.11.4 (replacing uint with unsigned int).

2012-11-08  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Updating the trunk again for devlibs r36.

2012-11-08  JazzyNico  <nicoduf@yahoo.fr>

	Win32. Updating the trunk for devlibs r36.

2012-11-07  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #773288 (border options) by demicoder.

2012-11-06  Krzysztof Kosiński  <tweenk.pl@gmail.com>

	Change outline mode rendering tolerance from 1.25 to 0.5.
	Fixes disappearing lines in newer versions of Cairo.

2012-11-03  John Smith  <john.smith7545@yahoo.com>

	Fix for 1065933 : Better support for sub-layers in 'Show/Hide other layers'

2012-11-03  tavmjong-free  <tavmjong@free.fr>

	Don't remove default css values if element is in <defs> or is a <symbol>.

2012-11-02  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove flash path when nodetool eventcontext is destroyed. fixes bug for persistent flashpath when flashtime is set to zero (=infinite) and pressing space to instantly go to select tool while flashpath is still being shown.

2012-11-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 1006816 : Newly applied filter doesn't show in Filters Editor

2012-11-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 620568 : Changes to 'Hide all except selected' in Export Bitmap - Revert changes from r11569

2012-10-31  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1069806 (Inkscape crash in File>Open).

2012-10-31  John Smith  <john.smith7545@yahoo.com>

	Fix for 1068763 : Opening 'File > Document Properties' dirties current document 

2012-10-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 1071426 : Swatches dialog doesn't update when swatch is renamed - fix indicators

2012-10-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 1071328 : Inkscape encounters internal error when opening a valid SVG file

2012-10-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 1071426 : Swatches dialog doesn't update when swatch is renamed

2012-10-29  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 100%

2012-10-29  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : Markers - fix Undo history

2012-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix margin for PDF exporting page area

2012-10-28  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1072391 (Save as copy crash).

2012-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add bleed/margin to pdf export

2012-10-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build ?!

2012-10-28  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: Fix a couple of leaks

2012-10-28  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: More C-style pointer casting

2012-10-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 928205 : Do not save viewport metadata option

2012-10-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1067808 : Focus issues with new gradient (and swatch) manager in Fill&Stroke - Focus fix

2012-10-27  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix build

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: get rid of more C-style pointer casts

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: use gobject casts in box3d and hide dead code

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: use gobject casts in box3d-side and rename NONE to SP_NONE in sp_metric

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck: use gobject casts in sp-item

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	cppcheck fixes: sp-lpe-item

2012-10-27  Jasper van de Gronde  <th.v.d.gronde@hccnet.nl>

	Clamp colour channels in feComposite result to alpha channel, instead of 1, as the channels are premultiplied.

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	Fix C++11 narrowing conversion errors

2012-10-27  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build error due to bad internal handling of deprecated GTK+ symbols in gtkmm header

2012-10-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	bit of a clean-up

2012-10-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	include yourself first, then the others

2012-10-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	allow 0 degree angles for axonometric grid's x and z axes

2012-10-26  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-10-26  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1070903 (Crash when saving a new document).

2012-10-25  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Translations template update.

2012-10-24  JazzyNico  <nicoduf@yahoo.fr>

	Build. Cleaning build.xml.

2012-10-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 1067819 : Changing gradient name does not dirty the document (trunk)

2012-10-23  apenner  <penner@vaxxine.com>

	extensions. function plotter. prevent divide by zero. (Bug 1064863)

2012-10-23  Alex Valavanis  <valavanisalex@gmail.com>

	Use Gtk::Box to arrange layer dialog buttons.  Prevents oversized buttons in GTK+ 3

2012-10-23  John Smith  <john.smith7545@yahoo.com>

	Fix for 171890 : Mouse wheel on swatches

2012-10-23  Campbell Barton  <ideasman42@gmail.com>

	update cmake files & make function static.

2012-10-22  JazzyNico  <nicoduf@yahoo.fr>

	Build. Reverting GTKMM changes in devlibs and build.xml.

2012-10-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 1067808 : Focus issues with new gradient (and swatch) manager in Fill&Stroke (trunk)

2012-10-22  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	because we are in frost: disable experimental LPEs

2012-10-21  Kris  <Kris.De.Gussem@hotmail.com>

	UI uniformisation

2012-10-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix grid layout in desktop widget

2012-10-20  Alex Valavanis  <valavanisalex@gmail.com>

	GTK3: Migrate toolbox to GtkGrid API

2012-10-20  Alex Valavanis  <valavanisalex@gmail.com>

	GTK3: Migrate desktop widget to GtkGrid

2012-10-20  Kris  <Kris.De.Gussem@hotmail.com>

	Do not show console debug messages for dynastroke lpe

2012-10-20  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-10-20  Kris  <Kris.De.Gussem@hotmail.com>

	UI uniformisation

2012-10-19  JazzyNico  <nicoduf@yahoo.fr>

	Build. switching to gtkmm 2.24.

2012-10-19  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Fixing filters structure and typo.

2012-10-18  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-10-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 171333 : Adjust icon for moving guides - Hand icon

2012-10-17  John Smith  <john.smith7545@yahoo.com>

	Fix for 171333 : Adjust icon for moving guides

2012-10-16  tavmjong-free  <tavmjong@free.fr>

	Fix crash resulting from r11646.

2012-10-15  tavmjong-free  <tavmjong@free.fr>

	Better attempt at finding primitive filter region for percent and userSpaceOnUse.

2012-10-15  tavmjong-free  <tavmjong@free.fr>

	Use filter primitive region and aspect ratio in image filter primitive, fixes regression.

2012-10-14  apenner  <penner@vaxxine.com>

	extensions. apply inkex.localize() for consistency

2012-10-14  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using private GdlDockObject->master (broken in GDL 3.6)

2012-10-14  Diederik van Lierop  <mail@diedenrezi.nl>

	Fix "shift disables snapping" for LPEs and for editing objects

2012-10-14  Diederik van Lierop  <mail@diedenrezi.nl>

	Remove invalid return statements

2012-10-14  John Smith  <john.smith7545@yahoo.com>

	Fix for 657463 : Mousewheel zooming by two steps, not one

2012-10-14  tavmjong-free  <tavmjong@free.fr>

	Use filter primitive region in flood filter primitive, fixes regression. 

2012-10-14  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build with new color palette features

2012-10-14  ~suv  <suv-sf@users.sourceforge.net>

	keys: merge duplicate entries

2012-10-14  Alex Valavanis  <valavanisalex@gmail.com>

	Don't try to set infinite bounds on SpinButtons in LPE Scalar

2012-10-14  John Smith  <john.smith7545@yahoo.com>

	Fix for 171221 : color panel improvements

2012-10-14  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3: Fix crash with live-preview checkbox in extensions dialog

2012-10-13  Diederik van Lierop  <mail@diedenrezi.nl>

	Shift key should disable snapping when dragging a handle in the node tool

2012-10-13  tavmjong-free  <tavmjong@free.fr>

	Prevent crash if symbol is empty. Chnage default styling for symbol preview.

2012-10-12  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-10-12  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 100%

2012-10-12  tavmjong-free  <tavmjong@free.fr>

	Fix for compiling with pre gtkmm 2.24 libraries.

2012-10-12  JazzyNico  <nicoduf@yahoo.fr>

	Translations. French translation update.

2012-10-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 1019974 : Default layer names are inconsistent

2012-10-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 177931 : Shift click layer icons to trigger solo

2012-10-11  UweSchoeler  <mail@uwe-schoeler.de>

	Translation update

2012-10-11  tavmjong-free  <tavmjong@free.fr>

	Add symbols dialog. See: http://wiki.inkscape.org/wiki/index.php/SymbolsDialog

2012-10-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 1058402 : Inconsistent opacity indication

2012-10-11  ~suv  <suv-sf@users.sourceforge.net>

	Update default keymap to include most of the new verbsadded in trunk, sync inkscape.xml

2012-10-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 191020 : Lock/Unlock all layers - Lock other layers

2012-10-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 171904 : toggleToolbox verb

2012-10-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 426763 : Cancelling import leads to error message

2012-10-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 246153 : Broken style indicator

2012-10-10  apenner  <penner@vaxxine.com>

	emf import. re-implement filtering of isolated control characters (Bug 217231)

2012-10-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: fix stuff! (apparently commit didn't work yesterday)

2012-10-10  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 96%

2012-10-09  Kris  <Kris.De.Gussem@hotmail.com>

	Fix translation issue of rev 11759.

2012-10-09  Kris  <Kris.De.Gussem@hotmail.com>

	fix memory leak and access error in sp_repr_css_merge_from_decl (Bug #1061157)

2012-10-09  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 95%

2012-10-09  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1063831 (--export-text-to-path with SVG is undocumented) by Philipp Hagemeister. Greek and French man page translations updated.

2012-10-09  JazzyNico  <nicoduf@yahoo.fr>

	UI consistency fix (pointed Bug #955060, comment #24).

2012-10-09  JazzyNico  <nicoduf@yahoo.fr>

	Bug #425202 (Script messages not translated) fixed on OSX, patch from ~suv.

2012-10-09  ~suv  <suv-sf@users.sourceforge.net>

	add stubs for layer verbs to default keymap file, keep default.xml and inkscape.xml in sync

2012-10-09  ~suv  <suv-sf@users.sourceforge.net>

	packaging/macosx: detect system language in launcher script
	- add console messages to help debug incorrect LANG settings
	- use 'en_US.UTF-8' fallback setting for LANG if currect detection fails
	addresses issues with failing python extensions which use setlocale() 
	as discussed in the comments of bug #406662

2012-10-09  John Smith  <john.smith7545@yahoo.com>

	Fix for 191020 : Lock/Unlock all layers

2012-10-09  ~suv  <suv-sf@users.sourceforge.net>

	packaging/macosx: update default theme for newer Clearlooks engine

2012-10-09  ~suv  <suv-sf@users.sourceforge.net>

	packaging/macosx: copy hicolor index.theme into app bundle

2012-10-08  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Massive po files update.

2012-10-08  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 93%

2012-10-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 490338 : Try to create the autosave directory if that does not exists

2012-10-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 303527 : GUI glitch on opacity box

2012-10-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 1060563 : Swatches : Sort the list of swatch names

2012-10-08  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-10-08  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2012-10-08  JazzyNico  <nicoduf@yahoo.fr>

	Translations. check-markup script update.

2012-10-08  tavmjong-free  <tavmjong@free.fr>

	Add Inkscape's flowed text elements and "text-align" property. Allow "title" attribute.
	The "title" attribute is not in the SVG spec but is widely supported by browsers.

2012-10-07  apenner  <penner@vaxxine.com>

	extensions. maintain gettext compatibility with rev 11749

2012-10-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: arc extrp. corner case handling

2012-10-07  JazzyNico  <nicoduf@yahoo.fr>

	Typo fix by Yuri Chornoivan.

2012-10-07  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #425202 (Script messages not translated).

2012-10-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: arc extrapolate fix

2012-10-07  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update 89%

2012-10-07  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update

2012-10-07  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Adding gradient selector widget labels.

2012-10-07  UweSchoeler  <mail@uwe-schoeler.de>

	German translation update.

2012-10-06  apenner  <penner@vaxxine.com>

	emf import. support for PATCOPY in EMR_BITBLT (Bug 1060141)

2012-10-06  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: add arc-extrapolation, but disable it for release

2012-10-06  Kris  <Kris.De.Gussem@hotmail.com>

	fix message

2012-10-06  Kris  <Kris.De.Gussem@hotmail.com>

	user message standardisation

2012-10-06  John Smith  <john.smith7545@yahoo.com>

	Fix for 587019 : Select and transform mouse cursor changes to normal cursor on object duplication

2012-10-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 570695 : show default|fallback autosave path

2012-10-04  Campbell Barton  <ideasman42@gmail.com>

	code cleanup: make more functions static, add includes.

2012-10-04  Campbell Barton  <ideasman42@gmail.com>

	code cleanup: make more functions static or include their own headers.

2012-10-04  Campbell Barton  <ideasman42@gmail.com>

	code cleanup: add own includes to cpp files or make the functions static if they are not used elsewhere.

2012-10-03  apenner  <penner@vaxxine.com>

	extensions. Extrude. allow selection of multiple objects (Bug 1055155)

2012-10-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 168164 : gtk 2.22 compile issues

2012-10-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 1014988 : gtk 2.22 compile issues

2012-10-03  Kris  <Kris.De.Gussem@hotmail.com>

	fixing memory release issue (valgrind reported; bug #1043571 , comment 16 issue 2)

2012-10-04  Campbell Barton  <ideasman42@gmail.com>

	fix for cmake linking, currently include some hard coded paths since their are no find modules for these libs at the moment.
	inkscape now builds with cmake (on my system at least)

2012-10-03  John Smith  <john.smith7545@yahoo.com>

	Fix for 687655 : New color wheel should not increase the width of docked Fill&Stroke dialog when scaled

2012-10-03  John Smith  <john.smith7545@yahoo.com>

	Fix for 602698 : Add Android palette

2012-10-03  Campbell Barton  <ideasman42@gmail.com>

	add missing source files

2012-10-03  Campbell Barton  <ideasman42@gmail.com>

	add ENABLE_POPPLER cmake build option - if you had poppler there was no way to disable it

2012-10-02  Kris  <Kris.De.Gussem@hotmail.com>

	fixed another UI inconsistency in object properties dialog

2012-10-02  Kris  <Kris.De.Gussem@hotmail.com>

	Fix for Bug #1049440 (Crash in Object Properties if label is empty string (regression, trunk))

2012-10-02  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix for bug 310206: although the path is made with only cubic beziers (bezier_fit_cubic...), the closing path segment is still a linearbezier so original code will bug for closed paths. made the code more general by standard 2geom code to determine the curvature of the end of a curve without knowing its type.

2012-10-02  Kris  <Kris.De.Gussem@hotmail.com>

	fix layout of object properties dialog (Bug #1050938 ; input fields in object properties dalog not aligned)

2012-10-01  JazzyNico  <nicoduf@yahoo.fr>

	Translations. French translation update. Minor inkscape.pot update (no string change).

2012-10-01  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Adding new LPE to the translation template, UI consistency fixes and unstable tag removed.

2012-10-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 831008 : Line width menu only show Px,Pt and mm

2012-10-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 1059132 : --export-pdf crashes with inkscape trunk

2012-09-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 681625 : sort template names under File->New

2012-09-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 1058470 : Trace Bitmap Live Preview

2012-09-29  Kris  <Kris.De.Gussem@hotmail.com>

	memleak fix (part of bug #1043571)

2012-09-29  John Smith  <john.smith7545@yahoo.com>

	Fix for 1058432 : Trace Bitmap preview should be resizeable

2012-09-28  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Some filters fixes, renaming and simplifications.

2012-09-28  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-09-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1000023 : Stop color notepad buttons expanding vertically

2012-09-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1046740 : middle click on palette to set stroke colour

2012-09-27  John Smith  <john.smith7545@yahoo.com>

	Fix for 166691 : Changing layer order does not update layer selector

2012-09-27  John Smith  <john.smith7545@yahoo.com>

	Fix for 169001 : Long layer names mess with the UI

2012-09-27  John Smith  <john.smith7545@yahoo.com>

	Fix for 172030 : Width of Undo History palette could be optimized

2012-09-27  John Smith  <john.smith7545@yahoo.com>

	Fix for 171177 : Border in palette swatches

2012-09-26  John Smith  <john.smith7545@yahoo.com>

	Fix for 169001 : Long layer names mess with the UI

2012-09-25  JazzyNico  <nicoduf@yahoo.fr>

	Doc. Shapes tutorial update (see Bug #817907 - Linked offsets regression).

2012-09-25  John Smith  <john.smith7545@yahoo.com>

	Fix for 172190 : Hand/Pan tool cursor on middle-drag

2012-09-25  John Smith  <john.smith7545@yahoo.com>

	Fix for 293358 : Reduce width of Fill Stroke dialog

2012-09-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 1052645 : On select toolbar 'lock' button resize icon on clicking

2012-09-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 1055253 : Statusbar opacity widget is too small

2012-09-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : Assert when duplicating markers

2012-09-23  John Smith  <john.smith7545@yahoo.com>

	Fix for 170395 : Add Trace Bitmap to context menu of images : Focus fix

2012-09-23  John Smith  <john.smith7545@yahoo.com>

	Fix for 170395 : Add Trace Bitmap to context menu of images

2012-09-23  John Smith  <john.smith7545@yahoo.com>

	Fix for 367548 : Invert doesnt work on objects with gradients

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 172222 : Move direct to specified layer

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 367548 : Invert doesnt work on objects with gradients

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 166691 : Revert fix

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 166691 : Changing layer order does not update layer selector

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 1014988 : Converts slide widgets to new spin-scale widget

2012-09-22  John Smith  <john.smith7545@yahoo.com>

	Fix for 1014988 : Add gimp spin scale widget

2012-09-21  ~suv  <suv-sf@users.sourceforge.net>

	Fix for bug #1053024: set current layer from template in new blank document after closing last window

2012-09-21  Fridrich  <fridrich.strba@bluewin.ch>

	merge lp:~inkscape.dev/inkscape/lp1015572
	Add support for Visio files, by Fridrich Strba

2012-07-09  Fridrich Strba  <fridrich.strba@bluewin.ch>

	Added Visio Files

2012-07-09  Fridrich Strba  <fridrich.strba@bluewin.ch>

	Add support for libvisio

2012-09-20  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-09-20  Kris  <Kris.De.Gussem@hotmail.com>

	some memleak fixes (Bug #1043571)

2012-09-20  JazzyNico  <nicoduf@yahoo.fr>

	Translations. inkscape.pot update.

2012-09-20  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #944787 (The command to follow link does not work).

2012-09-20  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Typo in the filters menu (bump instead of bumps).

2012-09-20  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-09-20  JazzyNico  <nicoduf@yahoo.fr>

	Preferences. New Bitmap Override file resolution option, by Daniel Wagenaar.

2012-09-19  JazzyNico  <nicoduf@yahoo.fr>

	Filtres. New predefined filters by Ivan Louette.

2012-09-19  John Smith  <john.smith7545@yahoo.com>

	Fix for 638943 : feComponentTransfer resource add causing CRITICAL messages in effect Poster Paint

2012-09-19  John Smith  <john.smith7545@yahoo.com>

	Fix for 509891 : User defined linear gradient angle

2012-09-19  John Smith  <john.smith7545@yahoo.com>

	Fix for 643150 : Auto-palette swatches duplicated on copy and paste

2012-09-19  John Smith  <john.smith7545@yahoo.com>

	Fix for 900602 : Enter key returns focus to canvas for Font family selector

2012-09-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 168164 : Fix precision of font size

2012-09-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 818628 : DBUS Metadata for error domain warning when using File>New

2012-09-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 1051434 : occasional crash when selecting disjoint path with markers

2012-09-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 979567 : Object context menu (right-click) acts on bottom-most instead of top-most object under cursor position

2012-09-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : Fix marker color on duplicate

2012-09-17  apenner  <penner@vaxxine.com>

	fix typo in marker bbox calculation (Bug 1051131)

2012-09-17  helix84  <helix84@centrum.sk>

	add myself to AUTHORS

2012-09-13  Kris  <Kris.De.Gussem@hotmail.com>

	Static code checking (Bug #614232)

2012-09-13  Jasper van de Gronde  <th.v.d.gronde@hccnet.nl>

	Make last segment before close path absolute.

2012-05-07  Jasper van de Gronde  <th.v.d.gronde@hccnet.nl>

	Allow shorthand paths

2012-09-13  JazzyNico  <nicoduf@yahoo.fr>

	Translations. PO template update.
	Extensions. Adding execution rights to color_HSL_adjust.py.

2012-09-13  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. New HSL adjust extension (see Bug #979208 ).

2012-09-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 1048958 : Unexpected count '#' of swatch fill uses for clones

2012-09-11  Kris  <Kris.De.Gussem@hotmail.com>

	static code checking (Bug #614223)

2012-09-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 167181 : Gnome-HIG-2.0 conformant Preferences dialog - accel keys

2012-09-10  apenner  <penner@vaxxine.com>

	pdf import. move style attribute from <tspan> node to <text> node (Bug 219709)

2012-09-10  John Smith  <john.smith7545@yahoo.com>

	Fix for 649441 : Extension dialogs without live preview should not be modal

2012-09-09  Kris  <Kris.De.Gussem@hotmail.com>

	better fix

2012-09-09  Kris  <Kris.De.Gussem@hotmail.com>

	static code checking (fixes Bug #614227 )

2012-09-07  JazzyNico  <nicoduf@yahoo.fr>

	Translations. PO files update.

2012-09-07  John Smith  <john.smith7545@yahoo.com>

	Fix for 1046868 : Gradient tool (trunk): stop selector cannot access stroke gradient stops of objects with two gradients

2012-09-06  John Smith  <john.smith7545@yahoo.com>

	Fix for 580160 : Deleting a gradient stop using Shape tools deletes the object

2012-09-06  John Smith  <john.smith7545@yahoo.com>

	Fix for 499965 : PS Output : Convert export area to radio buttons

2012-09-05  JazzyNico  <nicoduf@yahoo.fr>

	Freehand. Fix for Bug #597136 (dots are created with wrong cy value).

2012-09-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 172236 : Dropper in Fill-Stroke dialog, changed to be a one time only pick

2012-09-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 1042602 : Select toolbar, fix for regression when X and Y values are negative

2012-09-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 189535 : Change shortcut key for Horizontal align to Ctrl+Alt+t

2012-09-03  Kris  <Kris.De.Gussem@hotmail.com>

	revert rev 11646: build issue with dbus (forgot to adapt some more, dbus was not enabled) and other issues

2012-09-03  John Smith  <john.smith7545@yahoo.com>

	Fix for 422644 : Show filename in statusbar on saving

2012-09-03  John Smith  <john.smith7545@yahoo.com>

	Fix for 406044 : Esc with no selection, activates selection tool

2012-09-02  Kris  <Kris.De.Gussem@hotmail.com>

	converted some c-string usage to c++ string class usage: should fix some memory leaks

2012-09-02  Kris  <Kris.De.Gussem@hotmail.com>

	performance: ??

2012-09-02  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Template file update.

2012-09-02  ~suv  <suv-sf@users.sourceforge.net>

	Spray tool controls bar: update icon name (consistent with Tweak and Calligraphy tool) 
	See also: http://wiki.inkscape.org/wiki/index.php/Themable_icons

2012-09-02  ~suv  <suv-sf@users.sourceforge.net>

	Export dialog: change markup formatting of labels to be consistent with other dialogs

2012-09-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 306090 : XMl Editor, Return button to create new xml element

2012-09-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 273539 : Add Group action to the context menu

2012-09-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 747998 :  Align unit menu in Rows Columns dialog

2012-09-01  apenner  <penner@vaxxine.com>

	emf import. add support for EMR_PIE element (Bug 1040339)

2012-09-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 656591 : Export dialog improve access to export filename

2012-09-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 618668 : Change dialog wording

2012-09-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 172236 : Add color picker to Fill Stroke dialog

2012-09-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 445297 : Page background color label unclear for new users

2012-08-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : Preferences Behavior-Markers page

2012-08-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 170550 : open blank document on 'close'

2012-08-30  John Smith  <john.smith7545@yahoo.com>

	Fix for 980520 : Conflicting accelerator keys

2012-08-29  John Smith  <john.smith7545@yahoo.com>

	Fix for 928205 : Preference to not save doc viewport metadata

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1042602 : Select toolbar : Width and height are not initially 0

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 171915 : Fullscreen mode without toolbars shortcut

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1042508 : Transform dialog when floating doesnt work on active doc

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : markers must take object's stroke color - fix for floating window bug

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 1042500 : Align and Distribute dialog when floating doesnt work on active doc

2012-08-28  John Smith  <john.smith7545@yahoo.com>

	Fix for 525597 : Undo History dialog not updating when switching windows

2012-08-27  John Smith  <john.smith7545@yahoo.com>

	Fix for 168446 : rename menu item Export to PNG Image

2012-08-25  cadabra

	Fix for bug #900602 (Switching font with up/down arrows de-selects font list box)

2012-08-25  John Smith  <john.smith7545@yahoo.com>

	Fix for 168164 : Default text output to px

2012-08-24  Gellule Xg  <gellule.xg@gmail.com>

	Add -headerpad_max_install_names to LDFLAGS when building for OSX .app

2012-08-24  Gellule Xg  <gellule.xg@gmail.com>

	Add -headerpad_max_install_names to LDFLAGS when building for OSX .app

2012-08-24  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-08-23  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Latvian translation update by Jānis Eisaks.

2012-08-23  John Smith  <john.smith7545@yahoo.com>

	Fix for 575831 : font variant drop-down - fix for selection problem

2012-08-21  John Smith  <john.smith7545@yahoo.com>

	Fix for 168164 : Font size, always output px option

2012-08-20  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix type (fixes Windows build)

2012-08-20  John Smith  <john.smith7545@yahoo.com>

	Fix for 165865 : markers must take object's stroke color

2012-08-19  apenner  <penner@vaxxine.com>

	round-off incoming png resolution to 0.1 dpi (Bug 165952 comment 20)

2012-08-19  John Smith  <john.smith7545@yahoo.com>

	Fix for 1035733 : Align Distribute dialog - Right align buttons

2012-08-18  John Smith  <john.smith7545@yahoo.com>

	Fix for 189535 : align verbs and by keys

2012-08-17  Josh Andler  <scislac@gmail.com>

	Authors update

2012-08-17  JazzyNico  <nicoduf@yahoo.fr>

	Shortcuts. Fix for Bug #1035903 (adobe-illustrator-cs2 contains multiple display=true for EditPaste).

2012-08-16  John Smith  <john.smith7545@yahoo.com>

	Fix for 168164 : Font sizes in points option

2012-08-15  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	code style  (use NULL for pointers instead of 0)

2012-08-15  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Fix for Bug #1034663 (Split msgid "Text" for menu Effects).
	Translations. inkscape.pot and French translation update.

2012-08-15  John Smith  <john.smith7545@yahoo.com>

	Fix for 1036010 : Cant read styles with 'em' units

2012-08-11  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-08-11  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-08-09  JazzyNico  <nicoduf@yahoo.fr>

	Warnings cleanup (see Bug #1034663).

2012-08-09  JazzyNico  <nicoduf@yahoo.fr>

	Warnings. Fix for Bug #323414 (strict-aliasing rules warnings).

2012-08-09  John Smith  <john.smith7545@yahoo.com>

	Fix for 819671 : No visual indication for grid and snap being on/off

2012-08-08  Kris  <Kris.De.Gussem@hotmail.com>

	copyright message rewritten object properties dialog

2012-08-07  Campbell Barton  <ideasman42@gmail.com>

	update for cmake

2012-08-07  John Smith  <john.smith7545@yahoo.com>

	Fix for 1030239 : Custom markers only added to the list in 'Fill and Stroke - Style' after reloading the file : Fix selection regression

2012-08-07  John Smith  <john.smith7545@yahoo.com>

	Fix for 427514 : Filter effects dialog data mirroring

2012-08-05  Alex Valavanis  <valavanisalex@gmail.com>

	Use Gtk::StyleContext in OCAL dialog

2012-08-05  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukainian translation update by Yuri Chornoivan.

2012-08-05  Kris  <Kris.De.Gussem@hotmail.com>

	object attributes code was actually completely rewritten

2012-08-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 484135 : clicking on the stroke size doesn't open the dialog box

2012-08-05  JazzyNico  <nicoduf@yahoo.fr>

	Exporting. Optimized SVG output extension update (scour).

2012-08-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 427514 : Fix mirroring of FS Opacity/Blur settings

2012-08-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 1030239 : Custom markers only added to the list in Stroke Style after reloading the file

2012-08-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 1030239 : Custom markers only added to the list in Stroke Style after reloading the file

2012-08-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 1032880 : Stroke style panel is mirrored between open windows

2012-08-04  John Smith  <john.smith7545@yahoo.com>

	Fix for 575831 : Add font variant drop-down box to new text toolbar

2012-08-03  JazzyNico  <nicoduf@yahoo.fr>

	Build. Activating xslt extensions on Windows (not used yet).

2012-08-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 167846 : GtkHScale regression

2012-08-02  John Smith  <john.smith7545@yahoo.com>

	Fix for 685689 : Panning with Shift+RMB fails when dropper tool selected

2012-08-02  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Fix for Bug #582552 (Make object -> Apply certain filters -> Open filter editor -> Undo -> Crash).

2012-08-01  JazzyNico  <nicoduf@yahoo.fr>

	Filters. Fix for Bug #431271 (Crash after undo/redo a (combined) filter effect).

2012-08-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 918894 : Remove link is reported as Ungroup in Undo history

2012-08-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 1029302 : Fill/Stroke dialog does not update on tool change

2012-08-01  John Smith  <john.smith7545@yahoo.com>

	Fix for 512247 : Show the direction in Object/Transform/Rotate

2012-07-31  JazzyNico  <nicoduf@yahoo.fr>

	UI. Fix for Bug #614500 (Cursor icon for Select/transform tool) by ~suv.

2012-07-31  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Better fix for Bug #944077 (inkscape crashed with SIGSEGV in Inkscape::Extension::Implementation::Script::effect()).

2012-07-28  apenner  <penner@vaxxine.com>

	add Extensions->Export->Win32 Vector Print (Bug 966244)

2012-07-28  apenner  <penner@vaxxine.com>

	do not allow sodipodi:docname to have a temporary filename (partial fix for Bug 243162)

2012-07-25  John Smith  <john.smith7545@yahoo.com>

	Fix for 722625 : Select Same by Object Type

2012-07-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 1028425 : Gradient Stop Alpha value not correct in Fill/Stroke dialog

2012-07-24  Alex Valavanis  <valavanisalex@gmail.com>

	Don't include keyboards in input-device list. Remove comments about private fields.

2012-07-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 614500 : Select tool crosshair cursor

2012-07-24  John Smith  <john.smith7545@yahoo.com>

	Fix for 620568 : Changes to 'Hide all except selected' in Export Bitmap

2012-07-23  Josh Andler  <scislac@gmail.com>

	Add missing files and add Daniel Wagenaar to Authors

2012-07-23  JazzyNico  <nicoduf@yahoo.fr>

	Bitmap. Fix for Bug #165952 (png resolution not imported) by Daniel Wagenaar.

2012-07-23  Alex Valavanis  <valavanisalex@gmail.com>

	Fix canvas scroll events in GTK+ 3

2012-07-23  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #1027904 (Toolbars not translated).
	Translations. French translation update.

2012-07-23  Alex Valavanis  <valavanisalex@gmail.com>

	Drop use of size-request in button and sp-widget (GTK3)

2012-07-23  Alex Valavanis  <valavanisalex@gmail.com>

	Abort configuration if GTK+ 3 dependencies are unfulfilled

2012-07-21  apenner  <penner@vaxxine.com>

	refresh sodipodi:docname when saving (Bug 1024690)

2012-07-21  John Smith  <john.smith7545@yahoo.com>

	Fix for 816496 : Alt+mouse wheel z-order cycling, add option to cycle wrap

2012-07-21  John Smith  <john.smith7545@yahoo.com>

	Fix for 960240 : Rename Edit:Find to Find Replace

2012-07-21  John Smith  <john.smith7545@yahoo.com>

	Fix for 908392 : Swatches dialog minimum size

2012-07-20  John Smith  <john.smith7545@yahoo.com>

	Fix for 940578 : Max font size in toolbar font chooser

2012-07-20  JazzyNico  <nicoduf@yahoo.fr>

	Extensions. Removing the Replace Text extension (replaced with the new Find dialog).

2012-07-19  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #1022719 (Inkscape fails to open file from the web (via URL) on the command line) by Patrick Monnerat.

2012-07-18  JazzyNico  <nicoduf@yahoo.fr>

	Translations. PO template update.

2012-07-18  JazzyNico  <nicoduf@yahoo.fr>

	Doc. Tutorials translation update and new keys reference translation in Belarusion by 375gnu.

2012-07-18  JazzyNico  <nicoduf@yahoo.fr>

	Importing. Fix for Bug #1026173 (Please make txt2svg.pl cope with UTF-8) by Reuben Thomas.

2012-07-16  UweSchoeler  <mail@uwe-schoeler.de>

	german translation update

2012-07-16  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #425202 (Script messages not translated).

2012-07-15  John Smith  <john.smith7545@yahoo.com>

	Fix for 167846 : Focus issue between spinbuttons when using Tab

2012-07-15  John Smith  <john.smith7545@yahoo.com>

	Fix for 1023655 : Improvments to Embedded script UI

2012-07-13  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1024325 (DXF output, Python script error: No translation file found for domain: inkscape).

2012-07-13  Kris  <Kris.De.Gussem@hotmail.com>

	Bug #781893 (Crash after moving a Bezier node after Knot path effect)
	Although issue not solved, prevent Inkscape from crashing. Add some code to make code more robust.

2012-07-12  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #425202 (Script messages not translated).

2012-07-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 378413 : Show/Hide all layers

2012-07-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 612221 : Add metadata default configuration in the preferences

2012-07-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 1023655 : IMprovments to Embedded script UI

2012-07-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 1023656 : Color profile Link/Unlink in Document Properties

2012-07-12  John Smith  <john.smith7545@yahoo.com>

	Fix for 377294 : Layer dialog rename when no label exists

2012-07-11  John Smith  <john.smith7545@yahoo.com>

	Fix for 167781 : opacity in selected style loses focus on kbd value scroll, fix for Esc

2012-07-10  JazzyNico  <nicoduf@yahoo.fr>

	Translations. French translation update.

2012-07-10  JazzyNico  <nicoduf@yahoo.fr>

	OCAL. Fix for Bug #943275 (New Import Clip Art… dialog crashes on Windows).

2012-07-10  JazzyNico  <nicoduf@yahoo.fr>

	Shortcuts. Fix for Bug #167796 (zoom keys (shortcuts) 3,4,6 on numeric pad not working).

2012-07-10  JazzyNico  <nicoduf@yahoo.fr>

	Translations. inkscape.pot and Latvian translation update by Janis Eisaks.

2012-07-10  John Smith  <john.smith7545@yahoo.com>

	Fix for 1022676 : Font dialog label alignment

2012-07-10  John Smith  <john.smith7545@yahoo.com>

	Fix for 167781 : opacity in selected style loses focus on kbd value scroll

2012-07-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 168658 : Font substitution warning dialog - CSS font fallbacks

2012-07-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 181473 : Layer label edit keyboard shortcuts

2012-07-08  John Smith  <john.smith7545@yahoo.com>

	Fix for 181473 : Patch for Layers drag and drop crash

2012-07-07  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-07-05  Alex Valavanis  <valavanisalex@gmail.com>

	Drop GTK+ 2.20 support.

2012-07-05  JazzyNico  <nicoduf@yahoo.fr>

	Patch for bug #728081 (Keyboard shortcut - Lock current layer).

2012-07-05  JazzyNico  <nicoduf@yahoo.fr>

	Fix for bug #1001446 (export bitmap hotkey)

2012-07-05  John Smith  <john.smith7545@yahoo.com>

	Fix for 181473 : Layers drag and drop

2012-07-04  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 168658 : Font substitution warning dialog - GTK3 compile

2012-07-04  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 168658 : Font substitution warning dialog - GTK3 compile

2012-07-04  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : Preference to show legacy gradient editor

2012-07-04  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 168658 : Font substitution warning dialog

2012-07-02  apenner  <penner@vaxxine.com>

	emf import. missing tick marks (Bug 715692)

2012-07-01  Alex Valavanis  <valavanisalex@gmail.com>

	Reduce horizontal width of export bitmap dialog. This makes the GTK+ 3 version more usable on small screens

2012-07-01  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : Retire legacy gradient editor

2012-06-30  Luca Bruno  <lucab@debian.org>

	Fix building with Poppler 0.20 (LP: #1005565)
	
	Poppler >= 0.20 has a new internal API for errors and other miscellanea.
	As we are abusing these internal functionalities, they broke from time to 
	time. Fixing it for now with a new conditional build flag.
	This fixes https://bugs.launchpad.net/inkscape/+bug/1005565

2012-06-30  Alex Valavanis  <valavanisalex@gmail.com>

	Allow cairomm 1.9.8. Should be good enough

2012-06-30  Alex Valavanis  <valavanisalex@gmail.com>

	Make cairomm 1.10 dependency explicit

2012-06-26  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 722017 : Better Gradient Window

2012-06-26  JazzyNico  <nicoduf@yahoo.fr>

	UI. Fix for Bug #817193 (Usability: emphasize gridlines checkbox is using negative text).

2012-06-25  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate some widgets to GtkStyleContext

2012-06-23  Alex Valavanis  <valavanisalex@gmail.com>

	Use orientable widgets in GTK+ 3 build

2012-06-23  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate to new device pointer API for GTK+ 3

2012-06-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing glibmm header

2012-06-20  JazzyNico  <nicoduf@yahoo.fr>

	Translations. New Bengali/Bangladesh translation by Mahay Alam Khan.

2012-06-20  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Removing deleted files and inkscape.pot update.

2012-06-20  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 591225 : Fix wording of 'Clean up document' in Undo History

2012-06-20  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1015352 : Vacuum defs : Rename to 'Clean up document'

2012-06-19  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1005064 : Move menu item File->Input Devices to Edit->Input Devices

2012-06-18  Alex Valavanis  <valavanisalex@gmail.com>

	Fix crash in fill and stroke dialog with GTK+ 3

2012-06-17  Jon A. Cruz  <jon@joncruz.org>

	Removed unneeded header style filename #defines

2012-06-17  Jon A. Cruz  <jon@joncruz.org>

	Removed outdated classes.
	Pruned header to not introduce extraneous includes.

2012-06-16  Alex Valavanis  <valavanisalex@gmail.com>

	Set GDL-3 as a fixed dependency for GTK+ 3 build.
	
	It's unrealistic for us to support GTK+ 3 compatibility in our internal copy.
	We ultimately want to get rid of it anyway.

2012-06-15  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Fix for Bug #837856 (Help: localized keys and mouse refs is not opened.) and French translation update.

2012-06-14  Alex Valavanis  <valavanisalex@gmail.com>

	Fix new deprecated GTK+ symbols in desktop-widget

2012-06-14  tavmjong-free  <tavmjong@free.fr>

	Fixed typo.

2012-06-14  Alex Valavanis  <valavanisalex@gmail.com>

	Drop check for ancient GTK version. Fixes statusbar width issue

2012-06-13  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2012-06-13  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1011726 : Performance regression with XML Editor - Improve model unload time

2012-06-12  Kris  <Kris.De.Gussem@hotmail.com>

	fix memleak

2012-06-12  Kris  <Kris.De.Gussem@hotmail.com>

	fix in previous commit

2012-06-12  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2012-06-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	enable GSEAL for Windows builds

2012-06-12  Alex Valavanis  <valavanisalex@gmail.com>

	Use more explicit pkg-config list for GTK+ 3 builds

2012-06-12  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Ukrainian translation update by Yuri Chornoivan.

2012-06-12  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1011726 : Performance regression with XML Editor

2012-06-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1005064 : Move menu item File->Input Devices to Edit->Input Devices

2012-06-11  Alex Valavanis  <valavanisalex@gmail.com>

	Fix some broken callbacks for Gtk+ 3

2012-06-10  Alex Valavanis  <valavanisalex@gmail.com>

	Add missing Cairo header

2012-06-10  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build against GTK+ 3. Thorough checking for runtime errors needed :-)

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Gtk+ 3 drawing in sp-canvas

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Gtk+ 3 drawing fixes for PDF input dialogs

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Don't use GtkColormap in Gtk+ 3

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Gtk+ 3 drawing for sp-color-slider

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3 fixes for glyphs dialog

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Use Cairo::Region in sp-canvas

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Use new form of set() method in Gtk::Clipboard

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining size_request issues for Gtk+ build

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Fix build failure with old GtkAdjustment API

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Get rid of remaining GtkObject usage

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Drop GtkObject usage in gradient-vector

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Missing header in nr-filter-image for Gtk+ 3 build

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Refactor SPCanvasItem to no longer derive from GtkObject

2012-06-09  Alex Valavanis  <valavanisalex@gmail.com>

	Stop deriving SPCanvasItem from GtkObject

2012-06-08  Jon A. Cruz  <jon@joncruz.org>

	Move measure angle string to keep it visible when angle is small.

2012-06-08  Jon A. Cruz  <jon@joncruz.org>

	Improve approach for keeping angle display string visible.

2012-06-07  apenner  <penner@vaxxine.com>

	dxf import. allow spline to be closed (Bug 1001521)

2012-06-07  Kris  <Kris.De.Gussem@hotmail.com>

	probably this was intended

2012-06-07  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2012-06-06  Jon A. Cruz  <jon@joncruz.org>

	Fix compile for GTK+ less than 2.20 when GSEAL is on. Fixes bug #1009010.

2012-06-05  Jon A. Cruz  <jon@joncruz.org>

	Compatibility fix.

2012-06-05  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2012-06-05  Kris  <Kris.De.Gussem@hotmail.com>

	various

2012-06-05  Alex Valavanis  <valavanisalex@gmail.com>

	Header cleaning for GTK+3 migration

2012-06-05  Jon A. Cruz  <jon@joncruz.org>

	Allow angle measurement base to be changed by tapping space.

2012-06-03  Jon A. Cruz  <jon@joncruz.org>

	Limit angle label to show up within the desktop window. Also refactor arc drawing.

2012-06-03  apenner  <penner@vaxxine.com>

	modify calc of bbox for single point (Bug 1006666)

2012-06-03  Kris  <Kris.De.Gussem@hotmail.com>

	UI fix find dialog

2012-06-02  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2012-06-02  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining Gtkmm 3 issues in filter effects dialog

2012-06-02  Alex Valavanis  <valavanisalex@gmail.com>

	Add draw signal in filter effects dialog

2012-06-02  Alex Valavanis  <valavanisalex@gmail.com>

	Cairo rendering in filter effects dialog

2012-06-01  Jon A. Cruz  <jon@joncruz.org>

	Add marker to initial point.

2012-06-01  Jon A. Cruz  <jon@joncruz.org>

	Place angle measurement along the measure arc.

2012-06-01  Jon A. Cruz  <jon@joncruz.org>

	Adding baseline and arc to make angle measurement visualization easier.

2012-06-01  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 951580 : Ruler click toggles guide visibility

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm fixes for sp-widget

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Remove unused icon-widget code

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing Glibmm headers needed for GTK+3 build

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3 fixes for licensor widget

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated GDK key symbols in mesh-context

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining gtkmm 3 menu issues

2012-05-30  Jon A. Cruz  <jon@joncruz.org>

	Make multiple measurement labels avoid overlapping each other.

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Tidy up deprecated Gtkmm menu stuff

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3.0 fixes for script dialog

2012-05-31  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3.0 fixes for debug dialog

2012-05-30  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3.0 fixes for live path effect editor dialog

2012-05-30  Alex Valavanis  <valavanisalex@gmail.com>

	Gtkmm 3.0 fixes for layers dialog

2012-05-29  Alex Valavanis  <valavanisalex@gmail.com>

	Allow use of deprecated GDK symbols because our GDL fork needs them

2012-05-28  Jon A. Cruz  <jon@joncruz.org>

	Added basic offset and call-out lines for measurements.

2012-05-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	undo changes

2012-05-28  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated pointer grabbing in ruler

2012-05-28  Alex Valavanis  <valavanisalex@gmail.com>

	Build with GDK_DISABLE_DEPRECATED for Gtk+ 2

2012-05-28  Jon A. Cruz  <jon@joncruz.org>

	Cleanup of measure text for moving away from overlap.

2012-05-28  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using deprecated GdkBitmap in custom cursors

2012-05-27  Jon A. Cruz  <jon@joncruz.org>

	Reorder measure context item painting for better legibility.

2012-05-27  apenner  <penner@vaxxine.com>

	emf import/export. patch by David Mathog for setmiterlimit (Bug 1004084)

2012-05-27  Alex Valavanis  <valavanisalex@gmail.com>

	Get rid of remaining deprecated GdkDevice API usage

2012-05-27  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using obsolete GdkDevice API. Needs testing with extended input devices

2012-05-27  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing gtkmm header in document properties dialog

2012-05-27  Alex Valavanis  <valavanisalex@gmail.com>

	file dialog fixes for GTK+ 3

2012-05-26  Alex Valavanis  <valavanisalex@gmail.com>

	Build with GSEAL_ENABLE

2012-05-26  Alex Valavanis  <valavanisalex@gmail.com>

	Use accessor function for private label in message dialog

2012-05-26  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using deprecated private members of GdkDevice.
	
	Unfortunately, the axis range is inaccessible in new versions of Gdk so
	we cannot set the range indicators in the input-devices dialog. There
	may be another way of doing this, using underlying system API.

2012-05-26  Alex Valavanis  <valavanisalex@gmail.com>

	Some GDK deprecation fixes for Input Devices dialog

2012-05-26  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903772 : Support --export-text-to-path when outputting plain SVG

2012-05-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	mesh gradient: fix bad indexing

2012-05-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	gradient mesh: add NULL checks to fix crash?

2012-05-24  Jon A. Cruz  <jon@joncruz.org>

	Improve progress granularity when exporting multiple items.

2012-05-24  Jon A. Cruz  <jon@joncruz.org>

	Fixing warnings.

2012-05-24  Alex Valavanis  <valavanisalex@gmail.com>

	Don't use extension events API in GTK+3 builds

2012-05-24  Alex Valavanis  <valavanisalex@gmail.com>

	svg-canvas GTK+3 fixes

2012-05-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	GrDrag: check for null pointer

2012-05-24  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix windows build. use 'guint' instead of 'uint'. although I do not know why you wouldn't just use 'unsigned int'

2012-05-24  Jon A. Cruz  <jon@joncruz.org>

	Added option to close export dialog upon completion. Fixes bug #43730.

2012-05-23  Jon A. Cruz  <jon@joncruz.org>

	Added progress to export dialog and disabling export button while busy. Partially fixes bug #43730.

2012-05-23  Jon A. Cruz  <jon@joncruz.org>

	Applied modified patch to add export messages. Partially fixes bug #43730.

2012-05-23  tavmjong-free  <tavmjong@free.fr>

	Add Mesh tool (experimental, requires Cario >= 1.11.4, disabled by default).

2012-05-22  Jon A. Cruz  <jon@joncruz.org>

	Correct improper flipping of sRGB transform from RGB to BGR with cairo change. Fixes bug #814179.

2012-05-23  Alex Valavanis  <valavanisalex@gmail.com>

	More GTK+ 3 fixes for desktop-widget

2012-05-22  Alex Valavanis  <valavanisalex@gmail.com>

	Drop GtkObject usage in view widgets

2012-05-22  Alex Valavanis  <valavanisalex@gmail.com>

	Drop deprecated progress bar orientation

2012-05-22  Alex Valavanis  <valavanisalex@gmail.com>

	Drop deprecated GtkNotebookPage usage

2012-05-22  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-05-22  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3 drawing in OCAL dialog

2012-05-21  Alex Valavanis  <valavanisalex@gmail.com>

	Use theme foreground colour for ruler tick drawing

2012-05-21  Alex Valavanis  <valavanisalex@gmail.com>

	Start GTK+ 3 rendering in OCAL dialogs

2012-05-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing header in svg-fonts-dialog needed for GTK+ 3 build

2012-05-21  tavmjong-free  <tavmjong@free.fr>

	Added sp-ctrlcurve, usefull for meshes.

2012-05-21  tavmjong-free  <tavmjong@free.fr>

	Add a few new icons for meshes.

2012-05-21  tavmjong-free  <tavmjong@free.fr>

	Change default font to a CSS valid default font (Sans -> sans-serif).

2012-05-21  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3 changes for cell-renderers

2012-05-21  Alex Valavanis  <valavanisalex@gmail.com>

	More size-request GTK+ 3 fixes

2012-05-20  Jon A. Cruz  <jon@joncruz.org>

	Extended control resizing to node editing. Fixes half of bug #172059.
	Additional prep for centralizing color setting.

2012-05-21  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 1000023 : Fill & Stroke dialog redesign

2012-05-20  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 973195 : Limit width of color profile labels

2012-05-19  Jon A. Cruz  <jon@joncruz.org>

	C++ification of SPWidget.

2012-05-19  Alex Valavanis  <valavanisalex@gmail.com>

	Revert r11370. Fix crash with grid in default template

2012-05-19  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3 changes for sp-widget

2012-05-18  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+ 3 fixes for colour selector widgets

2012-05-18  Alex Valavanis  <valavanisalex@gmail.com>

	More GtkObject fixes

2012-05-18  Alex Valavanis  <valavanisalex@gmail.com>

	More GtkObject fixes

2012-05-18  Alex Valavanis  <valavanisalex@gmail.com>

	Gtk+ 3 fixes for button widget

2012-05-18  Alex Valavanis  <valavanisalex@gmail.com>

	Don't try to set non-existent size property in ctrlpoint

2012-05-18  Jon A. Cruz  <jon@joncruz.org>

	Correct use of memcopy/sizeof on wrong type. Fixes bug #616178.

2012-05-18  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 973195 : Limit width of marker labels

2012-05-17  Alex Valavanis  <valavanisalex@gmail.com>

	Make docked dialogs indicate focus

2012-05-17  Jon A. Cruz  <jon@joncruz.org>

	Follow-up for 11375

2012-05-17  Jon A. Cruz  <jon@joncruz.org>

	Extended resizing to node handles.

2012-05-17  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 997888 : Merge into Document Properties

2012-05-16  Jon A. Cruz  <jon@joncruz.org>

	Corrected protected type access (comments were incorrect).
	Unified color set types; fixed uninitialized member; Switched colorsets to references; Added const correctness.

2012-05-16  Jon A. Cruz  <jon@joncruz.org>

	Fixed warning with printf format. Also corrected inproper type that resulted in the use of C-style const casts.

2012-05-17  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : ellipsize function with ustring

2012-05-16  Alex Valavanis  <valavanisalex@gmail.com>

	Drop some GtkObject usage

2012-05-16  Alex Valavanis  <valavanisalex@gmail.com>

	remove GtkObject use in color-item

2012-05-16  Alex Valavanis  <valavanisalex@gmail.com>

	remove GtkObject use in find dialog

2012-05-16  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950508 : Small padding change

2012-05-15  Kris  <Kris.De.Gussem@hotmail.com>

	minor fix for translations

2012-05-15  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : Ellipse text if gradient name too long

2012-05-14  apenner  <penner@vaxxine.com>

	pdf import. set a default line width, see http://thread.gmane.org/gmane.comp.graphics.inkscape.user/14539

2012-05-14  Kris  <Kris.De.Gussem@hotmail.com>

	a few UI message fixes

2012-05-14  JazzyNico  <nicoduf@yahoo.fr>

	XAML. Fix for Bug #999059 (radial gradients don't get properly exported to XAML) by Oxidative.

2012-05-14  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 986446 : Measure toolbar header include

2012-05-13  apenner  <penner@vaxxine.com>

	extensions. convert2dashes.py. better error handling (Bug 998164)

2012-05-13  Kris  <Kris.De.Gussem@hotmail.com>

	patch by zcgucas for Bug #941597 (Text objects with fill and stroke 'None' are invisible in outline mode)

2012-05-12  Kris  <Kris.De.Gussem@hotmail.com>

	syntx of null pointer dereference checks

2012-05-12  Kris  <Kris.De.Gussem@hotmail.com>

	Fix for externally reported patch by Juergen Weigert, Bug #993500 (inkscape should return non-0 on 'errors')

2012-05-11  JazzyNico  <nicoduf@yahoo.fr>

	Fix for Bug #982846 (untranslatable and unlocalized strings).

2012-05-11  JazzyNico  <nicoduf@yahoo.fr>

	UI. Filtered objects count (patch by David Mathog).
	Translations. Inkscape.pot and French translation update.

2012-05-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 169759 : HIG compliant Edit menu

2012-05-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 997886 : Document Metadata : Crash when saving with 2 documents open

2012-05-09  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+3 drawing of icons

2012-05-09  Alex Valavanis  <valavanisalex@gmail.com>

	GTK+3 drawing in gradient-image

2012-05-09  Jon A. Cruz  <jon@joncruz.org>

	Centralized line creation and enhanced visibility.

2012-05-08  Jon A. Cruz  <jon@joncruz.org>

	Unified variable names as scoping now makes the code safe.
	(merge of local fix)

2012-05-09  Alex Valavanis  <valavanisalex@gmail.com>

	Fix drawing of eek-preview in GTK+3

2012-05-07  Jon A. Cruz  <jon@joncruz.org>

	Follow-up conversion from bool.

2012-05-08  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 986446 : Refactor toolbox into tool specific files

2012-05-07  Jon A. Cruz  <jon@joncruz.org>

	Fixing to use explicit enum types instead of generic guint & bool.

2012-05-07  Alex Valavanis  <valavanisalex@gmail.com>

	Fix more deprecated GDK key symbols

2012-05-07  Kris  <Kris.De.Gussem@hotmail.com>

	Find dialog: taking plurals into account for UI translation

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	A couple of simple Gtk3 fixes

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Fix missing glib headers in imageicon

2012-05-06  apenner  <penner@vaxxine.com>

	improved workaround to prevent GfxRadialShading from getting corrupted during copy operation (Bug 919176 comment 8)

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate to draw signal in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Upstream changes to draw_pos function in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Upstream performance fixes for rulers

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Apply upstream changes to tick drawing API in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Drop nested cairo_t in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Don't set colormap in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Use cairo surface for ruler backing store in gtk3

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Use cairo region in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Clean up size allocation in rulers

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	cairo rendering in ruler

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Merge more ruler code

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Merge some customised ruler code

2012-05-06  Kris  <Kris.De.Gussem@hotmail.com>

	UI message

2012-05-06  Alex Valavanis  <valavanisalex@gmail.com>

	Hide non-public fields of ruler

2012-05-04  Kris  <Kris.De.Gussem@hotmail.com>

	Adding checks to prevent null pointer dereferences

2012-05-04  Kris  <Kris.De.Gussem@hotmail.com>

	cpp-style casting

2012-05-04  Kris  <Kris.De.Gussem@hotmail.com>

	Preferences: generalisation of UI messages

2012-05-04  JazzyNico  <nicoduf@yahoo.fr>

	Slovenian translation update by Martin Srebotnjak.
	French translation update.
	Translation template update.

2012-05-04  Jon A. Cruz  <jon@joncruz.org>

	C++ification of SPCtrlLine in preparation of visibility improvements.

2012-05-03  Kris  <Kris.De.Gussem@hotmail.com>

	Syntax of null pointer dereference checking

2012-05-02  Jon A. Cruz  <jon@joncruz.org>

	Corrected hardcoded hit detection in pen & pencil tool endpoint detection.

2012-05-02  Jon A. Cruz  <jon@joncruz.org>

	Eliminated duplication of GTK key defines.

2012-05-02  Jon A. Cruz  <jon@joncruz.org>

	Adding the two new files.

2012-05-02  Jon A. Cruz  <jon@joncruz.org>

	Adding base configurable sizing of controls/handles.

2012-05-02  Kris  <Kris.De.Gussem@hotmail.com>

	Find dialog: better user message

2012-05-02  Kris  <Kris.De.Gussem@hotmail.com>

	Find dialog UI:
	- some message fixes (capitals and spaces)
	- simplify translation

2012-05-01  Kris  <Kris.De.Gussem@hotmail.com>

	extensions: string class usage

2012-05-01  Kris  <Kris.De.Gussem@hotmail.com>

	fix extension path scan (Bug #801568 ; patch of Patrick Monnerat)

2012-05-01  Alex Valavanis  <valavanisalex@gmail.com>

	Remove remaining ancient GTK+ version checks

2012-05-01  Alex Valavanis  <valavanisalex@gmail.com>

	Drop checks for ancient GTK+ version

2012-05-01  Alex Valavanis  <valavanisalex@gmail.com>

	Fix typos in Gtk3 fixes, and fix separator API usage

2012-04-30  Alex Valavanis  <valavanisalex@gmail.com>

	gtkmm-3.0 changes for Gtk::Adjustment

2012-04-29  apenner  <penner@vaxxine.com>

	emf import. use EMR_EXTSELECTCLIPRGN to cancel clipping (Bug 990083)

2012-04-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: restrict the 'ray' values for ellipses that powerstroke can generate.

2012-04-28  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated GtkMetricType with SPMetric

2012-04-28  Alex Valavanis  <valavanisalex@gmail.com>

	gtkmm-3.0 fixes for Gtk::Box and header inclusions

2012-04-28  Alex Valavanis  <valavanisalex@gmail.com>

	Drop GtkObject use in dialog

2012-04-28  Alex Valavanis  <valavanisalex@gmail.com>

	Drop GtkObject use in dialog-events

2012-04-28  Alex Valavanis  <valavanisalex@gmail.com>

	Fix wrapping of colour palette

2012-04-28  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	C++ify syntax a bit

2012-04-28  Kris  <Kris.De.Gussem@hotmail.com>

	fix paths when working with command line (Bug #695120 , patch by Patrick Monnerat)

2012-04-28  Kris  <Kris.De.Gussem@hotmail.com>

	Dutch translation update

2012-04-26  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	2geom update

2012-04-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: cautious fix.

2012-04-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: add errorhandling for rounded corners.

2012-04-25  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	buildtool: update help message

2012-04-25  Kris  <Kris.De.Gussem@hotmail.com>

	Issue with my last commit

2012-04-25  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 979577 : Replace deprecated gtk_option_menu with gtk_combo_box - Fix for 64bit OS X

2012-04-25  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : Add link option to gradient toolbar

2012-04-24  Kris  <Kris.De.Gussem@hotmail.com>

	Memory management in context menu (Bug #910529 )

2012-04-24  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 943275 : OCAL search crash when data not avaialable

2012-04-23  Kris  <Kris.De.Gussem@hotmail.com>

	Export: fix crash when removing last character in a selection (Bug #960980)

2012-04-23  Alex Valavanis  <valavanisalex@gmail.com>

	Correct GTK+ 3 box syntax in toolbox

2012-04-23  Alex Valavanis  <valavanisalex@gmail.com>

	Get rid of GtkObject in toolbox

2012-04-23  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining Lucid build issues, hopefully

2012-04-23  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 943207 : Replace deprecated gdk_draw_rgb_image with cairo drawing in sp-color-slider

2012-04-22  apenner  <penner@vaxxine.com>

	pdf import. modify criterion for applying scaling to gradientTransform (Bug 985182)

2012-04-22  Kris  <Kris.De.Gussem@hotmail.com>

	better UI message

2012-04-22  Kris  <Kris.De.Gussem@hotmail.com>

	typo in UI

2012-04-22  Kris  <Kris.De.Gussem@hotmail.com>

	export dialog: c++ification and compile warning fix

2012-04-22  Kris  <Kris.De.Gussem@hotmail.com>

	some more string class usage

2012-04-22  Jon A. Cruz  <jon@joncruz.org>

	Improve pen & pencil anchor visibility. Fixes bug #986748.

2012-04-21  Jon A. Cruz  <jon@joncruz.org>

	Correcting message for lcms2 status. Fixes bug #985623.

2012-04-22  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 979577 : Build fails on Ubuntu Lucid - Replace deprecated gtk_option_menu with gtk_combo_box

2012-04-21  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated toolbar orientation API. Unfortunately there is no replacement in Gtkmm 3 so we need to use underlying GTK+ object

2012-04-21  Alex Valavanis  <valavanisalex@gmail.com>

	Fix typo in previewholder

2012-04-21  Kris  <Kris.De.Gussem@hotmail.com>

	dropping some ghost code / probably fixing a memleak as well

2012-04-21  Kris  <Kris.De.Gussem@hotmail.com>

	Fixed non working cancel button in export dialog

2012-04-21  Kris  <Kris.De.Gussem@hotmail.com>

	C++ification of progress dialog / documentation

2012-04-20  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck / fix issue in Dutch translation

2012-04-20  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck

2012-04-20  Kris  <Kris.De.Gussem@hotmail.com>

	Memory leak fix. (Bug #986271) Code supplied by David Mathog.

2012-04-20  JazzyNico  <nicoduf@yahoo.fr>

	Documentation. zh_TW translations update, and new K&M reference translation.

2012-04-19  helix84  <helix84@centrum.sk>

	* [INTL:zh_TW] Traditional Chinese translation update

2012-04-18  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup

2012-04-18  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903676 : Replace GtkCList with GtkTreeView in XML Tree, fix assert on undo

2012-04-18  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 169888 : Patch for HIG style frames for PDF import dialogs

2012-04-17  Jon A. Cruz  <jon@joncruz.org>

	Fixed conditional code to avoid unused function warnings.

2012-04-17  Alex Valavanis  <valavanisalex@gmail.com>

	Work around for some missing glibmm headers in gtkmm (should be fixed in gtkmm 3.4)

2012-04-17  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 169888 : HIG Style frame

2012-04-16  Kris  <Kris.De.Gussem@hotmail.com>

	some more string class usage as opposed to c-strings to prevent issues

2012-04-16  Jon A. Cruz  <jon@joncruz.org>

	Loop index type cleanup

2012-04-16  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903676 : Replace GtkCList with GtkTreeView in XML Tree, fix assert on undo

2012-04-15  apenner  <penner@vaxxine.com>

	pdf import. for radial gradient, approximate an ExponentialFunction using an extra stop (Bug 919176)

2012-04-15  JazzyNico  <nicoduf@yahoo.fr>

	Convert man file installation to use automake instead of custom stuff (from 0.48.x).

2012-04-15  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: fix inside of corners.

2012-04-15  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix compile (wrong 2geom update, sry)

2012-04-15  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	2geom update

2012-04-15  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Fix for Bug #980518 (Please use c-format).

2012-04-15  Alex Valavanis  <valavanisalex@gmail.com>

	Get rid of remaining deprecated GDK Key symbols

2012-04-14  Alex Valavanis  <valavanisalex@gmail.com>

	Don't prevent deprecated symbol usage with GTK+ 3 build yet... let's go one step at a time :)

2012-04-14  Alex Valavanis  <valavanisalex@gmail.com>

	Migrate align & dist dialog to Gtk::Grid API

2012-04-14  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: more robust method of determining parameters at joins. should fix some bugs. (may introduce new ones...)

2012-04-14  Kris  <Kris.De.Gussem@hotmail.com>

	export dialog: type fix

2012-04-14  Kris  <Kris.De.Gussem@hotmail.com>

	more c++ification in export dialog / fixing warning for in case of new and unsaved document

2012-04-14  Alex Valavanis  <valavanisalex@gmail.com>

	Add --enable-gtk3-experimental build + use external GDL if possible

2012-04-14  Alex Valavanis  <valavanisalex@gmail.com>

	Workaround for gtkmm build issue with dbus API

2012-04-14  helix84  <helix84@centrum.sk>

	* [INTL:sk] Slovak translation update

2012-04-13  Veronika Irvine  <vmi@uvic.ca>

	support vertical text on path such that baseline is perpendiclar to the path and midline is centered on the path

2012-04-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	2geom fix

2012-04-13  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	small 2geom update

2012-04-13  Kris  <Kris.De.Gussem@hotmail.com>

	probably this was intended

2012-04-13  Kris  <Kris.De.Gussem@hotmail.com>

	probably this was intended

2012-04-13  Kris  <Kris.De.Gussem@hotmail.com>

	better memleak fix than rev. 11148

2012-04-13  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Slovak translation update by Jan Pulmann.

2012-04-13  JazzyNico  <nicoduf@yahoo.fr>

	Translation. More disambiguations (see Bug #832560).

2012-04-12  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated GTK_TYPE macros

2012-04-12  Jon A. Cruz  <jon@joncruz.org>

	Shortcut patch. Fixes bug #974531

2012-04-11  Jon A. Cruz  <jon@joncruz.org>

	Warning cleanup.

2012-04-12  Alex Valavanis  <valavanisalex@gmail.com>

	Clean up a few Gtkmm orientables

2012-04-12  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	disable more deprecated stuff

2012-04-11  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	start disabling deprecated GTK+ calls in Windows builds, to prevent people from using deprecated methods

2012-04-11  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix deprecated glib thingie

2012-04-11  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix warning

2012-04-11  JazzyNico  <nicoduf@yahoo.fr>

	Translations. PO files update.

2012-04-11  JazzyNico  <nicoduf@yahoo.fr>

	i18n. Adding some context tags (disambiguation).

2012-04-11  JazzyNico  <nicoduf@yahoo.fr>

	UI. Restoring context menu items order (Embed image) and activation test (Extract image).

2012-04-11  Alex Valavanis  <valavanisalex@gmail.com>

	Add GTK_DISABLE_DEPRECATED to configure.ac

2012-04-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903676 : Replace GtkCTree with GtkTreeView in XML Tree

2012-04-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903676 : Replace GtkCList with GtkTreeView in XML Tree, 64bitLion crash fix

2012-04-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 367607 : Replace deprecated sp_ctrl_set_arg and gtk_object_add_arg_type calls in sodipodi-ctrl.cpp

2012-04-10  Jon A. Cruz  <jon@joncruz.org>

	Removed unused function.

2012-04-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 170378 : Select All by Stroke or Fill Color - Added search within groups

2012-04-11  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 950677 : Disable gradient editor on knot double click

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	more 2geom fix

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix 2geom

2012-04-10  Alex Valavanis  <valavanisalex@gmail.com>

	Replace deprecated gtk_vbox_new and gtk_widget_size_request

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	2geom: sbasis multiplication never returns sbasis of at least order a+b

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix potential issue with tangent calculation

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: remove the need to reload the node tool when adding/deleting control width knots

2012-04-10  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	small cleanup

2012-04-10  Alex Valavanis  <valavanisalex@gmail.com>

	Clean up some deprecated orientable API

2012-04-10  Alex Valavanis  <valavanisalex@gmail.com>

	Adopt obsolete GtkAnchorType enum as SPAnchorType

2012-04-09  Jon A. Cruz  <jon@joncruz.org>

	Additional cleanup.

2012-04-10  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 903676 : Replace GtkCList with GtkTreeView in XML Tree, 64bitLion crash fix

2012-04-10  Alex Valavanis  <valavanisalex@gmail.com>

	Replace remaining gtk_hbox_new usage

2012-04-09  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add GSEAL_ENABLE flag, ready to be activated

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	code cleanup: dropping some unused code

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck stuff

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	Documentation / dropping some pointer conversions in context menu

2012-04-09  Alex Valavanis  <valavanisalex@googlemail.com>

	ege-adjustment-action: Get rid of GtkHBox

2012-04-09  JazzyNico  <nicoduf@yahoo.fr>

	Translations. Updating the files list and translation template.

2012-04-09  Alex Valavanis  <valavanisalex@googlemail.com>

	Replace deprecated gdk_window_get_pointer

2012-04-09  Alex Valavanis  <valavanisalex@googlemail.com>

	Replace deprecated gdk_cursor_unref

2012-04-09  Alex Valavanis  <valavanisalex@googlemail.com>

	Fix CheckButton header issue with GTK+ 3

2012-04-09  Alex Valavanis  <valavanisalex@googlemail.com>

	Replace deprecated GDK key symbols

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	documentation

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	omitting debug message on windows

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	cppcheck tells us: "scanf without field width limits can crash with huge input data"

2012-04-09  Kris  <Kris.De.Gussem@hotmail.com>

	fix memory leak and some minor things

2012-04-09  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	LPE: enable "add effect" button for clones. It converts the clone to a path and applies the clone original LPE.

2012-04-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	clone original path lpe: add boilerplate code to allow to compensate for linked path movement. but it should be worked out how the actual compensation should be written to SVG. don't want to add something to the cloneLPE SVG syntax in a haste

2012-04-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix inclusion.

2012-04-08  Diederik van Lierop  <mail@diedenrezi.nl>

	Fix stroke-width scaling issue

2012-04-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	clone lpe: preserve transformations on paths with clone_original lpe. This enables moving such paths.

2012-04-08  apenner  <penner@vaxxine.com>

	pdf import. temporary workaround to prevent GfxRadialShading from getting corrupted during copy operation (Bug 919176 comment 8)

2012-04-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke parameter small fix

2012-04-08  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	small GSEAL fix

2012-04-08  Alex Valavanis  <valavanisalex@gmail.com>

	Stop using custom GtkObject flags

2012-04-08  Alex Valavanis  <valavanisalex@gmail.com>

	More GDK key macro fixes, and some cursor referencing

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	circle tool: fix shift click to reset to full circle for start angle node

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: fix line caps for end/start knots with no handle (1st deriv == 0)

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: previous and this commit fix extrapolated and miter join behavior for negative widths 
	(sorry, multitasking error...)

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	complementary to rev11175

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstroke: use path's strokewidth on applying powerstroke effect

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix possible crasher in knot_clicked_handler

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	gives distinguishing colors to two vector params of LPE rough hatches

2012-04-07  Alex Valavanis  <valavanisalex@gmail.com>

	Fix some deprecated GDK key symbols

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	remove no longer needed knotholderentity complication

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	cleanup knotholder code for LPEs

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	powerstrokepointarray : add todo comment. do not derive from LPEKnotHolderEntity.

2012-04-07  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	the knotholders for LPE parameters should not derive from LPEKnotHolderEntity as this prevents deletion

2012-04-06  Kris  <Kris.De.Gussem@hotmail.com>

	restore item order of dialogs in context menu (Bug #910529)

2012-04-06  Alex Valavanis  <valavanisalex@gmail.com>

	drop some deprecated gdk_draw functions

2012-04-06  Alex Valavanis  <valavanisalex@gmail.com>

	Fix remaining GTKMM deprecation issues

2012-04-06  Alex Valavanis  <valavanisalex@gmail.com>

	filter-effects-dialog: Cairomm rendering

2012-04-06  Alex Valavanis  <valavanisalex@gmail.com>

	png-write: Fix FTBFS

2012-04-06  Kris  <Kris.De.Gussem@hotmail.com>

	fixes issue with revision 11160?

2012-04-06  Kris  <Kris.De.Gussem@hotmail.com>

	build warning fix

2012-04-05  Kris  <Kris.De.Gussem@hotmail.com>

	C++ify context menu:
	- c++ified context-menu.cpp (and included in interface.cpp)
	- removed dozens of pointer conversions (of which some were erroneous)
	- fixed a memory leak
	- added some null pointer checks to prevent crashes

2012-04-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add test code for bug #967416

2012-04-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash (bug #973174)

2012-04-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	fix crash (bug #941317)

2012-04-05  Johan B. C. Engelen  <j.b.c.engelen@alumnus.utwente.nl>

	add NULL checks to perhaps fix bug 970105

2012-04-05  JazzyNico  <nicoduf@yahoo.fr>

	Documentation. Tutorials Japanese (by Masato HASHIMOTO) and Russian (by Artem Zolochevskiy) translations update.

2012-04-05  John Smith  <removethis.john.q.public@bigmail.com>

	Fix for 170378 : Select same objects by fill or stroke : Fix transformed stroke width

